linux-oracle (7.1.0-1001.1) stonking; urgency=medium

  * stonking/linux-oracle: 7.1.0-1001.1 -proposed tracker (LP: #2156883)

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] update update.conf

  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs after rebase to 7.1.0-5.5

  [ Ubuntu: 7.1.0-5.5 ]

  * stonking/linux: 7.1.0-5.5 -proposed tracker (LP: #2156849)
  * MIPI camera of a BBG809N3A_B sensor SKU of the DELL Pro 14 Premium PA14260
    renders upside-down (LP: #2155837)
    - SAUCE: media: ipu-bridge: correct platform handling for DELL Pro 14
      Premium PA14260
  * ov08x40 module mounted upside down on a certain DELL platforms
    (LP: #2146517)
    - SAUCE: media: ipu-bridge: Add DMI quirk for new Dell XPS laptops with
      upside down sensors
    - SAUCE: media: ipu-bridge: Add DMI quirk for Dell 14 laptops with upside
      down sensors
  * AppArmor Vulnerabilities  (LP: #2151747)
    - SAUCE: apparmor: pass big_resp to handler
    - SAUCE: apparmor: remove redundant kref_init for listener->count
    - SAUCE: apparmor: fix NULL pointer dereference in unpack_pdb
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47337
    - SAUCE: apparmor: fix NULL pointer dereference in bind_map_addr
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47334
    - SAUCE: apparmor: fix sleep prone memory allocation under a spin_lock
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47333
    - SAUCE: apparmor: fix dfa unpacking size of the notification filter
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47332
    - SAUCE: apparmor: fix size check against type instead of pointer
  * apparmor: LLVM/clang build failure due to uninitialized variable in
    notify.c (LP: #2148809) // CVE-2026-47330
    - SAUCE: apparmor: initialize variable used in uninitialized context
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47329
    - SAUCE: apparmor: fix name validation bypass on notification
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47327 //
    CVE-2026-47328
    - SAUCE: apparmor: fix glob memory leak after kstrdup
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47326
    - SAUCE: apparmor: fix inverted NULL check after aa_get_buffer
  * unconfined profile denies userns_create for chromium based processes
    (LP: #1990064)
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * FFe: add network interface mediation to 26.04 (LP: #2144679)
    - SAUCE: apparmor5.0.0 [57/57]: apparmor: add the ability to use interface
      in network mediation.
  * Jellyfin Desktop Flatpak doesn't work with the current AppArmor profile
    (LP: #2142956)
    - SAUCE: apparmor5.0.0 [29/57]: apparmor: fix fine grained inet mediation
      sock_file_perm
    - SAUCE: apparmor5.0.0 [32/57]: apparmor-next 7.1: apparmor: enable
      differential encoding
    - SAUCE: apparmor5.0.0 [33/57]: apparmor-next 7.1: apparmor: propagate
      -ENOMEM correctly in unpack_table
    - SAUCE: apparmor5.0.0 [36/57]: apparmor-next 7.1: apparmor: use
      __label_make_stale in __aa_proxy_redirect
    - SAUCE: apparmor5.0.0 [37/57]: apparmor-next 7.1: apparmor: fix net.h and
      policy.h circular include pattern
    - SAUCE: apparmor5.0.0 [39/57]: apparmor-next 7.1: apparmor: make include
      headers self-contained
    - SAUCE: apparmor5.0.0 [41/57]: apparmor-next 7.1: apparmor: fix
      rawdata_f_data implicit flex array
    - SAUCE: apparmor5.0.0 [42/57]: apparmor-next 7.1: apparmor: free rawdata
      as soon as possible
    - SAUCE: apparmor5.0.0 [43/57]: apparmor-next 7.1: apparmor: Initial
      support for compressed policies
    - SAUCE: apparmor5.0.0 [44/57]: apparmor-next 7.1: apparmor: fix potential
      UAF in aa_replace_profiles
    - SAUCE: apparmor5.0.0 [45/57]: apparmor-next 7.1: apparmor: hide unused
      get_loaddata_common_ref() function
    - SAUCE: apparmor5.0.0 [47/57]: apparmor: fix packed tag on v5 header
      struct
    - SAUCE: apparmor5.0.0 [48/57]: apparmor: add temporal caching to audit
      responses.
    - SAUCE: apparmor5.0.0 [49/57]: apparmor: change fn_label_build() call to
      not return NULL
    - SAUCE: apparmor5.0.0 [50/57]: apparmor: make fn_label_build() capable of
      handling not supported
    - SAUCE: apparmor5.0.0 [51/57]: apparmor: move netfilter functions next to
      the LSM network operations
    - SAUCE: apparmor5.0.0 [52/57]: apparmor: move sock_rvc_skb() next to
      inet_conn_request
    - SAUCE: apparmor5.0.0 [53/57]: apparmor: fix af_unix local addr mediation
      binding
    - SAUCE: apparmor5.0.0 [54/57]: cleanups of apparmor af_unix mediation
    - SAUCE: apparmor5.0.0 [55/57]: apparmor: fix apparmor_secmark_check()
      when !inet and secmark defined.
    - SAUCE: apparmor5.0.0 [56/57]: apparmor: fix auditing of non-mediation
      falures
  * snap service cannot change apparmor hat (LP: #2139664) // Jellyfin Desktop
    Flatpak doesn't work with the current AppArmor profile (LP: #2142956)
    - SAUCE: apparmor5.0.0 [38/57]: apparmor-next 7.1: apparmor: grab ns lock
      and refresh when looking up changehat child profiles
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - SAUCE: apparmor5.0.0 [28/57]: apparmor: fix aa_label_sk_perm to check
      for RULE_MEDIATES_NET
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/57]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [2/57]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [3/57]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [4/57]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [5/57]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [6/57]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [7/57]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [8/57]: apparmor: lift compatibility check out of
      profile_af_perm
    - SAUCE: apparmor5.0.0 [9/57]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [10/57]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [12/57]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [13/57]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [14/57]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [15/57]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [16/57]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [19/57]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [20/57]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [21/57]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [22/57]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [23/57]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [24/57]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [25/57]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [26/57]: apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [27/57]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
  * update apparmor and LSM stacking patch set (LP: #2028253) // Installation
    of AppArmor on a 6.14 kernel produces error message "Illegal number: yes"
    (LP: #2102680)
    - SAUCE: apparmor5.0.0 [17/57]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [18/57]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in
    mantic (LP: #2032602)
    - SAUCE: apparmor5.0.0 [11/57]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
  * Miscellaneous Ubuntu changes
    - [Config] enable SECURITY_APPARMOR_PACKET_MEDIATION_ENABLED
    - [Packaging] Fix cross-builds
    - [Config] updateconfigs after v7.1 rebase

  [ Ubuntu: 7.1.0-1.1 ]

  * stonking/linux: 7.1.0-1.1 -proposed tracker (LP: #2154256)
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
  * resolute ubuntu_kernel_selftests:seccomp_build test compilation issue
    (LP: #2154174)
    - SAUCE: selftests/seccomp fix compilation issue for amd64
  * Kernel 6.19-rc8 does not include GPIB driver (LP: #2152714)
    - [Config] Enable CONFIG_GPIB for amd64
  * Miscellaneous Ubuntu changes
    - Update Changes.md after v7.1-rc4 rebase
    - [packaging] Install gdb scripts again
    - [Config] updateconfigs after v7.1-rc5 rebase
    - [Packaging] templates: Use a for-loop for run-parts
    - [Packaging] Remove dead debian.master/rules.d/x32.mk
    - [Packaging] Remove orphaned debian/v4l2loopback-modules.ignore
    - [Packaging] Remove orphaned debian/zfs-modules.ignore
    - [Packaging] Remove deprecated linux-doc transitional stub
    - [Packaging] Remove dead comment referencing gcc-4.7 in control.stub.in
    - [Packaging] Remove dead comment in ppc64el.mk
    - [Packaging] Remove stale legacy code
    - [Packaging] rules: Drop an obsolete check for do_zstd_ko
    - [Config] toolchain version update
    - [Packaging] update Ubuntu.md

  [ Ubuntu: 7.1.0-0.0 ]

  * Dummy entry.

  [ Ubuntu: 7.0.0-15.15 ]

  * resolute/linux: 7.0.0-15.15 -proposed tracker (LP: #2148866)
  * Qualcomm X1E: Speaker overdrive causes hardware protection shutdown
    (LP: #2149808)
    - SAUCE: ASoC: qcom: x1e80100: limit speaker volumes
  * intel-ipu7 / intel-ipu7-isys modules are shipped unsigned in latest
    Resolute kernels, breaking Secure Boot systems  (LP: #2148718)
    - [packaging] add intel-ipu7 to signature inclusion list

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 13 Jul 2026 16:20:41 +0300

linux-oracle (7.1.0-1000.0) stonking; urgency=medium

  * Dummy entry.

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 13 Jul 2026 11:06:44 +0300

linux-oracle (7.0.0-1003.3) resolute; urgency=medium

  * resolute/linux-oracle: 7.0.0-1003.3 -proposed tracker (LP: #2148176)

  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs after rebase to 7.0.0-14.14

  [ Ubuntu: 7.0.0-14.14 ]

  * resolute/linux: 7.0.0-14.14 -proposed tracker (LP: #2148159)
  * support vflip/hflip for Sony IMX471 camera sensor (LP: #2138841)
    - SAUCE: media: ipu-bridge: add TBE20A0 ACPI id for Sony IMX471
  * AA: disable SECURITY_APPARMOR_PACKET_MEDIATION_ENABLED (LP: #2147533)
    - [Config] disable SECURITY_APPARMOR_PACKET_MEDIATION_ENABLED
  * System doesn't response with mt76 call trace (LP: #2137448)
    - wifi: mt76: mt792x: Fix a potential deadlock in high-load situations
  * The second tbt storage plugged on the dock will not be recognized
    (LP: #2139572)
    - SAUCE: thunderbolt: Fix PCIe device enumeration with delayed rescan
  * dma-buf filesystem flags fix (LP: #2139656)
    - SAUCE: dma-buf: set SB_I_NOEXEC and SB_I_NODEV on dmabuf filesystem
  * Bluetooth device (MT7925) not detected on USB bus with linux-oem-6.17
    (LP: #2145164)
    - SAUCE: USB: hub: call ACPI _PRR reset during port power-cycle on
      enumeration failure
  * drm/i915/lnl+/tc: Fix false disconnect of active DP-alt TC port during
    long HPD pulse (LP: #2143879)
    - SAUCE: drm/i915/lnl+/tc: Fix false disconnect of active DP-alt TC port
      during long HPD pulse
  * i915 WARN_ON call trace during CB/WB on MTL/ARL platforms (LP: #2144537)
    - SAUCE: drm/i915/xelpdp/tc: Convert TCSS power check WARN to a debug
      message
  * Miscellaneous Ubuntu changes
    - [Packaging] Add support for per-flavour depends
    - [Packaging] Don't hard-code lmm zfs dependency
    - [Config] updateconfigs following v7.0 release

  [ Ubuntu: 7.0.0-13.13 ]

  * resolute/linux: 7.0.0-13.13 -proposed tracker (LP: #2147403)
  * ubuntu_kselftests:_net/net:gre_gso.sh failing (LP: #2136820)
    - SAUCE increase socat timeout in gre_gso.sh
  * Canonical Kmod 2025 key rotation (LP: #2147447)
    - [Packaging] ubuntu-compatible-signing -- make Ubuntu-Compatible-Signing
      extensible
    - [Packaging] ubuntu-compatible-signing -- allow consumption of positive
      certs
    - [Packaging] ubuntu-compatible-signing -- report the livepatch:2025 key
    - [Config] prepare for Canonical Kmod key rotation
    - [Packaging] ubuntu-compatible-signing -- report the kmod:2025 key
    - [Packaging] ensure our cert rollups are always fresh
  * On Dell system, the internal OLED display drops to a visibly low FPS after
    suspend/resume (LP: #2144712)
    - drm/i915/psr: Disable Panel Replay on Dell XPS 14 DA14260 as a quirk
    - drm/i915/psr: Fixes for Dell XPS DA14260 quirk
  * Realtek RTL8116AF SFP option module fails to get connected (LP: #2116144)
    - SAUCE: r8169: add quirk for RTL8116af SerDes
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v7.0-rc7 rebase

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 14 Apr 2026 08:28:02 +0200

linux-oracle (7.0.0-1002.2) resolute; urgency=medium

  * resolute/linux-oracle: 7.0.0-1002.2 -proposed tracker (LP: #2147000)

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian.oracle/dkms-versions -- remove dkms-versions
      (main/d2026.03.17)

  * Miscellaneous Ubuntu changes
    - [Packaging] remove stale debian/dkms-versions scripting
    - [Config] updateconfigs after rebase to 7.0.0-12.12

  [ Ubuntu: 7.0.0-12.12 ]

  * resolute/linux: 7.0.0-12.12 -proposed tracker (LP: #2146778)
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
  * linux-generic does not run scripts in /usr/share/kernel/*.d (LP: #2147005)
    - [Packaging] templates: Use consistent indentation
    - [Packaging] templates: Run scripts in /usr/share/kernel/*.d too
  * RISC-V kernel config is out of sync with other archs (LP: #1981437)
    - [Config] riscv64: Enable COUNTER=m
    - [Config] riscv64: Use GENDWARFKSYMS like other architectures
  * unconfined profile denies userns_create for chromium based processes
    (LP: #1990064)
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * FFe: add network interface mediation to 26.04 (LP: #2144679)
    - SAUCE: apparmor5.0.0 [57/57]: apparmor: add the ability to use interface
      in network mediation.
  * Jellyfin Desktop Flatpak doesn't work with the current AppArmor profile
    (LP: #2142956)
    - SAUCE: apparmor5.0.0 [29/57]: apparmor: fix fine grained inet mediation
      sock_file_perm
    - SAUCE: apparmor5.0.0 [30/57]: apparmor-next 7.1: aapparmor: use target
      task's context in apparmor_getprocattr()
    - SAUCE: apparmor5.0.0 [31/57]: apparmor-next 7.1: apparmor: return error
      on namespace mismatch in verify_header
    - SAUCE: apparmor5.0.0 [32/57]: apparmor-next 7.1: apparmor: enable
      differential encoding
    - SAUCE: apparmor5.0.0 [33/57]: apparmor-next 7.1: apparmor: propagate
      -ENOMEM correctly in unpack_table
    - SAUCE: apparmor5.0.0 [34/57]: apparmor-next 7.1: apparmor: Replace
      memcpy + NUL termination with kmemdup_nul in do_setattr
    - SAUCE: apparmor5.0.0 [35/57]: apparmor-next 7.1: apparmor: Remove
      redundant if check in sk_peer_get_label
    - SAUCE: apparmor5.0.0 [36/57]: apparmor-next 7.1: apparmor: use
      __label_make_stale in __aa_proxy_redirect
    - SAUCE: apparmor5.0.0 [37/57]: apparmor-next 7.1: apparmor: fix net.h and
      policy.h circular include pattern
    - SAUCE: apparmor5.0.0 [39/57]: apparmor-next 7.1: apparmor: make include
      headers self-contained
    - SAUCE: apparmor5.0.0 [40/57]: apparmor-next 7.1: apparmor: Use
      sysfs_emit in param_get_{audit,mode}
    - SAUCE: apparmor5.0.0 [41/57]: apparmor-next 7.1: apparmor: fix
      rawdata_f_data implicit flex array
    - SAUCE: apparmor5.0.0 [42/57]: apparmor-next 7.1: apparmor: free rawdata
      as soon as possible
    - SAUCE: apparmor5.0.0 [43/57]: apparmor-next 7.1: apparmor: Initial
      support for compressed policies
    - SAUCE: apparmor5.0.0 [44/57]: apparmor-next 7.1: apparmor: fix potential
      UAF in aa_replace_profiles
    - SAUCE: apparmor5.0.0 [45/57]: apparmor-next 7.1: apparmor: hide unused
      get_loaddata_common_ref() function
    - SAUCE: apparmor5.0.0 [46/57]: apparmor-next 7.1: apparmor: Fix string
      overrun due to missing termination
    - SAUCE: apparmor5.0.0 [47/57]: apparmor: fix packed tag on v5 header
      struct
    - SAUCE: apparmor5.0.0 [48/57]: apparmor: add temporal caching to audit
      responses.
    - SAUCE: apparmor5.0.0 [49/57]: apparmor: change fn_label_build() call to
      not return NULL
    - SAUCE: apparmor5.0.0 [50/57]: apparmor: make fn_label_build() capable of
      handling not supported
    - SAUCE: apparmor5.0.0 [51/57]: apparmor: move netfilter functions next to
      the LSM network operations
    - SAUCE: apparmor5.0.0 [52/57]: apparmor: move sock_rvc_skb() next to
      inet_conn_request
    - SAUCE: apparmor5.0.0 [53/57]: apparmor: fix af_unix local addr mediation
      binding
    - SAUCE: apparmor5.0.0 [54/57]: cleanups of apparmor af_unix mediation
    - SAUCE: apparmor5.0.0 [55/57]: apparmor: fix apparmor_secmark_check()
      when !inet and secmark defined.
    - SAUCE: apparmor5.0.0 [56/57]: apparmor: fix auditing of non-mediation
      falures
  * snap service cannot change apparmor hat (LP: #2139664) // Jellyfin Desktop
    Flatpak doesn't work with the current AppArmor profile (LP: #2142956)
    - SAUCE: apparmor5.0.0 [38/57]: apparmor-next 7.1: apparmor: grab ns lock
      and refresh when looking up changehat child profiles
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - SAUCE: apparmor5.0.0 [28/57]: apparmor: fix aa_label_sk_perm to check
      for RULE_MEDIATES_NET
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/57]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [2/57]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [3/57]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [4/57]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [5/57]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [6/57]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [7/57]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [8/57]: apparmor: lift compatibility check out of
      profile_af_perm
    - SAUCE: apparmor5.0.0 [9/57]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [10/57]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [12/57]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [13/57]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [14/57]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [15/57]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [16/57]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [19/57]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [20/57]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [21/57]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [22/57]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [23/57]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [24/57]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [25/57]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [26/57]: apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [27/57]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
  * update apparmor and LSM stacking patch set (LP: #2028253) // Installation
    of AppArmor on a 6.14 kernel produces error message "Illegal number: yes"
    (LP: #2102680)
    - SAUCE: apparmor5.0.0 [17/57]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [18/57]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in
    mantic (LP: #2032602)
    - SAUCE: apparmor5.0.0 [11/57]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
  * Enable new Intel WCL soundwire support (LP: #2143301)
    - ASoC: sdw_utils: Add CS42L43B codec info
    - ASoC: dt-bindings: cirrus, cs42l43: Add CS42L43B variant
    - mfd: cs42l43: Add support for the B variant
    - ASoC: cs42l43: Add support for the B variant
  * Enable audio functions on Dell Huracan/Renegade platforms w/o built-in
    microphone (LP: #2143902)
    - ASoC: SDCA: Add default value for mipi-sdca-function-reset-max-delay
    - ASoC: SDCA: Update counting of SU/GE DAPM routes
    - ASoC: SDCA: Improve mapping of Q7.8 SDCA volumes
    - ASoC: SDCA: Pull the Q7.8 volume helpers out of soc-ops
    - ASoC: add snd_soc_lookup_component_by_name helper
    - ASoC: soc_sdw_utils: partial match the codec name
    - ASoC: soc_sdw_utils: remove index from sdca codec name
  * [SRU] MIPI camera is not working after upgrading to 6.17-oem
    (LP: #2145171)
    - SAUCE: ACPI: respect items already in honor_dep before skipping
  * linux-tools: consider linking perf against LLVM (LP: #2138328)
    - [Packaging] Actually enable llvm for perf
  * Pull patch in qla2xxx to Resolute  (LP: #2144856)
    - scsi: qla2xxx: Add support to report MPI FW state
  * Ubuntu Resolute Desktop image arm64 - Boot on SC8280XP stalls with gpi-dma
    errors (LP: #2142403)
    - Revert "arm64: dts: qcom: sc8280xp: Enable GPI DMA"
  * 26.04 Snapdragon X Elite: Sync concept kernel changes  (LP: #2144643)
    - SAUCE: arm64: dts: add missing denali-oled.dtb to Makefile
    - SAUCE: dt-bindings: phy: qcom: Add CSI2 C-PHY/DPHY schema
    - SAUCE: phy: qcom-mipi-csi2: Add a CSI2 MIPI DPHY driver
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add simple-mfd
      compatible
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add optional PHY handle
      definitions
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add support for combo-
      mode endpoints
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Describe iommu entries
    - SAUCE: media: qcom: camss: Add legacy_phy flag to SoC definition
      structures
    - SAUCE: media: qcom: camss: Add support for PHY API devices
    - SAUCE: media: qcom: camss: Drop legacy PHY descriptions from x1e
    - SAUCE: arm64: dts: qcom: x1e80100: Add CAMCC block definition
    - SAUCE: arm64: dts: qcom: x1e80100: Add CCI definitions
    - SAUCE: arm64: dts: qcom: x1e80100: Add CAMSS block definition
    - SAUCE: arm64: dts: qcom: x1e80100-crd: Add pm8010 CRD pmic,id=m
      regulators
    - SAUCE: arm64: dts: qcom: x1e80100-crd: Add ov08x40 RGB sensor on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Add pm8010 camera PMIC with
      voltage levels for IR and RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Add on ov02c10 RGB sensor on
      CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add pm8010 camera
      PMIC with voltage levels for IR and RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add l7b_2p8
      voltage regulator for RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add ov02c10 RGB
      sensor on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-dell-inspiron14-7441: Switch on CAMSS
      RGB sensor
    - SAUCE: arm64: dts: qcom: x1-asus-zenbook-a14: Add on OV02C10 RGB sensor
      on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: add camera support
    - SAUCE: arm64: dts: qcom: x1e78100-t14s: enable camera privacy indicator
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: enable camera
      privacy indicator
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: enable camera privacy
      indicator
    - SAUCE: dt-bindings: arm: qcom: Add ASUS Vivobook X1P42100 variant
    - SAUCE: arm64: dts: qcom: x1-vivobook-s15: create a common dtsi for Hamoa
      and Purwa variants
    - SAUCE: arm64: dts: qcom: x1-vivobook-s15: add Purwa-compatible device
      tree
    - SAUCE: firmware: qcom: scm: allow QSEECOM on ASUS Vivobook X1P42100
      variant
    - SAUCE: arm64: dts: qcom: hamoa: Move PCIe PERST and Wake GPIOs to port
      nodes
    - SAUCE: arm64: dts: qcom: x1e-acer-swift-14: Move PCIe PERST and Wake
      GPIOs to port nodes
  * 25.10 Snapdragon X Elite: Sync concept kernel changes (LP: #2121477)
    - SAUCE: wip: arm64: dts: qcom: x1e78100-t14s: enable bluetooth
  * Miscellaneous Ubuntu changes
    - SAUCE: dt-bindings: arm: qcom: Document HP EliteBook 6 G1q
    - SAUCE: firmware: qcom: scm: Allow QSEECOM for HP EliteBook 6 G1q
    - SAUCE: arm64: dts: qcom: x1p42100-hp-elitebook-6-g1q: DT for HP
      EliteBook 6 G1q
    - [Config] PHY_QCOM_MIPI_CSI2=m
    - SAUCE: arm64: dts: x1e80100-lenovo-yoga-slim7x: Fix RGB camera supplies
    - [Config] toolchain version update
    - Update Changes.md after v7.0-rc5 rebase
    - [Packaging] update Ubuntu.md
    - [Config] enable SECURITY_APPARMOR_PACKET_MEDIATION_ENABLED
    - [Packaging] Add linux-main-modules-zfs to linux-modules depends
  * Miscellaneous upstream changes
    - Revert "UBUNTU: SAUCE: Add Bluetooth support for the Lenovo Yoga Slim
      7x"

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 02 Apr 2026 17:20:21 +0200

linux-oracle (7.0.0-1001.1) resolute; urgency=medium

  * resolute/linux-oracle: 7.0.0-1001.1 -proposed tracker (LP: #2144793)

  * Miscellaneous Ubuntu changes
    - [Packaging] debian.master/dkms-versions -- update
    - [Config] updateconfigs after rebase to 7.0.0-10.10

  [ Ubuntu: 7.0.0-10.10 ]

  * resolute/linux: 7.0.0-10.10 -proposed tracker (LP: #2144865)
  * Miscellaneous upstream changes
    - Revert "powerpc: fix KUAP warning in VMX usercopy path"

  [ Ubuntu: 7.0.0-9.9 ]

  * resolute/linux: 7.0.0-9.9 -proposed tracker (LP: #2144735)
  * Please make dracut the default initrd generator (LP: #2142775)
    - [Packaging] recommends dracut instead of initramfs-tools
  * Miscellaneous Ubuntu changes
    - SAUCE: Change RISC-V target to RVA23 (riscv64a23-unknown-linux-gnu)

  [ Ubuntu: 7.0.0-8.8 ]

  * resolute/linux: 7.0.0-8.8 -proposed tracker (LP: #2144652)
  * UBUNTU: SAUCE: igc: Increase Thunderbolt MAC passthrough delay to 1000ms
    (LP: #2143197)
    - SAUCE: igc: Increase Thunderbolt MAC passthrough delay to 1000ms
  * [usrmerge] evaluate kernel owned packages for DEP17 compliance
    (LP: #2139276)
    - [Packaging] Install modules in /usr/lib/modules
  * Miscellaneous Ubuntu changes
    - [Config] hardening: enable LIST_HARDENED
    - [Config] hardening: disable LDISC_AUTOLOAD
    - [Config] hardening: disable LEGACY_PTYS
    - [Config] updateconfigs following v7.0-rc4 rebase

  [ Ubuntu: 7.0.0-7.7 ]

  * resolute/linux: 7.0.0-7.7 -proposed tracker (LP: #2143974)
  * unconfined profile denies userns_create for chromium based processes
    (LP: #1990064)
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * Jellyfin Desktop Flatpak doesn't work with the current AppArmor profile
    (LP: #2142956)
    - SAUCE: apparmor5.0.0 [29/29]: apparmor: fix fine grained inet mediation
      sock_file_perm
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - SAUCE: apparmor5.0.0 [28/29]: apparmor: fix aa_label_sk_perm to check
      for RULE_MEDIATES_NET
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/29]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [2/29]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [3/29]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [4/29]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [5/29]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [6/29]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [7/29]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [8/29]: apparmor: lift compatibility check out of
      profile_af_perm
    - SAUCE: apparmor5.0.0 [9/29]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [10/29]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [12/29]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [13/29]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [14/29]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [15/29]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [16/29]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [19/29]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [20/29]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [21/29]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [22/29]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [23/29]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [24/29]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [25/29]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [26/29]: apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [27/29]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
  * update apparmor and LSM stacking patch set (LP: #2028253) // Installation
    of AppArmor on a 6.14 kernel produces error message "Illegal number: yes"
    (LP: #2102680)
    - SAUCE: apparmor5.0.0 [17/29]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [18/29]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in
    mantic (LP: #2032602)
    - SAUCE: apparmor5.0.0 [11/29]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
  * NPU utilization on amdxdna is missing (LP: #2143243)
    - SAUCE: accel/amdxdna: Add IOCTL to retrieve realtime NPU power estimate
    - SAUCE: accel/amdxdna: Support sensors for column utilization
    - SAUCE: accel/amdxdna: Import AMD_PMF namespace
  * Adopting dark mode by default for OLED panel (LP: #2143203)
    - SAUCE: drm/connector: Add a new 'panel_type' property
    - SAUCE: drm/amd/display: Attach OLED property to eDP panels
  * Support AMD Image Signal Processing (ISP) unit V4.0 (LP: #2110092)
    - SAUCE: media: platform: amd: Introduce amd isp4 capture driver
    - SAUCE: media: platform: amd: low level support for isp4 firmware
    - SAUCE: media: platform: amd: Add isp4 fw and hw interface
    - SAUCE: media: platform: amd: isp4 subdev and firmware loading handling
      added
    - SAUCE: media: platform: amd: isp4 video node and buffers handling added
    - SAUCE: Documentation: add documentation of AMD isp 4 driver
    - SAUCE: media: platform: amd: isp4 debug fs logging and more descriptive
      errors
    - [Config] Enable VIDEO_AMD_ISP4_CAPTURE
  * Miscellaneous Ubuntu changes
    - [Config] temporarily disable OBJTOOL_WERROR

  [ Ubuntu: 7.0.0-6.6 ]

  * resolute/linux: 7.0.0-6.6 -proposed tracker (LP: #2143745)
  * Miscellaneous Ubuntu changes
    - [Packaging] drop unstable suffix

  [ Ubuntu: 7.0.0-5.5 ]

  * resolute/linux-unstable: 7.0.0-5.5 -proposed tracker (LP: #2143700)
  * Resolute real-time patchset: 7.0-rc1-rt1 (LP: #2143181)
    - SAUCE: Reapply "serial: 8250: Switch to nbcon console"
    - SAUCE: Reapply "serial: 8250: Revert "drop lockdep annotation from
      serial8250_clear_IER()""
    - SAUCE: drm/i915: Use preempt_disable/enable_rt() where recommended
    - SAUCE: drm/i915: Don't disable interrupts on PREEMPT_RT during atomic
      updates
    - SAUCE: drm/i915: Disable tracing points on PREEMPT_RT
    - SAUCE: drm/i915/gt: Use spin_lock_irq() instead of local_irq_disable() +
      spin_lock()
    - SAUCE: drm/i915: Drop the irqs_disabled() check
    - SAUCE: drm/i915/guc: Consider also RCU depth in busy loop.
    - SAUCE: drm/i915: Consider RCU read section as atomic.
    - SAUCE: Revert "drm/i915: Depend on !PREEMPT_RT."
    - SAUCE: sysfs: Add /sys/kernel/realtime entry
    - Real-time patchset 7.0-rc1-rt1
  * Miscellaneous Ubuntu changes
    - [Config] rust toolchain version update

  [ Ubuntu-unstable: 7.0.0-4.4 ]

  * resolute/linux-unstable: 7.0.0-4.4 -proposed tracker (LP: #2143123)
  * efi: Fix swapped arguments to bsearch() in efi_status_to_*() SAUCE patch
    (LP: #2141276)
    - SAUCE efi: Fix swapped arguments to bsearch() in efi_status_to_*()
  * Plucky preinstalled server fails to boot on rb3gen2 (LP: #2106681) //
    Questing preinstalled server fails to boot on sa8775p boards
    (LP: #2121347)
    - [Config] move more qcom interconnect/pinctrl/gcc options to builtin
  * linux-tools: consider linking perf against LLVM (LP: #2138328)
    - [Packaging] Add llvm-21-dev to build-depends for perf
  * Miscellaneous Ubuntu changes
    - [Packaging] Add intel-speed-select to linux-tools
    - [Packaging] remove stale debian/dkms-versions
    - [Packaging] remove stale debian/dkms-versions scripting

  [ Ubuntu-unstable: 7.0.0-3.3 ]

  * resolute/linux-unstable: 7.0.0-3.3 -proposed tracker (LP: #2143020)
  * Miscellaneous Ubuntu changes
    - [Config] updateconfig after rebase to v7.0-rc2
    - [Config] switch to PREEMPT_LAZY

  [ Ubuntu-unstable: 7.0.0-2.2 ]

  * resolute/linux-unstable: 7.0.0-2.2 -proposed tracker (LP: #2142764)

  [ Ubuntu-unstable: 7.0.0-1.1 ]

  * resolute/linux-unstable: 7.0.0-1.1 -proposed tracker (LP: #2142402)
  * Miscellaneous Ubuntu changes
    - [packaging] rename to linux-unstable
    - [Config] updateconfig after rebase to v7.0-rc1
    - Update Changes.md
    - [Packaging] add libbpf-dev to Build-Depends
    - [Config] disable AMD_ISP4, FTBFS
    - [Packaging] debian.master/dkms-versions -- temporarily remove zfs FTBFS
    - [Packaging] debian.master/dkms-versions -- temporarily remove evdi FTBFS
    - [Config] updateconfig after rebase to v7.0-rc1
    - [Config] update toolchain version

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 20 Mar 2026 15:44:29 +0100

linux-oracle (6.19.0-1002.2) resolute; urgency=medium

  * resolute/linux-oracle: 6.19.0-1002.2 -proposed tracker (LP: #2143214)

  * Miscellaneous Ubuntu changes
    - [Packaging] wrap-and-sort control.stub.in
    - [Packaging] Sync build-deps with master

  [ Ubuntu: 6.19.0-9.9 ]

  * resolute/linux: 6.19.0-9.9 -proposed tracker (LP: #2143205)
  * efi: Fix swapped arguments to bsearch() in efi_status_to_*() SAUCE patch
    (LP: #2141276)
    - SAUCE efi: Fix swapped arguments to bsearch() in efi_status_to_*()
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - apparmor: fix fine grained inet mediation sock_file_perm
  * Plucky preinstalled server fails to boot on rb3gen2 (LP: #2106681) //
    Questing preinstalled server fails to boot on sa8775p boards
    (LP: #2121347)
    - [Config] move more qcom interconnect/pinctrl/gcc options to builtin
  * Resolute update: v6.19.5 upstream stable release (LP: #2143119)
    - netfilter: nf_tables: add .abort_skip_removal flag for set types
    - Linux 6.19.5
  * Resolute update: v6.19.4 upstream stable release (LP: #2143118)
    - RDMA/siw: Fix potential NULL pointer dereference in header processing
    - RDMA/umad: Reject negative data_len in ib_umad_write
    - auxdisplay: arm-charlcd: fix release_mem_region() size
    - hfsplus: return error when node already exists in hfs_bnode_create
    - rcutorture: Correctly compute probability to invoke ->exp_current()
    - rcu: Fix rcu_read_unlock() deadloop due to softirq
    - audit: move the compat_xxx_class[] extern declarations to audit_arch.h
    - selftests/resctrl: Fix a division by zero error on Hygon
    - i3c: Move device name assignment after i3c_bus_init
    - device_cgroup: remove branch hint after code refactor
    - fs: move initializing f_mode before file_ref_init()
    - fs: add <linux/init_task.h> for 'init_fs'
    - i3c: master: Update hot-join flag only on success
    - erofs: Use %pe format specifier for error pointers
    - erofs: avoid noisy messages for transient -ENOMEM
    - gfs2: Retries missing in gfs2_{rename,exchange}
    - gfs2: Rename gfs2_log_submit_{bio -> write}
    - gfs2: Initialize bio->bi_opf early
    - gfs2: Fix slab-use-after-free in qd_put
    - iomap: fix invalid folio access after folio_end_read()
    - gfs2: Fix use-after-free in iomap inline data write path
    - i3c: dw: Initialize spinlock to avoid upsetting lockdep
    - i3c: dw: Fix memory leak in dw_i3c_master_i2c_xfers()
    - tpm: tpm_i2c_infineon: Fix locality leak on get_burstcount() failure
    - tpm: st33zp24: Fix missing cleanup on get_burstcount() error
    - erofs: handle end of filesystem properly for file-backed mounts
    - btrfs: zoned: don't zone append to conventional zone
    - btrfs: qgroup: return correct error when deleting qgroup relation item
    - btrfs: fix block_group_tree dirty_list corruption
    - btrfs: fix EEXIST abort due to non-consecutive gaps in chunk allocation
    - gfs2: fix memory leaks in gfs2_fill_super error path
    - erofs: fix inline data read failure for ztailpacking pclusters
    - smb: client: fix potential UAF and double free in smb2_open_file()
    - netfs: avoid double increment of retry_count in subreq
    - tools/nolibc: always use 64-bit mode for s390 header checks
    - rnbd-srv: Fix server side setting of bi_size for special IOs
    - docs: find-unused-docs.sh: fixup directory usage
    - ACPI: processor: Update cpuidle driver check in __acpi_processor_start()
    - xen/virtio: Don't use grant-dma-ops when running as Dom0
    - io_uring: use release-acquire ordering for IORING_SETUP_R_DISABLED
    - ACPICA: Fix NULL pointer dereference in acpi_ev_address_space_dispatch()
    - io_uring/eventfd: remove unused ctx->evfd_last_cq_tail member
    - io_uring/sync: validate passed in offset
    - cpuidle: governors: menu: Always check timers with tick stopped
    - thermal: intel: x86_pkg_temp_thermal: Handle invalid temperature
    - md/raid5: fix raid5_run() to return error when log_init() fails
    - md/raid10: fix any_working flag handling in raid10_sync_request
    - md/raid5: fix IO hang with degraded array with llbitmap
    - md/md-llbitmap: fix percpu_ref not resurrected on suspend timeout
    - OPP: Return correct value in dev_pm_opp_get_level
    - cpufreq: scmi: Fix device_node reference leak in scmi_cpu_domain_id()
    - iomap: fix submission side handling of completion side errors
    - thermal/of: Fix reference leak in thermal_of_cm_lookup()
    - ublk: restore auto buf unregister refcount optimization
    - ublk: Validate SQE128 flag before accessing the cmd
    - ublk: use READ_ONCE() to read struct ublksrv_ctrl_cmd
    - Partial revert "x86/xen: fix balloon target initialization for PVH dom0"
    - md/raid1: fix memory leak in raid1_run()
    - md: fix return value of mddev_trylock
    - PM: wakeup: Handle empty list in wakeup_sources_walk_start()
    - arm64/gcs: Fix error handling in arch_set_shadow_stack_status()
    - block: don't use strcpy to copy blockdev name
    - perf: arm_spe: Properly set hw.state on failures
    - cpufreq: intel_pstate: Enable asym capacity only when CPU SMT is not
      possible
    - PM: sleep: wakeirq: harden dev_pm_clear_wake_irq() against races
    - s390/cio: Fix device lifecycle handling in css_alloc_subchannel()
    - io_uring/kbuf: fix memory leak if io_buffer_add_list fails
    - x86/cpu/amd: Correct the microcode table for Zenbleed
    - perf/x86/core: Do not set bit width for unavailable counters
    - crypto: qat - fix parameter order used in ICP_QAT_FW_COMN_FLAGS_BUILD
    - crypto: qat - fix warning on adf_pfvf_pf_proto.c
    - bpf: bpf_scc_visit instance and backedges accumulation for bpf_loop()
    - selftests/bpf: veristat: fix printing order in output_stats()
    - libbpf: Fix OOB read in btf_dump_get_bitfield_value
    - sched: Export hidden tracepoints to modules
    - ARM: VDSO: Patch out __vdso_clock_getres() if unavailable
    - time/sched_clock: Use ACCESS_PRIVATE() to evaluate hrtimer::function
    - bpf: Return proper address for non-zero offsets in insn array
    - sched: Fix build for modules using set_tsk_need_resched()
    - crypto: cavium - fix dma_free_coherent() size
    - crypto: octeontx - fix dma_free_coherent() size
    - crypto: hisilicon/zip - adjust the way to obtain the req in the callback
      function
    - crypto: hisilicon/sec - move backlog management to qp and store sqe in
      qp for callback
    - crypto: hisilicon/hpre: extend tag field to 64 bits for better
      performance
    - crypto: hisilicon/qm - enhance the configuration of req_type in queue
      attributes
    - crypto: hisilicon/qm - centralize the sending locks of each module into
      qm
    - crypto: hisilicon/zip - support fallback for zip
    - crypto: hisilicon - consolidate qp creation and start in
      hisi_qm_alloc_qps_node
    - crypto: hisilicon/hpre - support the hpre algorithm fallback
    - crypto: hisilicon/sec2 - support skcipher/aead fallback for hardware
      queue unavailable
    - crypto: hisilicon/sgl - fix inconsistent map/unmap direction issue
    - bpf: Preserve id of register in sync_linked_regs()
    - clocksource/drivers/timer-sp804: Fix an Oops when read_current_timer is
      called on ARM32 platforms where the SP804 is not registered as the
      sched_clock.
    - bpf: Fix memory access flags in helper prototypes
    - selftests/bpf: Fix resource leak in serial_test_wq on attach failure
    - hrtimer: Fix trace oddity
    - crypto: inside-secure/eip93 - fix kernel panic in driver detach
    - crypto: ccp - Fix a case where SNP_SHUTDOWN is missed
    - crypto: ccp - narrow scope of snp_range_list
    - hwrng: airoha - set rng quality to 900
    - rqspinlock: Fix TAS fallback lock entry creation
    - bpf, sockmap: Fix incorrect copied_seq calculation
    - bpf, sockmap: Fix FIONREAD for sockmap
    - bpf: Fix tcx/netkit detach permissions when prog fd isn't given
    - seqlock: fix scoped_seqlock_read kernel-doc
    - x86/hyperv: Fix smp_ops build failure on UP kernels
    - ftrace,bpf: Remove FTRACE_OPS_FL_JMP ftrace_ops flag
    - bpf: Fix verifier_bug_if to account for BPF_CALL
    - crypto: ccp - Fix a crash due to incorrect cleanup usage of kfree
    - crypto: inside-secure/eip93 - unregister only available algorithm
    - x86/fgraph: Fix return_to_handler regs.rsp value
    - x86/fgraph,bpf: Switch kprobe_multi program stack unwind to hw_regs path
    - selftests/bpf: Fix kprobe multi stacktrace_ips test
    - crypto: hisilicon/trng - support tfms sharing the device
    - crypto: caam - fix netdev memory leak in dpaa2_caam_probe
    - bpf: Fix bpf_xdp_store_bytes proto for read-only arg
    - genirq: Set IRQF_COND_ONESHOT in devm_request_irq().
    - platform/x86: int0002: Remove IRQF_ONESHOT from request_irq()
    - iommu/amd: Use core's primary handler and set IRQF_ONESHOT
    - Bluetooth: btintel_pcie: Use IRQF_ONESHOT and default primary handler
    - scsi: efct: Use IRQF_ONESHOT and default primary handler
    - EDAC/altera: Remove IRQF_ONESHOT
    - usb: typec: fusb302: Remove IRQF_ONESHOT
    - rtc: amlogic-a4: Remove IRQF_ONESHOT
    - mfd: wm8350-core: Use IRQF_ONESHOT
    - media: pci: mg4b: Use IRQF_NO_THREAD
    - sched/deadline: Clear the defer params
    - sched/rt: Skip currently executing CPU in rto_next_cpu()
    - sched: Re-evaluate scheduling when migrating queued tasks out of
      throttled cgroups
    - fs/tests: exec: drop duplicate bprm_stack_limits test vectors
    - irqchip/sifive-plic: Handle number of hardware interrupts correctly
    - bpf: Limit bpf program signature size
    - bpf: Require frozen map for calculating map hash
    - crypto: starfive - Fix memory leak in starfive_aes_aead_do_one_req()
    - hwrng: core - use RCU and work_struct to fix race condition
    - selftests/xsk: properly handle batch ending in the middle of a packet
    - selftests/xsk: fix number of Tx frags in invalid packet
    - pstore/ram: fix buffer overflow in persistent_ram_save_old()
    - arm64: dts: ti: k3-am69-aquila-dev: Fix USB-C Sink PDO
    - arm64: dts: ti: k3-am69-aquila-clover: Fix USB-C Sink PDO
    - soc: qcom: smem: handle ENOMEM error during probe
    - EDAC/i5000: Fix snprintf() size calculation in calculate_dimm_size()
    - EDAC/i5400: Fix snprintf() limit calculation in calculate_dimm_size()
    - firmware: arm_ffa: Correct 32-bit response handling in
      NOTIFICATION_INFO_GET
    - riscv: dts: sophgo: cv180x: fix USB dwc2 FIFO sizes
    - arm64: dts: tqma8mpql-mba8mpxl: Fix HDMI CEC pad control settings
    - arm64: dts: tqma8mpql-mba8mp-ras314: Fix HDMI CEC pad control settings
    - EDAC/amd64: Avoid a -Wformat-security warning
    - clk: qcom: Return correct error code in qcom_cc_probe_by_index()
    - arm64: dts: qcom: sdm630: fix gpu_speed_bin size
    - arm64: dts: qcom: sm8150-hdk,mtp: specify ZAP firmware name
    - arm64: dts: qcom: sm8250-hdk: specify ZAP firmware name
    - arm64: dts: qcom: sdm850-huawei-matebook-e-2019: Remove duplicate
      reserved-memroy nodes
    - arm64: dts: qcom: sdm850-huawei-matebook-e-2019: Correct ipa_fw_mem for
      the driver to load successfully
    - arm64: dts: qcom: sdm845-oneplus: Don't mark ts supply boot-on
    - arm64: dts: qcom: sdm845-oneplus: Don't keep panel regulator always on
    - arm64: dts: qcom: sdm845-oneplus: Mark l14a regulator as boot-on
    - arm64: dts: qcom: x1e80100: Fix USB combo PHYs SS1 and SS2 ref clocks
    - arm64: dts: renesas: r9a09g047e57-smarc: Remove duplicate SW_LCD_EN
    - arm64: dts: qcom: msm8994-octagon: Fix Analog Devices vendor prefix of
      AD7147
    - ARM: dts: allwinner: sun5i-a13-utoo-p66: delete "power-gpios" property
    - powerpc/uaccess: Move barrier_nospec() out of
      allow_read_{from/write}_user()
    - soc: qcom: cmd-db: Use devm_memremap() to fix memory leak in
      cmd_db_dev_probe
    - soc: mediatek: svs: Fix memory leak in svs_enable_debug_write()
    - powerpc/eeh: fix recursive pci_lock_rescan_remove locking in EEH event
      handling
    - arm64: dts: renesas: rzt2h-n2h-evk-common: Use GPIO for SD0 write
      protect
    - arm: dts: lpc32xx: add clocks property to Motor Control PWM device tree
      node
    - arm64: dts: mediatek: mt8183-jacuzzi-pico6: Fix typo in pinmux node
    - arm64: dts: amlogic: s4: assign mmc b clock to 24MHz
    - arm64: dts: amlogic: s4: fix mmc clock assignment
    - arm64: dts: ti: k3-j784s4-main.dtsi: Move c71_3 node to appropriate
      order
    - arm64: dts: ti: k3-j784s4-j742s2-main-common.dtsi: Refactor watchdog
      instances for j784s4
    - soc: qcom: ubwc: add missing include
    - hwspinlock: omap: Handle devm_pm_runtime_enable() errors
    - arm64: dts: amlogic: c3: assign the MMC signal clocks
    - arm64: dts: amlogic: axg: assign the MMC signal clocks
    - arm64: dts: amlogic: gx: assign the MMC signal clocks
    - arm64: dts: amlogic: g12: assign the MMC B and C signal clocks
    - arm64: dts: amlogic: g12: assign the MMC A signal clock
    - arm64: dts: qcom: qrb4210-rb2: Fix UART3 wakeup IRQ storm
    - arm64: dts: qcom: sdm845-db845c: drop CS from SPIO0
    - arm64: dts: qcom: sdm845-db845c: specify power for WiFi CH1
    - arm64: dts: ti: k3-am67a-kontron-sa67-base: Fix CMA node
    - arm64: dts: ti: k3-am67a-kontron-sa67-base: Fix SD card regulator
    - arm64: dts: qcom: x1e: bus is 40-bits (fix 64GB models)
    - arm64: dts: imx95: Use GPU_CGC as core clock for GPU
    - arm64: dts: qcom: talos: Drop opp-shared from QUP OPP table
    - arm64: dts: amlogic: meson-sm1-odroid: Eliminate Odroid HC4 power
      glitches during boot.
    - arm64: dts: qcom: agatti: Add CX_MEM/DBGC GPU regions
    - arm64: dts: qcom: sm6115: Add CX_MEM/DBGC GPU regions
    - reset: canaan: k230: drop OF dependency and enable by default
    - drm/xe/pf: Fix .bulk_profile/sched_priority description
    - drm/panthor: Recover from panthor_gpu_flush_caches() failures
    - drm/panthor: Fix the full_tick check
    - drm/panthor: Fix the group priority rotation logic
    - drm/panthor: Fix immediate ticking on a disabled tick
    - drm/panthor: Fix the logic that decides when to stop ticking
    - drm/panthor: Make sure we resume the tick when new jobs are submitted
    - drm/panthor: Remove redundant call to disable the MCU
    - drm/panthor: fix queue_reset_timeout_locked
    - workqueue: Process rescuer work items one-by-one using a cursor
    - drm/panthor: Fix panthor_gpu_coherency_set()
    - accel/amdxdna: Fix race condition when checking rpm_on
    - accel/amdxdna: Fix cu_idx being cleared by memset() during command setup
    - drm/plane: Fix IS_ERR() vs NULL bug
      drm_plane_create_color_pipeline_property()
    - accel/amdxdna: Fix race where send ring appears full due to delayed head
      update
    - firmware: cs_dsp: Remove __free() from cs_dsp_debugfs_string_read()
    - firmware: cs_dsp: Don't use __free() in cs_dsp_load() and
      cs_dsp_load_coeff()
    - spi: cadence-qspi: Remove redundant pm_runtime_mark_last_busy call
    - accel/amdxdna: Fix potential NULL pointer dereference in context cleanup
    - drm/panel: sw43408: Remove manual invocation of unprepare at remove
    - ALSA: compress_offload: Relax __free() variable declarations
    - ALSA: control: Relax __free() variable declarations
    - ALSA: pcm: Relax __free() variable declarations
    - ALSA: oss: Relax __free() variable declarations
    - ALSA: seq: oss: Relax __free() variable declarations
    - ALSA: seq: Relax __free() variable declarations
    - ALSA: timer: Relax __free() variable declarations
    - ALSA: vmaster: Relax __free() variable declarations
    - ALSA: hda: Relax __free() variable declarations
    - ALSA: usx2y: Relax __free() variable declarations
    - ALSA: usb-audio: Relax __free() variable declarations
    - ASoC: SDCA: Allow sample width wild cards in set_usage()
    - drm/panthor: Fix NULL pointer dereference on panthor_fw_unplug
    - drm/i915/colorop: do not include headers from headers
    - drm/panthor: Evict groups before VM termination
    - drm/display/dp_mst: Add protection against 0 vcpi
    - drm/atomic: convert drm_atomic_get_{old, new}_colorop_state() into
      proper functions
    - ima: Fix stack-out-of-bounds in is_bprm_creds_for_exec()
    - smack: /smack/doi must be > 0
    - smack: /smack/doi: accept previously used values
    - ASoC: nau8821: Fixup nau8821_enable_jack_detect()
    - ASoC: nau8821: Cancel delayed work on component remove
    - ASoC: nau8821: Cancel pending work before suspend
    - media: chips-media: wave5: Fix memory leak on codec_info allocation
      failure
    - drm/amd/display: Don't use kernel-doc comment in
      dc_register_software_state struct
    - drm/amdgpu: Describe @AMD_IP_BLOCK_TYPE_RAS in amd_ip_block_type enum
    - drm/amd: Drop "amdgpu kernel modesetting enabled" message
    - drm/amdkfd: Fix signal_eviction_fence() bool return value
    - drm/amdgpu: Use explicit VCN instance 0 in SR-IOV init
    - drm/amd/display: Remove unused encoder types
    - drm/amd/display: Use local variable for analog_engine initialization
    - drm/amd/display: Pass proper DAC encoder ID to VBIOS
    - drm/amd/display: Update dc_connection_dac_load to
      dc_connection_analog_load
    - drm/amd/display: Don't repeat DAC load detection
    - drm/msm/disp/dpu: add merge3d support for sc7280
    - drm/msm/dpu: Set vsync source irrespective of mdp top support
    - drm/msm/dpu: fix WD timer handling on DPU 8.x
    - drm/msm/dp: Update msm_dp_controller IDs for sa8775p
    - ALSA: hda - fix function names & missing function parameter
    - mei: late_bind: fix struct intel_lb_component_ops kernel-doc
    - spi: microchip-core: use XOR instead of ANDNOT to fix the logic
    - regulator: core: fix locking in regulator_resolve_supply() error path
    - regulator: core: move supply check earlier in set_machine_constraints()
    - regulator: core: don't ignore errors from event forwarding setup
    - HID: playstation: Add missing check for input_ff_create_memless
    - drm/amdgpu/ttm: Pin 4K MMIO_REMAP Singleton BO at Init v2
    - drm/amdgpu: Drop MMIO_REMAP domain bit and keep it Internal
    - gpu: nova-core: check for overflow to DMATRFBASE1
    - drm/msm/disp: set num_planes to 1 for interleaved YUV formats
    - drm/msm/dpu: drop intr_start from DPU 3.x catalog files
    - drm/msm/dpu: fix CMD panels on DPU 1.x - 3.x
    - drm/msm/dsi_phy_14nm: convert from divider_round_rate() to
      divider_determine_rate()
    - accel/amdxdna: Fix notifier_wq flushing warning
    - drm/msm: Fix x2-85 TPL1_DBG_ECO_CNTL1
    - drm/msm: Fix GMEM_BASE for gen8
    - media: ccs: Accommodate C-PHY into the calculation
    - drm/msm/a2xx: fix pixel shader start on A225
    - drm/buddy: release free_trees array on buddy mm teardown
    - drm/hisilicon/hibmc: fix dp probabilistical detect errors after HPD irq
    - drm/hisilicon/hibmc: add dp mode valid check
    - drm/hisilicon/hibmc: fix no showing problem with loading hibmc manually
    - drm/hisilicon/hibmc: Adding reset colorbar cfg in dp init.
    - drm/rockchip: dw_hdmi_qp: Fix RK3576 HPD interrupt handling
    - rust: pwm: Fix potential memory leak on init error
    - drm/amd/pm: Fix unneeded semicolon warning
    - drm/msm/mdss: correct HBB programmed on UBWC 5.x and 6.x devices
    - drm/msm/dpu: offset HBB values written to DPU by -13
    - drm/msm/dpu: program correct register for UBWC config on DPU 8.x+
    - drm/msm/dpu: fix SSPP_UBWC_STATIC_CTRL programming on UBWC 5.x+
    - drm/msm/dp: Avoid division by zero in msm_dp_ctrl_config_msa()
    - platform/chrome: cros_typec_switch: Don't touch struct
      fwnode_handle::dev
    - pwm: tiehrpwm: Enable pwmchip's parent device before setting
      configuration
    - drm/amd/pm: Return -EOPNOTSUPP when can't read power limit
    - media: uvcvideo: Fix allocation for small frame sizes
    - evm: Use ordered xattrs list to calculate HMAC in evm_init_hmac()
    - drm/xe/ptl: Disable DCC on PTL
    - drm/xe: Unregister drm device on probe error
    - mm/slab: fix false lockdep warning in __kfree_rcu_sheaf()
    - ASoC: tegra: Add AHUB writeable_reg for RX holes
    - platform/chrome: cros_ec_lightbar: Fix response size initialization
    - accel/amdxdna: Hold mm structure across iommu_sva_unbind_device()
    - accel/amdxdna: Stop job scheduling across aie2_release_resource()
    - accel/amdxdna: Fix memory leak in amdxdna_ubuf_map
    - drm/i915/display: fix the pixel normalization handling for xe3p_lpd
    - HID: intel-ish-hid: fix NULL-ptr-deref in ishtp_bus_remove_all_clients
    - HID: Intel-thc-hid: Intel-thc: Fix wrong register fields updating
    - accel/amdxdna: Enable temporal sharing only mode
    - accel/amdxdna: Remove hardware context status
    - accel/amdxdna: Fix incorrect error code returned for failed chain
      command
    - ASoC: SDCA: Remove outdated todo comment
    - ASoC: SDCA: Handle volatile controls correctly
    - ASoC: SDCA: Factor out jack handling into new c file
    - ASoC: SDCA: Add ability to connect SDCA jacks to ASoC jacks
    - ASoC: SDCA: Still process most of the jack detect if control is missing
    - accel/amdxdna: Fix incorrect DPM level after suspend/resume
    - accel/amdxdna: Move RPM resume into job run function
    - ASoC: cs4271: Fix resource leak in cs4271_soc_resume()
    - vsnprintf: drop __printf() attributes on binary printing functions
    - ALSA: oss: delete self assignment
    - spi: tools: Add include folder to .gitignore
    - Revert "hwmon: (ibmpex) fix use-after-free in high/low store"
    - hwmon: (pmbus/mpq8785) fix VOUT_MODE mismatch during identification
    - PCI: mediatek: Fix IRQ domain leak when MSI allocation fails
    - wifi: rtw89: correct use sequence of driver_data in skb->info
    - PCI: xilinx: Fix INTx IRQ domain leak in error paths
    - Documentation: PCI: endpoint: Fix ntb/vntb copy & paste errors
    - PCI: Add WQ_PERCPU to alloc_workqueue() users
    - PCI: endpoint: Add missing NULL check for alloc_workqueue()
    - PCI: rzg3s-host: Use pci_generic_config_write() for the root bus
    - PCI/PM: Avoid redundant delays on D3hot->D3cold
    - wifi: cfg80211: Fix use_for flag update on BSS refresh
    - PCI/P2PDMA: Release per-CPU pgmap ref when vm_insert_page() fails
    - PCI/P2PDMA: Fix p2pmem_alloc_mmap() warning condition
    - Documentation: tracing: Add PCI tracepoint documentation
    - PCI: Do not attempt to set ExtTag for VFs
    - PCI: sophgo: Disable L0s and L1 on Sophgo 2044 PCIe Root Ports
    - PCI/portdrv: Fix potential resource leak
    - dm: fix unlocked test for dm_suspended_md
    - dm: use READ_ONCE in dm_blk_report_zones
    - PCI/PTM: Fix pcie_ptm_create_debugfs() memory leak
    - PCI/P2PDMA: Reset page reference count when page mapping fails
    - wifi: ath9k: debug.h: fix kernel-doc bad lines and struct ath_tx_stats
    - wifi: ath9k: fix kernel-doc warnings in common-debug.h
    - wifi: ath9k: add OF dependency to AHB
    - wifi: ath12k: do WoW offloads only on primary link
    - quota: fix livelock between quotactl and freeze_super
    - PCI/pwrctrl: tc9563: Use put_device() instead of i2c_put_adapter()
    - net: mctp-i2c: fix duplicate reception of old data
    - mctp i2c: initialise event handler read bytes
    - wifi: cfg80211: stop NAN and P2P in cfg80211_leave
    - iommupt: Do not set C-bit on MMIO backed PTEs
    - ext4: fast commit: make s_fc_lock reclaim-safe
    - netfilter: nf_tables: reset table validation state on abort
    - netfilter: nf_conncount: increase the connection clean up limit to 64
    - netfilter: nft_compat: add more restrictions on netlink attributes
    - netfilter: nf_conncount: fix tracking of connections from localhost
    - kallsyms/bpf: rename __bpf_address_lookup() to bpf_address_lookup()
    - module: add helper function for reading module_buildid()
    - kallsyms/ftrace: set module buildid in ftrace_mod_address_lookup()
    - PCI: Mark 3ware-9650SA Root Port Extended Tags as broken
    - wifi: rtw89: debug: Fix memory leak in __print_txpwr_map()
    - iommu/vt-d: Flush cache for PASID table before using it
    - iommu/vt-d: Clear Present bit before tearing down PASID entry
    - iommu/vt-d: Clear Present bit before tearing down context entry
    - iommu/vt-d: Fix race condition during PASID entry replacement
    - dm: use bio_clone_blkg_association
    - xdrgen: Fix struct prefix for typedef types in program wrappers
    - NFS: NFSERR_INVAL is not defined by NFSv2
    - xdrgen: Initialize data pointer for zero-length items
    - xdrgen: Remove inclusion of nlm4.h header
    - nfsd: never defer requests during idmap lookup
    - lib/kstrtox: fix kstrtobool() docstring to mention enabled/disabled
    - lib/Kconfig.debug: fix BOOTPARAM_HUNG_TASK_PANIC comment
    - rust: task: restrict Task::group_leader() to current
    - fat: avoid parent link count underflow in rmdir
    - PCI: Rewrite bridge window head alignment function
    - PCI: Stop over-estimating bridge window size
    - PCI: Remove old_size limit from bridge window sizing
    - tcp: tcp_tx_timestamp() must look at the rtx queue
    - Bluetooth: hci_conn: Fix using conn->le_{tx,rx}_phy as supported PHYs
    - PCI: Check parent for NULL in of_pci_bus_release_domain_nr()
    - wifi: ath10k: sdio: add missing lock protection in
      ath10k_sdio_fw_crashed_dump()
    - wifi: ath11k: add usecase firmware handling based on device compatible
    - wifi: ath12k: Fix index decrement when array_len is zero
    - wifi: ath12k: clear stale link mapping of ahvif->links_map
    - PCI: Initialize RCB from pci_configure_device()
    - PCI/ACPI: Restrict program_hpx_type2() to AER bits
    - Revert "net/smc: Introduce TCP ULP support"
    - selftests/mm: fix usage of FORCE_READ() in cow tests
    - ipc: don't audit capability check in ipc_permissions()
    - ucount: check for CAP_SYS_RESOURCE using ns_capable_noaudit()
    - jfs: avoid -Wtautological-constant-out-of-range-compare warning
    - PCI: s32g: Skip Root Port removal during success
    - tcp: ECT_1_NEGOTIATION and NEEDS_ACCECN identifiers
    - tcp: disable RFC3168 fallback identifier for CC modules
    - tcp: accecn: handle unexpected AccECN negotiation feedback
    - PCI: Add preceding capability position support in PCI_FIND_NEXT_*_CAP
      macros
    - PCI: dwc: Add new APIs to remove standard and extended Capability
    - PCI: dwc: ep: Cache MSI outbound iATU mapping
    - PCI: dwc: Remove duplicate dw_pcie_ep_hide_ext_capability() function
    - PCI: endpoint: Add dynamic_inbound_mapping EPC feature
    - PCI: endpoint: Add BAR subrange mapping support
    - PCI: dwc: Advertise dynamic inbound mapping support
    - PCI: dwc: ep: Support BAR subrange inbound mapping via Address Match
      Mode iATU
    - PCI: dwc: ep: Fix resizable BAR support for multi-PF configurations
    - PCI: dwc: ep: Add per-PF BAR and inbound ATU mapping support
    - of: unittest: fix possible null-pointer dereferences in
      of_unittest_property_copy()
    - mptcp: do not account for OoO in mptcp_rcvbuf_grow()
    - mptcp: fix receive space timestamp initialization
    - octeontx2-af: Fix PF driver crash with kexec kernel booting
    - bonding: only set speed/duplex to unknown, if getting speed failed
    - inet: RAW sockets using IPPROTO_RAW MUST drop incoming ICMP
    - nfc: hci: shdlc: Stop timers and work before freeing context
    - amd-xgbe: do not select NET_SELFTESTS when INET is disabled
    - netfilter: nfnetlink_queue: optimize verdict lookup with hash table
    - netfilter: nfnetlink_queue: do shared-unconfirmed check before
      segmentation
    - netfilter: nft_set_hash: fix get operation on big endian
    - netfilter: nft_counter: fix reset of counters on 32bit archs
    - netfilter: nft_set_rbtree: fix bogus EEXIST with NLM_F_CREATE with null
      interval
    - netfilter: nft_set_rbtree: check for partial overlaps in anonymous sets
    - netfilter: nft_set_rbtree: translate rbtree to array for binary search
    - netfilter: nft_set_rbtree: use binary search array in get command
    - netfilter: nft_set_rbtree: remove seqcount_rwlock_t
    - netfilter: nft_set_rbtree: don't gc elements on insert
    - netfilter: nft_set_rbtree: validate element belonging to interval
    - netfilter: nft_set_rbtree: validate open interval overlap
    - PCI: rzg3s-host: Fix device node reference leak in
      rzg3s_pcie_host_parse_port()
    - PCI: Add ACS quirk for Pericom PI7C9X2G404 switches [12d8:b404]
    - rust: driver-core: use "kernel vertical" style for imports
    - rust: devres: fix race condition due to nesting
    - dpll: zl3073x: Fix output pin phase adjustment sign
    - net: hns3: fix double free issue for tx spare buffer
    - procfs: fix missing RCU protection when reading real_parent in
      do_task_stat()
    - smb: client: correct value for smbd_max_fragmented_recv_size
    - net: atm: fix crash due to unvalidated vcc pointer in sigd_send()
    - net: sunhme: Fix sbus regression
    - xfrm: fix ip_rt_bug race in icmp_route_lookup reverse path
    - serial: caif: fix use-after-free in caif_serial ldisc_close()
    - octeon_ep: disable per ring interrupts
    - octeon_ep: ensure dbell BADDR updation
    - octeon_ep_vf: ensure dbell BADDR updation
    - ionic: Rate limit unknown xcvr type messages
    - net: renesas: rswitch: fix forwarding offload statemachine
    - octeontx2-pf: Unregister devlink on probe failure
    - af_unix: Fix memleak of newsk in unix_stream_connect().
    - RDMA/rtrs: server: remove dead code
    - IB/cache: update gid cache on client reregister event
    - RDMA/hns: Fix WQ_MEM_RECLAIM warning
    - RDMA/hns: Return actual error code instead of fixed EINVAL
    - RDMA/hns: Fix RoCEv1 failure due to DSCP
    - RDMA/hns: Notify ULP of remaining soft-WCs during reset
    - RDMA/mlx5: Fix ucaps init error flow
    - cxl/mem: Fix devm_cxl_memdev_edac_release() confusion
    - power: supply: ab8500: Fix use-after-free in power_supply_changed()
    - power: supply: act8945a: Fix use-after-free in power_supply_changed()
    - power: supply: bq256xx: Fix use-after-free in power_supply_changed()
    - power: supply: bq25980: Fix use-after-free in power_supply_changed()
    - power: supply: cpcap-battery: Fix use-after-free in
      power_supply_changed()
    - power: supply: goldfish: Fix use-after-free in power_supply_changed()
    - power: supply: pf1550: Fix use-after-free in power_supply_changed()
    - power: supply: pm8916_bms_vm: Fix use-after-free in
      power_supply_changed()
    - power: supply: pm8916_lbc: Fix use-after-free in power_supply_changed()
    - power: supply: rt9455: Fix use-after-free in power_supply_changed()
    - power: supply: sbs-battery: Fix use-after-free in power_supply_changed()
    - power: reset: nvmem-reboot-mode: respect cell size for nvmem_cell_write
    - power: supply: bq27xxx: fix wrong errno when bus ops are unsupported
    - power: supply: wm97xx: Fix NULL pointer dereference in
      power_supply_changed()
    - RDMA/rtrs-srv: fix SG mapping
    - RDMA/rxe: Fix double free in rxe_srq_from_init
    - RDMA/iwcm: Fix workqueue list corruption by removing work_list
    - platform/x86: hp-wmi: fix platform profile values for Omen 16-wf1xxx
    - tools/power/x86/intel-speed-select: Fix file descriptor leak in
      isolate_cpus()
    - RDMA/mlx5: Fix UMR hang in LAG error state unload
    - IB/mlx5: Fix port speed query for representors
    - mtd: rawnand: cadence: Fix return type of CDMA send-and-wait helper
    - mtd: intel-dg: Fix accessing regions before setting nregions
    - vfio/pci: Lock upstream bridge for vfio_pci_core_disable()
    - platform/x86/amd/pmf: Prevent TEE errors after hibernate
    - crypto: ccp - Declare PSP dead if PSP_CMD_TEE_RING_INIT fails
    - crypto: ccp - Add an S4 restore flow
    - crypto: ccp - Factor out ring destroy handling to a helper
    - crypto: ccp - Send PSP_CMD_TEE_RING_DESTROY when PSP_CMD_TEE_RING_INIT
      fails
    - mtd: parsers: Fix memory leak in mtd_parser_tplink_safeloader_parse()
    - NFS/localio: Handle short writes by retrying
    - NFS/localio: prevent direct reclaim recursion into NFS via
      nfs_writepages
    - NFS/localio: use GFP_NOIO and non-memreclaim workqueue in
      nfs_local_commit
    - NFS/localio: remove -EAGAIN handling in nfs_local_doio()
    - cxl/hdm: Fix newline character in dev_err() messages
    - cxl/core: Fix cxl_dport debugfs EINJ entries
    - RDMA/rxe: Fix iova-to-va conversion for MR page sizes != PAGE_SIZE
    - ata: libata: Add ATA_QUIRK_MAX_SEC and convert all device quirks
    - ata: libata-core: Quirk INTEL SSDSC2KG480G8 max_sectors
    - RDMA/uverbs: Validate wqe_size before using it in ib_uverbs_post_send
    - RDMA/mlx5: Fix memory leak in GET_DATA_DIRECT_SYSFS_PATH handler
    - RDMA/rxe: Fix race condition in QP timer handlers
    - RDMA/core: add rdma_rw_max_sge() helper for SQ sizing
    - cxl: Fix premature commit_end increment on decoder commit failure
    - mtd: parsers: ofpart: fix OF node refcount leak in
      parse_fixed_partitions()
    - mtd: spinand: Fix kernel doc
    - hisi_acc_vfio_pci: fix VF reset timeout issue
    - power: supply: pm8916_lbc: Fix use-after-free for extcon in IRQ handler
    - power: supply: qcom_battmgr: Recognize "LiP" as lithium-polymer
    - RDMA/uverbs: Add __GFP_NOWARN to ib_uverbs_unmarshall_recv() kmalloc
    - pNFS: fix a missing wake up while waiting on NFS_LAYOUT_DRAIN
    - scsi: smartpqi: Fix memory leak in pqi_report_phys_luns()
    - scsi: ufs: host: mediatek: Require CONFIG_PM
    - scsi: csiostor: Fix dereference of null pointer rn
    - nvdimm: virtio_pmem: serialize flush requests
    - fs/nfs: Fix readdir slow-start regression
    - tracing: Properly process error handling in event_hist_trigger_parse()
    - tracing: Remove duplicate ENABLE_EVENT_STR and DISABLE_EVENT_STR macros
    - remoteproc: imx_rproc: Use strstarts for "rsc-table" check
    - remoteproc: imx_dsp_rproc: Fix multiple start/stop operations
    - remoteproc: imx_dsp_rproc: Only reset carveout memory at RPROC_OFFLINE
      state
    - Revert "mailbox/pcc: support mailbox management of the shared buffer"
    - fbdev: of_display_timing: Fix device node reference leak in
      of_get_display_timings()
    - fbdev: au1200fb: Fix a memory leak in au1200fb_drv_probe()
    - clk: thead: th1520-ap: Poll for PLL lock and wait for stability
    - clk: spacemit: Respect Kconfig setting when building modules
    - clk: qcom: gcc-sm8550: Use floor ops for SDCC RCGs
    - clk: qcom: gcc-sm8650: Use floor ops for SDCC RCGs
    - clk: qcom: rcg2: compute 2d using duty fraction directly
    - clk: meson: gxbb: Limit the HDMI PLL OD to /4 on GXL/GXM SoCs
    - clk: meson: g12a: Limit the HDMI PLL OD to /4
    - clk: qcom: gcc-sm8450: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-sm8750: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-sm4450: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-sdx75: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-milos: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-x1e80100: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-qdu1000: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-glymur: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-msm8953: Remove ALWAYS_ON flag from cpp_gdsc
    - clk: qcom: gcc-msm8917: Remove ALWAYS_ON flag from cpp_gdsc
    - clk: qcom: gcc-ipq5018: flag sleep clock as critical
    - clk: qcom: alpha-pll: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: rockchip: Fix error pointer check after
      rockchip_clk_register_gate_link()
    - clk: microchip: core: remove duplicate determine_rate on pic32_sclk_ops
    - Input: adp5589 - remove a leftover header file
    - clk: Move clk_{save,restore}_context() to COMMON_CLK section
    - clk: qcom: regmap-divider: convert from divider_ro_round_rate() to
      divider_ro_determine_rate()
    - clk: qcom: regmap-divider: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: qcom: dispcc-sdm845: Enable parents for pixel clocks
    - clk: qcom: dispcc-sm7150: Fix dispcc_mdss_pclk1_clk_src
    - clk: qcom: gfx3d: add parent to parent request map
    - clk: actions: owl-composite: convert from
      owl_divider_helper_round_rate() to divider_determine_rate()
    - clk: actions: owl-divider: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: bm1880: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: hisilicon: clkdivider-hi6220: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: loongson1: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: milbeaut: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: nuvoton: ma35d1-divider: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: nxp: lpc32xx: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: sophgo: sg2042-clkgen: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: sprd: div: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: stm32: stm32-core: convert from divider_ro_round_rate() to
      divider_ro_determine_rate()
    - clk: stm32: stm32-core: convert from divider_round_rate_parent() to
      divider_determine_rate()
    - clk: versaclock3: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: x86: cgu: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: zynqmp: divider: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: mediatek: Drop __initconst from gates
    - clk: mediatek: Add mfg_eb as parent to mt8196 mfgpll clocks
    - clk: mediatek: Fix error handling in runtime PM setup
    - clk: zynqmp: divider: Fix zynqmp_clk_divider_determine_rate kerneldoc
    - clk: zynqmp: pll: Fix zynqmp_clk_divider_determine_rate kerneldoc
    - interconnect: mediatek: Don't hijack parent device
    - interconnect: mediatek: Aggregate bandwidth with saturating add
    - dmaengine: mediatek: uart-apdma: Fix above 4G addressing TX/RX
    - dma: dma-axi-dmac: fix SW cyclic transfers
    - dma: dma-axi-dmac: fix HW scatter-gather not looking at the queue
    - phy: rockchip: samsung-hdptx: Pre-compute HDMI PLL config for 461.10125
      MHz output
    - char: misc: Use IS_ERR() for filp_open() return value
    - soundwire: intel_ace2x: add SND_HDA_CORE dependency
    - iio: test: drop dangling symbol in gain-time-scale helpers
    - usb: typec: ucsi: drop an unused Kconfig symbol
    - staging: greybus: lights: avoid NULL deref
    - serial: imx: change SERIAL_IMX_CONSOLE to bool
    - serial: SH_SCI: improve "DMA support" prompt
    - gpib: Fix error code in ibonline()
    - gpib: Fix error code in ni_usb_write_registers()
    - gpib: Fix memory leak in ni_usb_init()
    - stm class: Kconfig: correct symbol name
    - mmc: rtsx_pci_sdmmc: increase power-on settling delay to 5ms
    - iio: pressure: mprls0025pa: fix spi_transfer struct initialisation
    - iio: pressure: mprls0025pa: fix SPI CS delay violation
    - iio: pressure: mprls0025pa: fix interrupt flag
    - iio: pressure: mprls0025pa: fix scan_type struct
    - iio: pressure: mprls0025pa: fix pressure calculation
    - watchdog: starfive-wdt: Fix PM reference leak in probe error path
    - coresight: etm3x: Fix cpulocked warning on cpuhp
    - backlight: aw99706: Fix build errors caused by wrong gpio header
    - phy: freescale: imx8qm-hsio: fix NULL pointer dereference
    - interconnect: qcom: qcs8300: fix the num_links for nsp icc node
    - coresight: tmc-etr: Fix race condition between sysfs and perf mode
    - Revert "mmc: rtsx_pci_sdmmc: increase power-on settling delay to 5ms"
    - mfd: arizona: Fix regulator resource leak on
      wm5102_clear_write_sequencer() failure
    - mfd: simple-mfd-i2c: Add Delta TN48M CPLD support
    - mfd: sec: Fix IRQ domain names duplication
    - drivers: iio: mpu3050: use dev_err_probe for regulator request
    - usb: bdc: fix sleep during atomic
    - nvmem: an8855: drop an unused Kconfig symbol
    - mcb: fix incorrect sanity check
    - pinctrl: equilibrium: Fix device node reference leak in pinbank_init()
    - ovl: Fix uninit-value in ovl_fill_real
    - nfsd: do not allow exporting of special kernel filesystems
    - iio: sca3000: Fix a resource leak in sca3000_probe()
    - mips: LOONGSON32: drop a dangling Kconfig symbol
    - pidfs: return -EREMOTE when PIDFD_GET_INFO is called on another ns
    - pinctrl: qcom: sm8250-lpass-lpi: Fix i2s2_data_groups definition
    - pinctrl: meson: amlogic-a4: Fix device node reference leak in bank
      helpers
    - pinctrl: single: fix refcount leak in pcs_add_gpio_func()
    - pinctrl: canaan: k230: Fix NULL pointer dereference when parsing
      devicetree
    - leds: expresswire: Fix chip state breakage
    - leds: qcom-lpg: Check the return value of regmap_bulk_write()
    - backlight: qcom-wled: Support ovp values for PMI8994
    - backlight: qcom-wled: Change PM8950 WLED configurations
    - dmaengine: fsl-edma: don't explicitly disable clocks in .remove()
    - drbd: always set BLK_FEAT_STABLE_WRITES
    - block: allow IOC_PR_READ_* ioctls with BLK_OPEN_READ
    - io_uring: delay sqarray static branch disablement
    - io_uring/cancel: de-unionize file and user_data in struct io_cancel_data
    - fs/ntfs3: Initialize new folios before use
    - fs/ntfs3: fix ntfs_mount_options leak in ntfs_fill_super()
    - fs/ntfs3: rename ni_readpage_cmpr into ni_read_folio_cmpr
    - fs/ntfs3: fix deadlock in ni_read_folio_cmpr
    - fs/ntfs3: prevent infinite loops caused by the next valid being the same
    - fs/ntfs3: Fix slab-out-of-bounds read in DeleteIndexEntryRoot
    - tools/power turbostat: AMD: msr offset 0x611 read failed: Input/output
      error
    - tools/power turbostat: Harden against unexpected values
    - powercap: intel_rapl: Remove incorrect CPU check in PMU context
    - ACPI: CPPC: Fix remaining for_each_possible_cpu() to use online CPUs
    - powercap: intel_rapl_tpmi: Remove FW_BUG from invalid version check
    - kbuild: Add objtool to top-level clean target
    - smb: client: fix regression with mount options parsing
    - selftests/memfd: use IPC semaphore instead of SIGSTOP/SIGCONT
    - objpool: fix the overestimation of object pooling metadata size
    - ACPI: PM: Add unused power resource quirk for THUNDEROBOT ZERO
    - cpuidle: Skip governor when only one idle state is available
    - ovpn: set sk_user_data before overriding callbacks
    - ovpn: fix possible use-after-free in ovpn_net_xmit
    - ovpn: fix VPN TX bytes counting
    - net: mctp: ensure our nlmsg responses are initialised
    - selftests: mlxsw: tc_restrictions: Fix test failure with new iproute2
    - selftests: net: lib: Fix jq parsing error
    - net: stmmac: fix oops when split header is enabled
    - net: sparx5/lan969x: fix DWRR cost max to match hardware register width
    - net: mscc: ocelot: extract ocelot_xmit_timestamp() helper
    - net: mscc: ocelot: split xmit into FDMA and register injection paths
    - net: mscc: ocelot: add missing lock protection in ocelot_port_xmit_inj()
    - selftests: netconsole: Increase port listening timeout
    - ipv6: Fix out-of-bound access in fib6_add_rt2node().
    - net: sparx5/lan969x: fix PTP clock max_adj value
    - fbnic: close fw_log race between users and teardown
    - libbpf: Fix invalid write loop logic in bpf_linker__add_buf()
    - bpf: Fix a potential use-after-free of BTF object
    - bpf: Add a map/btf from a fd array more consistently
    - eth: fbnic: set FBNIC_QUEUE_RDE_CTL0_EN_HDR_SPLIT on RDE_CTL0
    - eth: fbnic: increase FBNIC_HDR_BYTES_MIN from 128 to 256 bytes
    - eth: fbnic: set DMA_HINT_L4 for all flows
    - ovpn: tcp - don't deref NULL sk_socket member after tcp_close()
    - net: usb: catc: enable basic endpoint checking
    - xen-netback: reject zero-queue configuration from guest
    - net/rds: rds_sendmsg should not discard payload_len
    - net: bridge: mcast: always update mdb_n_entries for vlan contexts
    - selftests: forwarding: vxlan_bridge_1d: fix test failure with
      br_netfilter enabled
    - selftests: forwarding: vxlan_bridge_1d_ipv6: fix test failure with
      br_netfilter enabled
    - selftests: forwarding: fix pedit tests failure with br_netfilter enabled
    - netfilter: nft_counter: serialize reset with spinlock
    - netfilter: nft_quota: use atomic64_xchg for reset
    - netfilter: nf_tables: revert commit_mutex usage in reset path
    - netfilter: nf_conntrack_h323: don't pass uninitialised l3num value
    - ipvs: skip ipv6 extension headers for csum checks
    - ipvs: do not keep dest_dst if dev is going down
    - net: remove WARN_ON_ONCE when accessing forward path array
    - netfilter: nf_tables: fix use-after-free in nf_tables_addchain()
    - ipv6: fix a race in ip6_sock_set_v6only()
    - bpftool: Fix truncated netlink dumps
    - net: psp: select CONFIG_SKB_EXTENSIONS
    - net: do not delay zero-copy skbs in skb_attempt_defer_free()
    - dpll: zl3073x: Fix ref frequency setting
    - ping: annotate data-races in ping_lookup()
    - selftests: tc_actions: don't dump 2MB of \0 to stdout
    - macvlan: observe an RCU grace period in macvlan_common_newlink() error
      path
    - eth: fbnic: Add validation for MTU changes
    - icmp: prevent possible overflow in icmp_global_allow()
    - inet: move icmp_global_{credit,stamp} to a separate cache line
    - ipv6: icmp: remove obsolete code in icmpv6_xrlim_allow()
    - octeontx2-af: Fix default entries mcam entry action
    - eth: fbnic: Advertise supported XDP features.
    - bnge: fix reserving resources from FW
    - bonding: alb: fix UAF in rlb_arp_recv during bond up/down
    - net/mlx5: Fix multiport device check over light SFs
    - net/mlx5e: Fix misidentification of ASO CQE during poll loop
    - net/mlx5: Fix misidentification of write combining CQE during poll loop
    - net/mlx5e: MACsec, add ASO poll loop in macsec_aso_set_arm_event
    - net/mlx5e: Fix deadlocks between devlink and netdev instance locks
    - net/mlx5e: Use unsigned for mlx5e_get_max_num_channels
    - apparmor: fix invalid deref of rawdata when export_binary is unset
    - apparmor: fix aa_label to return state from compount and component match
    - drm/amdgpu: Fix memory leak in amdgpu_acpi_enumerate_xcc()
    - drm/amdgpu: Use kvfree instead of kfree in
      amdgpu_gmc_get_nps_memranges()
    - drm/amdgpu: Fix memory leak in amdgpu_ras_init()
    - drm/amdgpu/sdma5: enable queue resets unconditionally
    - drm/amdgpu/sdma5.2: enable queue resets unconditionally
    - drm/amdgpu/sdma6: enable queue resets unconditionally
    - drm/amdgpu: clean up the amdgpu_cs_parser_bos
    - mshv: fix SRCU protection in irqfd resampler ack handler
    - regulator: mt6363: Fix interrmittent timeout
    - ASoC: fsl_xcvr: Revert fix missing lock in fsl_xcvr_mode_put()
    - drm/i915/acpi: free _DSM package when no connectors
    - ASoC: codecs: aw88261: Fix erroneous bitmask logic in Awinic init
    - PCI: Validate window resource type in pbus_select_window_for_type()
    - drm/amd/display: Fix dc_link NULL handling in HPD init
    - drm/amdgpu: Fix missing unwind in amdgpu_ib_schedule() error path
    - drm/amdkfd: Fix watch_id bounds checking in debug address watch v2
    - drm/amd/display: Reject cursor plane on DCE when scaled differently than
      primary
    - drm/amd/display: Fix out-of-bounds stream encoder index v3
    - spi: wpcm-fiu: Fix potential NULL pointer dereference in
      wpcm_fiu_probe()
    - gpio: cdev: Avoid NULL dereference in linehandle_create()
    - s390/kexec: Make KEXEC_SIG available when CONFIG_MODULES=n
    - drm/xe/pf: Fix sysfs initialization
    - drm/xe/configfs: Fix 'parameter name omitted' errors
    - drm/xe/mmio: Avoid double-adjust in 64-bit reads
    - drm/xe/xe2_hpg: Fix handling of Wa_14019988906 & Wa_14019877138
    - drm/xe/vf: Avoid reading media version when media GT is disabled
    - drm/xe: Make xe_modparam.force_vram_bar_size signed
    - drm/xe/bo: Redirect faults to dummy page for wedged device
    - gpio: amd-fch: ionly return allowed values from amd_fch_gpio_get()
    - efi: Fix reservation of unaccepted memory table
    - btrfs: reset block group size class when it becomes empty
    - btrfs: use the correct type to initialize block reserve for delayed refs
    - btrfs: fix invalid leaf access in btrfs_quota_enable() if ref key not
      found
    - drm/amd/display: Use DCE 6 link encoder for DCE 6 analog connectors
    - drm/amd/display: Only use analog link encoder with analog engine
    - drm/amd/display: Only use analog stream encoder with analog engine
    - x86/hyperv: Fix error pointer dereference
    - ASoC: rockchip: i2s-tdm: Use param rate if not provided by set_sysclk
    - drm/amd/display: Use same max plane scaling limits for all 64 bpp
      formats
    - drm/amd/display: Don't call find_analog_engine() twice
    - drm/amd/display: Turn off DAC in DCE link encoder using VBIOS
    - drm/amd/display: Initialize DAC in DCE link encoder using VBIOS
    - drm/amd/display: Set CRTC source for DAC using registers
    - drm/amd/display: Enable DAC in DCE link encoder
    - PCI: dwc: ep: Always clear IB maps on BAR update
    - usb: cdns3: fix role switching during resume
    - MIPS: Work around LLVM bug when gp is used as global register variable
    - ksmbd: call ksmbd_vfs_kern_path_end_removing() on some error paths
    - ext4: subdivide EXT4_EXT_DATA_VALID1
    - ext4: don't set EXT4_GET_BLOCKS_CONVERT when splitting before submitting
      I/O
    - ext4: don't zero the entire extent if EXT4_EXT_DATA_PARTIAL_VALID1
    - ext4: don't cache extent during splitting extent
    - ext4: drop extent cache after doing PARTIAL_VALID1 zeroout
    - ext4: drop extent cache when splitting extent fails
    - ext4: fix memory leak in ext4_ext_shift_extents()
    - ext4: fix e4b bitmap inconsistency reports
    - ext4: fix dirtyclusters double decrement on fs shutdown
    - ext4: always allocate blocks only from groups inode can use
    - ext4: use optimized mballoc scanning regardless of inode format
    - ata: pata_ftide010: Fix some DMA timings
    - ata: libata-scsi: refactor ata_scsi_translate()
    - ata: libata-scsi: avoid Non-NCQ command starvation
    - SUNRPC: auth_gss: fix memory leaks in XDR decoding error paths
    - SUNRPC: fix gss_auth kref leak in gss_alloc_msg error path
    - dt-bindings: phy: qcom-edp: Add missing clock for X Elite
    - dt-bindings: media: qcom,qcs8300-camss: Add missing power supplies
    - ASoC: dt-bindings: asahi-kasei,ak4458: set unevaluatedProperties:false
    - ASoC: dt-bindings: asahi-kasei,ak4458: Fix the supply names
    - ASoC: dt-bindings: asahi-kasei,ak5558: Fix the supply names
    - ALSA: hda/realtek: Add quirk for Gigabyte G5 KF5 (2023)
    - ALSA: hda/conexant: Fix headphone jack handling on Acer Swift SF314
    - ALSA: hda/realtek: Add quirk for Samsung Galaxy Book3 Pro 360 (NP965QFG)
    - drm/exynos: vidi: use priv->vidi_dev for ctx lookup in
      vidi_connection_ioctl()
    - drm/exynos: vidi: fix to avoid directly dereferencing user pointer
    - Drivers: hv: vmbus: Use kthread for vmbus interrupts on PREEMPT_RT
    - net: stmmac: dwmac-loongson: Set clk_csr_i to 100-150MHz
    - ata: libata-eh: correctly handle deferred qc timeouts
    - ata: libata-core: fix cancellation of a port deferred qc work
    - Linux 6.19.4
  * Resolute update: v6.19.3 upstream stable release (LP: #2143117)
    - scsi: qla2xxx: Fix bsg_done() causing double free
    - arm64: dts: mediatek: mt8183: Add missing endpoint IDs to display graph
    - LoongArch: Rework KASAN initialization for PTW-enabled systems
    - fbdev: rivafb: fix divide error in nv3_arb()
    - fbdev: smscufx: properly copy ioctl memory to kernelspace
    - f2fs: fix to add gc count stat in f2fs_gc_range
    - f2fs: fix to check sysfs filename w/ gc_pin_file_thresh correctly
    - f2fs: fix IS_CHECKPOINTED flag inconsistency issue caused by concurrent
      atomic commit and checkpoint writes
    - f2fs: fix out-of-bounds access in sysfs attribute read/write
    - f2fs: fix to avoid UAF in f2fs_write_end_io()
    - f2fs: support non-4KB block size without packed_ssa feature
    - f2fs: fix to avoid mapping wrong physical block for swapfile
    - f2fs: optimize f2fs_overwrite_io() for f2fs_iomap_begin
    - iommu/arm-smmu-qcom: do not register driver in probe()
    - Revert "f2fs: block cache/dio write during f2fs_enable_checkpoint()"
    - USB: serial: option: add Telit FN920C04 RNDIS compositions
    - f2fs: fix to do sanity check on node footer in __write_node_folio()
    - f2fs: fix to do sanity check on node footer in {read,write}_end_io
    - f2fs: fix incomplete block usage in compact SSA summaries
    - Linux 6.19.3
  * linux-tools: consider linking perf against LLVM (LP: #2138328)
    - [Packaging] Add llvm-21-dev to build-depends for perf
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs after v6.19.5 update.
    - [Packaging] Add intel-speed-select to linux-tools
    - [Packaging] wrap-and-sort control.stub.in
    - [Config] Updateconfig for toolchain update

  [ Ubuntu: 6.19.0-6.6 ]

  * resolute/linux: 6.19.0-6.6 -proposed tracker (LP: #2142114)
  * Resolute update: v6.19.2 upstream stable release (LP: #2142112)
    - Revert "driver core: enforce device_lock for driver_match_device()"
    - Linux 6.19.2
  * Resolute update: v6.19.1 upstream stable release (LP: #2142111)
    - io_uring/io-wq: add exit-on-idle state
    - io_uring: allow io-wq workers to exit when unused
    - smb: client: split cached_fid bitfields to avoid shared-byte RMW races
    - ksmbd: fix infinite loop caused by next_smb2_rcv_hdr_off reset in error
      paths
    - ksmbd: add chann_lock to protect ksmbd_chann_list xarray
    - smb: server: fix leak of active_num_conn in ksmbd_tcp_new_connection()
    - smb: smbdirect: introduce smbdirect_socket.recv_io.credits.available
    - smb: smbdirect: introduce smbdirect_socket.send_io.bcredits.*
    - smb: server: make use of smbdirect_socket.recv_io.credits.available
    - smb: server: let recv_done() queue a refill when the peer is low on
      credits
    - smb: server: make use of smbdirect_socket.send_io.bcredits
    - smb: server: fix last send credit problem causing disconnects
    - smb: server: let send_done handle a completion without IB_SEND_SIGNALED
    - smb: client: make use of smbdirect_socket.recv_io.credits.available
    - smb: client: let recv_done() queue a refill when the peer is low on
      credits
    - smb: client: let smbd_post_send() make use of request->wr
    - smb: client: remove pointless sc->recv_io.credits.count rollback
    - smb: client: remove pointless sc->send_io.pending handling in
      smbd_post_send_iter()
    - smb: client: port and use the wait_for_credits logic used by server
    - smb: client: split out smbd_ib_post_send()
    - smb: client: introduce and use smbd_{alloc, free}_send_io()
    - smb: client: use smbdirect_send_batch processing
    - smb: client: make use of smbdirect_socket.send_io.bcredits
    - smb: client: fix last send credit problem causing disconnects
    - smb: client: let smbd_post_send_negotiate_req() use smbd_post_send()
    - smb: client: let send_done handle a completion without IB_SEND_SIGNALED
    - driver core: enforce device_lock for driver_match_device()
    - Bluetooth: btusb: Add USB ID 7392:e611 for Edimax EW-7611UXB
    - ALSA: hda/conexant: Add quirk for HP ZBook Studio G4
    - crypto: iaa - Fix out-of-bounds index in find_empty_iaa_compression_mode
    - crypto: octeontx - Fix length check to avoid truncation in
      ucode_load_store
    - crypto: omap - Allocate OMAP_CRYPTO_FORCE_COPY scatterlists correctly
    - crypto: virtio - Add spinlock protection with virtqueue notification
    - crypto: virtio - Remove duplicated virtqueue_kick in
      virtio_crypto_skcipher_crypt_req
    - nilfs2: Fix potential block overflow that cause system hang
    - hfs: ensure sb->s_fs_info is always cleaned up
    - wifi: rtw88: Fix alignment fault in rtw_core_enable_beacon()
    - scsi: qla2xxx: Validate sp before freeing associated memory
    - scsi: qla2xxx: Allow recovery for tape devices
    - scsi: qla2xxx: Delay module unload while fabric scan in progress
    - scsi: qla2xxx: Free sp in error path to fix system crash
    - scsi: qla2xxx: Query FW again before proceeding with login
    - sched/mmcid: Don't assume CID is CPU owned on mode switch
    - bus: fsl-mc: fix use-after-free in driver_override_show()
    - erofs: fix UAF issue for file-backed mounts w/ directio option
    - xfs: fix UAF in xchk_btree_check_block_owner
    - drm/exynos: vidi: use ctx->lock to protect struct vidi_context member
      variables related to memory alloc/free
    - PCI: endpoint: Avoid creating sub-groups asynchronously
    - wifi: rtl8xxxu: fix slab-out-of-bounds in rtl8xxxu_sta_add
    - Linux 6.19.1
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - SAUCE: apparmor: fix aa_label_sk_perm to check for RULE_MEDIATES_NET

  [ Ubuntu: 6.19.0-5.5 ]

  * resolute/linux: 6.19.0-5.5 -proposed tracker (LP: #2141736)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2026.02.09)
  * Blacklisted sbsa_gwdt module makes machines reboot (LP: #2138924)
    - [Packaging] fix watchdog blacklist exceptions adding kmod extension
  * Miscellaneous Ubuntu changes
    - [Packaging] debian/scripts/dkms-build--nvidia-N -- fix module.lds option
    - [Packaging] fix a typo in Ubuntu.md
    - [Config] updateconfig after rebase to v6.19-rc8
    - [Packaging] Drop changelog entries older than noble

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 05 Mar 2026 22:02:08 +0200

linux-oracle (6.19.0-1001.1) resolute; urgency=medium

  * resolute/linux-oracle: 6.19.0-1001.1 -proposed tracker (LP: #2139185)

  * Packaging resync (LP: #1786013)
    - [Packaging] oracle: Remove dwarfdump from Build-Depends
    - [Packaging] update variants
    - [Packaging] update update.conf
    - [Packaging] debian.oracle/dkms-versions -- update from kernel-versions
      (main/d2025.09.29)

  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs after rebase to 6.19-rc6

  [ Ubuntu: 6.19.0-3.3 ]

  * resolute/linux: 6.19.0-3.3 -proposed tracker (LP: #2138935)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2026.01.12)
    - [Packaging] update variants
  * [26.04] Please test secureboot and lock-down with 6.18 kernel (s390x) on
    Resolute Raccoon (LP: #2131805)
    - SAUCE: s390/boot/vmlinux.lds.S: Ensure bzImage ends with SecureBoot
      trailer
  * unconfined profile denies userns_create for chromium based processes
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * update apparmor and LSM stacking patch set
    - SAUCE: apparmor5.0.0 [1/53]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [2/53]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [3/53]: Stacking: Audit: Call only the first of the
      audit rule hooks
    - SAUCE: apparmor5.0.0 [4/53]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [5/53]: apparmor-next 7.0: apparmor: replace
      sprintf with snprintf in aa_new_learning_profile
    - SAUCE: apparmor5.0.0 [6/53]: apparmor-next 7.0: apparmor: Replace
      sprintf/strcpy with scnprintf/strscpy in aa_policy_init
    - SAUCE: apparmor5.0.0 [7/53]: apparmor-next 7.0: apparmor: Replace
      deprecated strcpy in d_namespace_path
    - SAUCE: apparmor5.0.0 [8/53]: apparmor-next 7.0: apparmor: fix NULL
      pointer dereference in __unix_needs_revalidation
    - SAUCE: apparmor5.0.0 [9/53]: apparmor-next 7.0: apparmor: fix NULL sock
      in aa_sock_file_perm
    - SAUCE: apparmor5.0.0 [10/53]: apparmor-next 7.0: apparmor: Replace
      deprecated strcpy with memcpy in gen_symlink_name
    - SAUCE: apparmor5.0.0 [11/53]: apparmor-next 7.0: AppArmor: Allow
      apparmor to handle unaligned dfa tables
    - SAUCE: apparmor5.0.0 [12/53]: apparmor-next 7.0: apparmor: Fix &
      Optimize table creation from possibly unaligned memory
    - SAUCE: apparmor5.0.0 [13/53]: apparmor-next 7.0: apparmor: make str
      table more generic and be able to have multiple entries
    - SAUCE: apparmor5.0.0 [14/53]: apparmor-next 7.0: apparmor: add support
      loading per permission tagging
    - SAUCE: apparmor5.0.0 [15/53]: apparmor-next 7.0: aoparmor: userns: Add
      support for execpath in userns
    - SAUCE: apparmor5.0.0 [16/53]: apparmor-next 7.0: apparmor: fix boolean
      argument in apparmor_mmap_file
    - SAUCE: apparmor5.0.0 [17/53]: apparmor-next 7.0: apparmor: drop
      in_atomic flag in common_mmap, and common_file_perm
    - SAUCE: apparmor5.0.0 [18/53]: apparmor-next 7.0: apparmor: account for
      in_atomic removal in common_file_perm
    - SAUCE: apparmor5.0.0 [19/53]: apparmor-next 7.0: apparmor: return
      -ENOMEM in unpack_perms_table upon alloc failure
    - SAUCE: apparmor5.0.0 [20/53]: apparmor-next 7.0: apparmor: guard against
      free routines being called with a NULL
    - SAUCE: apparmor5.0.0 [21/53]: apparmor-next 7.0: apparmor: move check
      for aa_null file to cover all cases
    - SAUCE: apparmor5.0.0 [22/53]: apparmor-next 7.0: apparmor: fix label and
      profile debug macros
    - SAUCE: apparmor5.0.0 [23/53]: apparmor-next 7.0: apparmor:
      refactor/cleanup cred helper fns.
    - SAUCE: apparmor5.0.0 [24/53]: apparmor-next 7.0: apparmor: fix rlimit
      for posix cpu timers
    - SAUCE: apparmor5.0.0 [25/53]: apparmor-next 7.0: apparmor: fix fast path
      cache check for unix sockets
    - SAUCE: apparmor5.0.0 [26/53]: apparmor-next 7.0: apparmor: remove
      apply_modes_to_perms from label_match
    - SAUCE: apparmor5.0.0 [27/53]: apparmor-next 7.0: apparmor: make
      label_match return a consistent value
    - SAUCE: apparmor5.0.0 [28/53]: apparmor-next 7.0: apparmor: split
      xxx_in_ns into its two separate semantic use cases
    - SAUCE: apparmor5.0.0 [29/53]: apparmor-next 7.0: apparmor: avoid per-cpu
      hold underflow in aa_get_buffer
    - SAUCE: apparmor5.0.0 [30/53]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [31/53]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [32/53]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [33/53]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [34/53]: apparmor: lift compatibility check out of
      profile_af_perm
    - SAUCE: apparmor5.0.0 [35/53]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [36/53]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [37/53]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
    - SAUCE: apparmor5.0.0 [38/53]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [39/53]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [40/53]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [41/53]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [42/53]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [43/53]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [44/53]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
    - SAUCE: apparmor5.0.0 [45/53]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [46/53]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [47/53]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [48/53]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [49/53]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [50/53]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [51/53]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [52/53]: apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [53/53]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
  * Blacklisted sbsa_gwdt module makes machines reboot (LP: #2138924)
    - [Packaging] remove sbsa_gwdt from watchdog blacklist
  * Integrate IgH EtherCAT master (LP: #2138621)
    - SAUCE: ubuntu/igh-ecat: Import IgH EtherCAT master
    - SAUCE: igh-ecat: Plug IgH EtherCAT master into Kbuild
    - SAUCE: igh-ecat: Fix build failure with kernel 6.19
    - [Config] Enable IgH EtherCAT master
  * TBT call trace while connecting TBT4 monitor on TBT5 port (LP: #2137613)
    - SAUCE: thunderbolt: log path activation failures without WARN backtraces
  * Boot up hang with ucsi call trace while plug power cord or device on tbt5
    port (LP: #2127764)
    - SAUCE: usb: typec: ucsi: Fix workqueue destruction race during connector
      cleanup
  * Ease the sysfs call trace which comes from ucsi firmware issue
    (LP: #2127960)
    - usb: typec: ucsi: Detect and skip duplicate altmodes from buggy firmware
    - usb: typec: ucsi: Add duplicate detection to nvidia registration path
    - usb: typec: ucsi: yoga_c630: Remove redundant duplicate altmode handling
  * Enable RTL ASPM for more new Dell platforms (LP: #2133144)
    - SAUCE: r8169: Add more Dell platforms to enable ASPM
  * Enable RTL ASPM for new Dell platforms (LP: #2121200)
    - SAUCE: r8169: enable ASPM on all new Dell platforms
  * Miscellaneous Ubuntu changes
    - [Packaging] Bump clang build-dep to match the current default.
    - [Config] updateconfig after rebase to v6.19-rc6
    - [Packaging] update Ubuntu.md

  [ Ubuntu-unstable: 6.19.0-1.1 ]

  * resolute/linux-unstable: 6.19.0-1.1 -proposed tracker (LP: #2138287)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.10.20)
    - [Packaging] update variants
  * Miscellaneous Ubuntu changes
    - SAUCE: (lockdown) efi,lockdown: fix kernel lockdown on Secure Boot
    - [Config] updateconfigs following v6.19-rc4 rebase
    - SAUCE: aaeon: The modules need to import ASUS_WMI now
    - Update Changes.md
    - SAUCE: arm64: dts: qcom: x1-acer-swift-14: Fix includes
    - [Packaging] Drop failing dkms packages

  [ Ubuntu-unstable: 6.19.0-0.0 ]

  * Dummy entry.

  [ Ubuntu-unstable: 6.18.0-6.6 ]

  * resolute/linux-unstable: 6.18.0-6.6 -proposed tracker (LP: #2133502)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.10.20)
  * Miscellaneous Ubuntu changes
    - Update dropped.txt
    - [Packaging] debian.master/dkms-versions: Drop failing dkms packages
    - rename dropped.txt to Changes.md

  [ Ubuntu-unstable: 6.18.0-5.5 ]

  * resolute/linux-unstable: 6.18.0-5.5 -proposed tracker (LP: #2131673)
  * Re-enable INTEL_SKL_INT3472 for kernels >= 6.16 for Intel IPU camera
    (LP: #2128792)
    - Revert "UBUNTU: [Config] FTBFS: disable INTEL_SKL_INT3472"
    - Revert "UBUNTU: SAUCE: platform/x86: int3472: Add handshake GPIO
      function"
  * i40e driver is triggering VF resets on every link state change
    (LP: #2130552)
    - i40e: avoid redundant VF link state updates
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v6.18-rc6 rebase

  [ Ubuntu-unstable: 6.18.0-4.4 ]

  * resolute/linux-unstable: 6.18.0-4.4 -proposed tracker (LP: #2131211)
  * CAP_PERFMON insufficient to get perf data (LP: #2131046)
    - SAUCE: perf/core: Allow CAP_PERFMON for paranoid level 4
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v6.18-rc5 rebase

  [ Ubuntu-unstable: 6.18.0-3.3 ]

  * resolute/linux-unstable: 6.18.0-3.3 -proposed tracker (LP: #2129919)
  * [26.04 FEAT] Set Architecture Level (ALS) to z15 (LP: #2126577)
    - [Config] Raise the architectural level set for s390x to z15
  * Miscellaneous Ubuntu changes
    - [Config]: Enable CONFIG_CRYPTO_BENCHMARK
    - [Config] updateconfigs after v6.18-rc3 rebase

  [ Ubuntu-unstable: 6.18.0-2.2 ]

  * resolute/linux-unstable: 6.18.0-2.2 -proposed tracker (LP: #2129552)
  * Miscellaneous Ubuntu changes
    - [Config] update rustc version

  [ Ubuntu-unstable: 6.18.0-1.1 ]

  * resolute/linux-unstable: 6.18.0-1.1 -proposed tracker (LP: #2129038)
  * Packaging resync (LP: #1786013)
    - [Packaging] update Ubuntu.md
  * Miscellaneous Ubuntu changes
    - [Packaging] Rename to linux-unstable and move to 6.18
    - [Config] updateconfigs following v6.18-rc1 rebase
    - [Config] apparmor: remove SECURITY_APPARMOR_RESTRICT_USERNS
    - [Packaging] debian.master/dkms-versions: Drop failing dkms packages
    - [Config] updateconfigs following v6.18-rc2 rebase
    - move to resolute
  * Miscellaneous upstream changes
    - Revert "audit: fix skb leak when audit rate limit is exceeded"
    - Revert "audit: init ab->skb_list earlier in audit_buffer_alloc()"
    - Revert "audit: add record for multiple object contexts"
    - Revert "audit: add record for multiple task security contexts"
    - Revert "lsm: security_lsmblob_to_secctx module selection"
    - audit: fix skb leak when audit rate limit is exceeded

  [ Ubuntu-unstable: 6.18.0-0.0 ]

  * questing/linux: 6.17.0-6.6 -proposed tracker (LP: #2126040)
  * Questing update: v6.17.1 upstream stable release (LP: #2126948)
    - blk-mq: fix blk_mq_tags double free while nr_requests grown
    - gcc-plugins: Remove TODO_verify_il for GCC >= 16
    - scsi: target: target_core_configfs: Add length check to avoid buffer
      overflow
    - ALSA: usb-audio: fix race condition to UAF in snd_usbmidi_free
    - wifi: rtw89: fix use-after-free in rtw89_core_tx_kick_off_and_wait()
    - media: b2c2: Fix use-after-free causing by irq_check_work in
      flexcop_pci_remove
    - media: i2c: tc358743: Fix use-after-free bugs caused by orphan timer in
      probe
    - media: tuner: xc5000: Fix use-after-free in xc5000_release
    - media: rc: fix races with imon_disconnect()
    - media: uvcvideo: Mark invalid entities with id UVC_INVALID_ENTITY_ID
    - mm: swap: check for stable address space before operating on the VMA
    - wifi: ath11k: fix NULL dereference in ath11k_qmi_m3_load()
    - media: iris: Fix memory leak by freeing untracked persist buffer
    - media: stm32-csi: Fix dereference before NULL check
    - ASoC: qcom: audioreach: fix potential null pointer dereference
    - Linux 6.17.1
  * RISC-V kernel config is out of sync with other archs (LP: #1981437)
    - [Config] riscv64: Update EFI_SBAT_FILE
    - [Config] riscv64: Enable EFI_ZBOOT
    - [Config] riscv64: Disable support for non-RVA23 SoCs
    - [Config] riscv64: Disable RISCV_ISA_FALLBACK
    - [Config] riscv64: Sync config with other architectures
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs after rebase to 6.17

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Tue, 03 Feb 2026 15:49:17 +0200

linux-oracle (6.19.0-1000.0) resolute; urgency=medium

  * Dummy entry.

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Tue, 03 Feb 2026 14:47:51 +0200

linux-oracle (6.17.0-1003.3) questing; urgency=medium

  * questing/linux-oracle: 6.17.0-1003.3 -proposed tracker (LP: #2126043)

  * Packaging resync (LP: #1786013)
    - [Packaging] update Ubuntu.md

  [ Ubuntu: 6.17.0-6.6 ]

  * questing/linux: 6.17.0-6.6 -proposed tracker (LP: #2126040)
  * Questing update: v6.17.1 upstream stable release (LP: #2126948)
    - blk-mq: fix blk_mq_tags double free while nr_requests grown
    - gcc-plugins: Remove TODO_verify_il for GCC >= 16
    - scsi: target: target_core_configfs: Add length check to avoid buffer
      overflow
    - ALSA: usb-audio: fix race condition to UAF in snd_usbmidi_free
    - wifi: rtw89: fix use-after-free in rtw89_core_tx_kick_off_and_wait()
    - media: b2c2: Fix use-after-free causing by irq_check_work in
      flexcop_pci_remove
    - media: i2c: tc358743: Fix use-after-free bugs caused by orphan timer in
      probe
    - media: tuner: xc5000: Fix use-after-free in xc5000_release
    - media: rc: fix races with imon_disconnect()
    - media: uvcvideo: Mark invalid entities with id UVC_INVALID_ENTITY_ID
    - mm: swap: check for stable address space before operating on the VMA
    - wifi: ath11k: fix NULL dereference in ath11k_qmi_m3_load()
    - media: iris: Fix memory leak by freeing untracked persist buffer
    - media: stm32-csi: Fix dereference before NULL check
    - ASoC: qcom: audioreach: fix potential null pointer dereference
    - Linux 6.17.1
  * RISC-V kernel config is out of sync with other archs (LP: #1981437)
    - [Config] riscv64: Update EFI_SBAT_FILE
    - [Config] riscv64: Enable EFI_ZBOOT
    - [Config] riscv64: Disable support for non-RVA23 SoCs
    - [Config] riscv64: Disable RISCV_ISA_FALLBACK
    - [Config] riscv64: Sync config with other architectures
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs after rebase to 6.17

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 09 Oct 2025 16:50:51 +0300

linux-oracle (6.17.0-1002.2) questing; urgency=medium

  * questing/linux-oracle: 6.17.0-1002.2 -proposed tracker (LP: #2125323)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.oracle/dkms-versions -- update from kernel-versions
      (main/d2025.09.08)

  * Miscellaneous Ubuntu changes
    - [Packaging] Drop forward-backport cruft
    - [Config] Updateconfigs following rebase to 6.17-rc7

  [ Ubuntu: 6.17.0-5.5 ]

  * questing/linux: 6.17.0-5.5 -proposed tracker (LP: #2125319)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.09.22)
  * [SRU] Failed to create source package: Unmet build dependencies:
    bpftool:native (LP: #2122310)
    - [Packaging] fix build profile spec for bpftool
  * UBUNTU: fan: fail to check kmalloc() return could cause a NULL pointer
    dereference (LP: #2125053)
    - SAUCE: fan: vxlan: check memory allocation for map
  * iproute2 breaking netplan DEP-8 tests in Questing, unexpected "fan-map" in
    JSON output (LP: #2124257)
    - SAUCE: fan: don't enforce a specific enum value for IFLA_VXLAN_FAN_MAP
  * memory leaks when configuring a small rate limit in audit (LP: #2122554)
    - SAUCE: audit: fix skb leak when audit rate limit is exceeded
  * Support AMD Image Signal Processing (ISP) unit V4.0 (LP: #2110092)
    - SAUCE: media: platform: amd: Introduce amd isp4 capture driver
    - SAUCE: media: platform: amd: low level support for isp4 firmware
    - SAUCE: media: platform: amd: Add isp4 fw and hw interface
    - SAUCE: media: platform: amd: isp4 subdev and firmware loading handling
      added
    - SAUCE: media: platform: amd: isp4 video node and buffers handling added
    - SAUCE: media: platform: amd: isp4 debug fs logging and more descriptive
      errors
    - SAUCE: Documentation: add documentation of AMD isp 4 driver
    - [Config] Enable AMD_ISP4
  * 25.10 Snapdragon X Elite: Sync concept kernel changes (LP: #2121477)
    - phy: qcom: qmp-combo: Rename 'mode' to 'phy_mode'
    - phy: qcom: qmp-combo: store DP phy power state
    - phy: qcom: qmp-combo: introduce QMPPHY_MODE
    - phy: qcom: qmp-combo: register a typec mux to change the QMPPHY_MODE
    - arm64: dts: qcom: x1e80100-crd: Add USB multiport fingerprint reader
    - dt-bindings: arm: qcom: Add Dell Latitude 7455
    - dt-bindings: display: panel: samsung,atna40cu11: document ATNA40CU11
    - dt-bindings: display: panel: samsung,atna40ct06: document ATNA40CT06
    - drm/panel-edp: Add BOE NV140WUM-N64
    - arm64: dts: qcom: x1-crd: Enable HBR3 on external DPs
    - SAUCE: drm/dp: drm_edp_backlight_set_level: do not always send 3-byte
      commands
    - SAUCE: drm/edp-panel: Add touchscreen panel used by Lenovo X13s
    - SAUCE: net: qrtr: mhi: synchronize qrtr and mhi preparation
    - SAUCE: arm64: dts: qcom: x1e78100-t14s-oled: add eDP panel
    - SAUCE: wip: arm64: dts: qcom: x1e80100-crd: Add WiFi/BT pwrseq
    - SAUCE: wip: arm64: dts: qcom: x1e78100-t14s: enable bluetooth
    - SAUCE: drm/dp: clamp PWM bit count to advertised MIN and MAX
      capabilities
    - SAUCE: arm64: dts: qcom: x1e80100-pmics: Disable pm8010 by default
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: Add Left/Right
      Speakers and Tweeter
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: enable MICs LDO
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: Mark audio channels
      as left-right swapped
    - SAUCE: arm64: dts: qcom: sc8280xp-lenovo-thinkpad-x13: Set up 4-lane DP
    - SAUCE: dt-bindings: phy: qcom,sc8280xp-qmp-usb43dp-phy: Document default
      phy mode
    - SAUCE: phy: qcom: qmp-combo: get default qmpphy_mode from DT
    - SAUCE: arm64: dts: qcom: x1e78100-lenovo-thinkpad-t14s: add HDMI nodes
    - SAUCE: dt-bindings: phy: qcom,sc8280xp-qmp-usb43dp: Reference usb-
      switch.yaml to allow mode-switch
    - SAUCE: dt-bindings: arm: qcom: Add Asus Zenbook A14 UX3407QA LCD/OLED
      variants
    - SAUCE: arm64: dts: qcom: Rework X1-based Asus Zenbook A14's displays
    - SAUCE: arm64: dts: qcom: x1e80100-asus-zenbook-a14: Enable WiFi,
      Bluetooth
    - SAUCE: arm64: dts: qcom: Add support for Dell Inspiron 7441 / Latitude
      7455
    - SAUCE: firmware: qcom: scm: Allow QSEECOM on Dell Inspiron 7441 /
      Latitude 7455
    - SAUCE: dt-bindings: arm: qcom: Add Acer Swift 14 AI
    - SAUCE: arm64: dts: qcom: x1-acer-swift-14: Add support for Acer Swift 14
    - SAUCE: arm64: dts: qcom: x1e80100: allow mode-switch events to reach the
      QMP Combo PHYs
    - SAUCE: arm64: dts: qcom: x1e80100: move dp0/1/2 data-lanes to SoC dtsi
    - SAUCE: arm64: dts: qcom: x1e80100: Set up 4-lane DP
    - SAUCE: arm64: dts: qcom: x1e80100: move remaining dp0/1/2 data-lanes to
      SoC dtsi
    - Revert "UBUNTU: SAUCE: Change: cracking sound fix"
  * UBSAN: shift-out-of-bounds in drivers/edac/skx_common.c:452:16
    (LP: #2119713)
    - EDAC/i10nm: Skip DIMM enumeration on a disabled memory controller
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs for v6.17-rc6 rebase

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 22 Sep 2025 16:17:51 +0300

linux-oracle (6.17.0-1001.1) questing; urgency=medium

  * questing/linux-oracle: 6.17.0-1001.1 -proposed tracker (LP: #2122647)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update variants
    - [Packaging] debian.oracle/dkms-versions -- update from kernel-versions
      (main/d2025.08.14)

  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs after rebase to 6.17

  [ Ubuntu: 6.17.0-4.4 ]

  * questing/linux: 6.17.0-4.4 -proposed tracker (LP: #2122321)
  * [SRU] Do not instantiate SPD5118 sensors on i801 SMBus controllers
    (LP: #2114963)
    - SAUCE: i2c: i801: Do not instantiate spd5118 under SPD Write Disable
  * initramfs-tools: autopkgtest fails on arm64 with Possible missing firmware
    /lib/firmware/apple/dfrmtfw-*.bin for built-in driver apple_z2
    (LP: #2115758)
    - [Config] Set TOUCHSCREEN_APPLE_Z2=m (arm64)
  * Support TDX host in questing (LP: #2121873)
    - SAUCE: x86/kexec: Consolidate relocate_kernel() function parameters
    - SAUCE: x86/sme: Use percpu boolean to control WBINVD during kexec
    - SAUCE: x86/virt/tdx: Mark memory cache state incoherent when making
      SEAMCALL
    - SAUCE: x86/kexec: Disable kexec/kdump on platforms with TDX partial
      write erratum
    - SAUCE: x86/virt/tdx: Remove the !KEXEC_CORE dependency
    - SAUCE: x86/virt/tdx: Update the kexec section in the TDX documentation
    - SAUCE: KVM: TDX: Explicitly do WBINVD when no more TDX SEAMCALLs
    - [Config] enable TDX host support
  * minimal kernel lacks modules for blk disk in arm64 openstack environments
    where config_drive is required (LP: #2118499)
    - [Config] Enable SYM53C8XX_2 on arm64
  * Miscellaneous Ubuntu changes
    - [Config] Re-enable Rust support, and make sure it doesn't get disabled
      by accident
    - [Config] updateconfigs for v6.17-rc5 rebase

  [ Ubuntu: 6.17.0-3.3 ]

  * questing/linux: 6.17.0-3.3 -proposed tracker (LP: #2121512)
  *  Enable Xilinx PS UART configs (LP: #2121337)
    - [Config] Enable Xilinx PS UART configs
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.08.25)
  * Plucky/Questing fails to boot on (older) Macs (LP: #2105402)
    - SAUCE: hack: efi/libstub: enable t14s boot failure hack only on arm64
  * Miscellaneous Ubuntu changes
    - [Packaging] Fix linux-modules Description, add dependency on wireless-
      regdb from old -extra
    - [Packaging] Fix arch list for bpftool build-dep

  [ Ubuntu: 6.17.0-2.2 ]

  * questing/linux: 6.17.0-2.2 -proposed tracker (LP: #2121374)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.08.25)
  * enable Mediatek media platform drivers on arm64 (LP: #2116138)
    - [Config] enable mediatek media platform drivers
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/38]: Stacking: Audit: Create audit_stamp
      structure
    - SAUCE: apparmor5.0.0 [2/38]: Stacking: Audit: Allow multiple records in
      an audit_buffer
    - SAUCE: apparmor5.0.0 [3/38]: Stacking: LSM: security_lsmblob_to_secctx
      module selection
    - SAUCE: apparmor5.0.0 [4/38]: Stacking: Audit: Add record for multiple
      task security contexts
    - SAUCE: apparmor5.0.0 [5/38]: Stacking: Audit: multiple subject lsm
      values for netlabel
    - SAUCE: apparmor5.0.0 [6/38]: Stacking: Audit: Add record for multiple
      object contexts
    - SAUCE: apparmor5.0.0 [7/38]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [8/38]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [9/38]: Stacking: Audit: Call only the first of the
      audit rule hooks
    - SAUCE: apparmor5.0.0 [10/38]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [11/38]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [12/38]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [13/38]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [14/38]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [15/38]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [16/38]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [18/38]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [19/38]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [20/38]: aoparmor: userns: Add support for execpath
      in userns
    - SAUCE: apparmor5.0.0 [21/38]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [22/38]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [23/38]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [26/38]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [27/38]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [28/38]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [29/38]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [30/38]: apparmor: add AA_DEBUG_PROFILE to have
      debug on profiles with flag set
    - SAUCE: apparmor5.0.0 [31/38]: apparmor: make str table more generic and
      be able to have multiple entries
    - SAUCE: apparmor5.0.0 [32/38]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [33/38]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [34/38]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [35/38]: UBUNTU: SAUCE: apparmor5.0.0 [35/38]:
      apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [36/38]: apparmor: mmap_file() doesn't need to be
      called atomically
    - SAUCE: apparmor5.0.0 [37/38]: apparmor: guard against free routines
      being called with a NULL
    - SAUCE: apparmor5.0.0 [38/38]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * Installation of AppArmor on a 6.14 kernel produces error message "Illegal
    number: yes" (LP: #2102680)
    - SAUCE: apparmor5.0.0 [24/38]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [25/38]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in
    mantic (LP: #2032602)
    - SAUCE: apparmor5.0.0 [17/38]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
  * nvme no longer detected on boot after upgrade to 6.8.0-60 (LP: #2111521)
    - SAUCE: PCI: Disable RRS polling for Intel SSDPE2KX020T8 nvme
  * Miscellaneous Ubuntu changes
    - [Packaging] Use host bpftool if doing cross-compiling
    - [Packaging] Rename to linux
    - [Packaging] d/t/ubuntu-regression-suite: use https to clone
    - [Packaging] d/t/control: add snapd and fuse-overlayfs dependencies
    - [Packaging] Drop/update some dkms packages.

  [ Ubuntu-unstable: 6.17.0-1.1 ]

  * questing/linux-unstable: 6.17.0-1.1 -proposed tracker (LP: #2121054)
  * Enable CONFIG_IPV6_OPTIMISTIC_DAD (LP: #1728366)
    - [Config] Enable CONFIG_IPV6_OPTIMISTIC_DAD
  * No IP Address assigned after hot-plugging Ethernet cable on HP Platform
    (LP: #2115393)
    - Revert "e1000e: change k1 configuration on MTP and later platforms"
  * sources list generation using dwarfdump takes up to 0.5hr in build process
    (LP: #2104911)
    - [Packaging] Don't generate list of source files
  * Miscellaneous Ubuntu changes
    - [Config] updateconfig following rebase to v6.17-rc2
    - [Packaging] Renane to linux-unstable
    - SAUCE: gpio: aaeon: use new GPIO line value setter callbacks
    - [Packaging] debian.master/dkms-versions: Drop failing dkms packages
    - [Packaging] Don't suggest linux-modules-extra

  [ Ubuntu-unstable: 6.17.0-0.0 ]

  * dummy entry

 -- Alessio Faina <alessio.faina@canonical.com>  Mon, 15 Sep 2025 09:08:06 +0200

linux-oracle (6.17.0-1000.0) questing; urgency=medium

  * Dummy entry

 -- Alessio Faina <alessio.faina@canonical.com>  Mon, 15 Sep 2025 08:29:35 +0200

linux-oracle (6.16.0-1001.1) questing; urgency=medium

  * questing/linux-oracle: 6.16.0-1001.1 -proposed tracker (LP: #2120662)

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] update update.conf
    - [Packaging] debian.oracle/dkms-versions -- update from kernel-versions
      (main/d2025.08.14)

  * Miscellaneous Ubuntu changes
    - [Packaging] move to questing v6.16
    - [Config] updateconfigs following Ubuntu-6.16.0-14.14 rebase
    - [Packaging] remove do_extras_package

  [ Ubuntu: 6.16.0-16.16 ]

  * questing/linux: 6.16.0-16.16 -proposed tracker (LP: #2120720)

  [ Ubuntu: 6.16.0-14.14 ]

  * questing/linux: 6.16.0-14.14 -proposed tracker (LP: #2120657)
  * BPF header file in wrong location (LP: #2118965)
    - [Packaging] Install bpf header to correct location
  * enlarge the number of the serial port for sh-sci serial driver
    (LP: #2116140)
    - [Config] enlarge CONFIG_SERIAL_SH_SCI_NR_UARTS
  * Ubuntu 24.04+ arm64: screen resolution fixed to 1024x768 with last kernel
    update (LP: #2115068)
    - [Config] Replace FB_HYPERV with DRM_HYPERV
  * Miscellaneous Ubuntu changes
    - [Packaging] move to unversioned gcc by default
    - [Config] bump toolchain version to gcc-15

  [ Ubuntu: 6.16.0-13.13 ]

  * questing/linux: 6.16.0-13.13 -proposed tracker (LP: #2119951)
  * Miscellaneous Ubuntu changes
    - [Packaging] debian.master/dkms-versions -- remove ipu6 since it's
      upstream

  [ Ubuntu: 6.16.0-12.12 ]

  * questing/linux: 6.16.0-12.12 -proposed tracker (LP: #2119711)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.07.28)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update variants
    - [Packaging] update annotations scripts

  [ Ubuntu: 6.16.0-11.11 ]

  * questing/linux: 6.16.0-11.11 -proposed tracker (LP: #2119360)
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/93]: Stacking: Audit: Create audit_stamp
      structure
    - SAUCE: apparmor5.0.0 [2/93]: Stacking: Audit: Allow multiple records in
      an audit_buffer
    - SAUCE: apparmor5.0.0 [3/93]: Stacking: LSM: security_lsmblob_to_secctx
      module selection
    - SAUCE: apparmor5.0.0 [4/93]: Stacking: Audit: Add record for multiple
      task security contexts
    - SAUCE: apparmor5.0.0 [5/93]: Stacking: Audit: multiple subject lsm
      values for netlabel
    - SAUCE: apparmor5.0.0 [6/93]: Stacking: Audit: Add record for multiple
      object contexts
    - SAUCE: apparmor5.0.0 [7/93]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [8/93]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [9/93]: Stacking: Audit: Call only the first of the
      audit rule hooks
    - SAUCE: apparmor5.0.0 [10/93]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [11/93]: 6.17 apparmor-next: apparmor: Use
      str_yes_no() helper function
    - SAUCE: apparmor5.0.0 [12/93]: 6.17 apparmor-next: apparmor: Improve
      debug print infrastructure
    - SAUCE: apparmor5.0.0 [13/93]: 6.17 apparmor-next: apparmor: cleanup:
      attachment perm lookup to use lookup_perms()
    - SAUCE: apparmor5.0.0 [14/93]: 6.17 apparmor-next: apparmor: remove
      redundant unconfined check.
    - SAUCE: apparmor5.0.0 [15/93]: 6.17 apparmor-next: apparmor: switch
      signal mediation to use RULE_MEDIATES
    - SAUCE: apparmor5.0.0 [16/93]: 6.17 apparmor-next: apparmor: ensure
      labels with more than one entry have correct flags
    - SAUCE: apparmor5.0.0 [17/93]: 6.17 apparmor-next: apparmor: remove
      explicit restriction that unconfined cannot use change_hat
    - SAUCE: apparmor5.0.0 [18/93]: 6.17 apparmor-next: apparmor: cleanup:
      refactor file_perm() to doc semantics of some checks
    - SAUCE: apparmor5.0.0 [19/93]: 6.17 apparmor-next: apparmor: carry
      mediation check on label
    - SAUCE: apparmor5.0.0 [20/93]: 6.17 apparmor-next: apparmor: add
      additional flags to extended permission.
    - SAUCE: apparmor5.0.0 [21/93]: 6.17 apparmor-next: apparmor: add support
      for profiles to define the kill signal
    - SAUCE: apparmor5.0.0 [22/93]: 6.17 apparmor-next: apparmor: fix
      x_table_lookup when stacking is not the first entry
    - SAUCE: apparmor5.0.0 [23/93]: 6.17 apparmor-next: apparmor: add ability
      to mediate caps with policy state machine
    - SAUCE: apparmor5.0.0 [24/93]: 6.17 apparmor-next: apparmor: remove
      af_select macro
    - SAUCE: apparmor5.0.0 [25/93]: 6.17 apparmor-next: apparmor: lift kernel
      socket check out of critical section
    - SAUCE: apparmor5.0.0 [26/93]: 6.17 apparmor-next: apparmor: in
      preparation for finer networking rules rework match_prot
    - SAUCE: apparmor5.0.0 [27/93]: 6.17 apparmor-next: apparmor: add fine
      grained af_unix mediation
    - SAUCE: apparmor5.0.0 [28/93]: 6.17 apparmor-next: apparmor: gate make
      fine grained unix mediation behind v9 abi
    - SAUCE: apparmor5.0.0 [29/93]: 6.17 apparmor-next: apparmor: fix dbus
      permission queries to v9 ABI
    - SAUCE: apparmor5.0.0 [30/93]: 6.17 apparmor-next: apparmor: Fix checking
      address of an array in accum_label_info()
    - SAUCE: apparmor5.0.0 [31/93]: 6.17 apparmor-next: apparmor: Modify
      mismatched function name
    - SAUCE: apparmor5.0.0 [32/93]: 6.17 apparmor-next: apparmor: Modify
      mismatched function name
    - SAUCE: apparmor5.0.0 [33/93]: 6.17 apparmor-next: apparmor: fix typos
      and spelling errors
    - SAUCE: apparmor5.0.0 [34/93]: 6.17 apparmor-next: apparmor: use the
      condition in AA_BUG_FMT even with debug disabled
    - SAUCE: apparmor5.0.0 [35/93]: 6.17 apparmor-next: apparmor: Remove
      unused variable 'sock' in __file_sock_perm()
    - SAUCE: apparmor5.0.0 [68/93]: Revert "6.17 apparmor-next: apparmor: fix
      dbus permission queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [69/93]: Revert "6.17 apparmor-next: apparmor: gate
      make fine grained unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [70/93]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [71/93]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [72/93]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [73/93]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [75/93]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [76/93]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [80/93]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [83/93]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [84/93]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [85/93]: apparmor: prompt: enable userspace upcall
      for mediation
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * Installation of AppArmor on a 6.14 kernel produces error message "Illegal
    number: yes" (LP: #2102680)
    - SAUCE: apparmor5.0.0 [81/93]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [82/93]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in
    mantic (LP: #2032602)
    - SAUCE: apparmor5.0.0 [74/93]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
  * Miscellaneous Ubuntu changes
    - SAUCE: apparmor5.0.0 [36/93]: 6.17 apparmor-next: security/apparmor: use
      kfree_sensitive() in unpack_secmark()
    - SAUCE: apparmor5.0.0 [37/93]: 6.17 apparmor-next: apparmor: Fix
      incorrect profile->signal range check
    - SAUCE: apparmor5.0.0 [38/93]: 6.17 apparmor-next: apparmor: fix some
      kernel-doc issues in header files
    - SAUCE: apparmor5.0.0 [39/93]: 6.17 apparmor-next: apparmor: ensure
      WB_HISTORY_SIZE value is a power of 2
    - SAUCE: apparmor5.0.0 [40/93]: 6.17 apparmor-next: apparmor: fix loop
      detection used in conflicting attachment resolution
    - SAUCE: apparmor5.0.0 [41/93]: 6.17 apparmor-next: apparmor: make all
      generated string array headers const char *const
    - SAUCE: apparmor5.0.0 [42/93]: 6.17 apparmor-next: apparmor: force audit
      on unconfined exec if info is set by find_attach
    - SAUCE: apparmor5.0.0 [43/93]: 6.17 apparmor-next: apparmor: move the
      "conflicting profile attachments" infostr to a const declaration
    - SAUCE: apparmor5.0.0 [44/93]: 6.17 apparmor-next: apparmor: include
      conflicting attachment info for confined ix/ux fallback
    - SAUCE: apparmor5.0.0 [45/93]: 6.17 apparmor-next: apparmor: force
      auditing of conflicting attachment execs from confined
    - SAUCE: apparmor5.0.0 [46/93]: 6.17 apparmor-next: apparmor: make
      debug_values_table static
    - SAUCE: apparmor5.0.0 [47/93]: 6.17 apparmor-next: apparmor: Document
      that label must be last member in struct aa_profile
    - SAUCE: apparmor5.0.0 [48/93]: 6.17 apparmor-next: apparmor: mitigate
      parser generating large xtables
    - SAUCE: apparmor5.0.0 [49/93]: 6.17 apparmor-next: apparmor: make
      __begin_current_label_crit_section() indicate whether put is needed
    - SAUCE: apparmor5.0.0 [50/93]: 6.17 apparmor-next: apparmor: update
      kernel doc comments for xxx_label_crit_section
    - SAUCE: apparmor5.0.0 [51/93]: 6.17 apparmor-next: apparmor: Remove use
      of the double lock
    - SAUCE: apparmor5.0.0 [52/93]: 6.17 apparmor-next: apparmor: fix af_unix
      auditing to include all address information
    - SAUCE: apparmor5.0.0 [53/93]: 6.17 apparmor-next: apparmor: fix
      AA_DEBUG_LABEL()
    - SAUCE: apparmor5.0.0 [54/93]: 6.17 apparmor-next: apparmor: fix
      regression in fs based unix sockets when using old abi
    - SAUCE: apparmor5.0.0 [55/93]: 6.17 apparmor-next: apparmor: make sure
      unix socket labeling is correctly updated.
    - SAUCE: apparmor5.0.0 [56/93]: 6.17 apparmor-next: apparmor: shift ouid
      when mediating hard links in userns
    - SAUCE: apparmor5.0.0 [57/93]: 6.17 apparmor-next: apparmor: shift uid
      when mediating af_unix in userns
    - SAUCE: apparmor5.0.0 [58/93]: 6.17 apparmor-next: apparmor: Fix 8-byte
      alignment for initial dfa blob streams
    - SAUCE: apparmor5.0.0 [59/93]: 6.17 apparmor-next: apparmor: Fix
      unaligned memory accesses in KUnit test
    - SAUCE: apparmor5.0.0 [60/93]: 6.17 apparmor-next: apparmor: fix kernel
      doc warnings for kernel test robot
    - SAUCE: apparmor5.0.0 [61/93]: 6.17 apparmor-next: apparmor: remove
      redundant perms.allow MAY_EXEC bitflag set
    - SAUCE: apparmor5.0.0 [62/93]: 6.17 apparmor-next: apparmor: fix
      documentation mismatches in val_mask_to_str and socket functions
    - SAUCE: apparmor5.0.0 [63/93]: 6.17 apparmor-next: apparmor: transition
      from a list of rules to a vector of rules
    - SAUCE: apparmor5.0.0 [64/93]: 6.17 apparmor-next: apparmor: fix: accept2
      being specifie even when permission table is presnt
    - SAUCE: apparmor5.0.0 [65/93]: 6.17 apparmor-next: apparmor: Remove the
      unused variable rules
    - SAUCE: apparmor5.0.0 [66/93]: 6.17 apparmor-next: apparmor: fix test
      error: WARNING in apparmor_unix_stream_connect
    - SAUCE: apparmor5.0.0 [67/93]: 6.17 apparmor-next: apparmor: fix
      Regression on linux-next (next-20250721)
    - SAUCE: apparmor5.0.0 [77/93]: aoparmor: userns: Add support for execpath
      in userns
    - SAUCE: apparmor5.0.0 [78/93]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [79/93]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [86/93]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [87/93]: apparmor: add AA_DEBUG_PROFILE to have
      debug on profiles with flag set
    - SAUCE: apparmor5.0.0 [88/93]: apparmor: make str table more generic and
      be able to have multiple entries
    - SAUCE: apparmor5.0.0 [89/93]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [90/93]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [91/93]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [92/93]: UBUNTU: SAUCE: apparmor5.0.0 [92/93]:
      apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [93/93]: apparmor: mmap_file() doesn't need to be
      called atomically

  [ Ubuntu: 6.16.0-10.10 ]

  * questing/linux: 6.16.0-10.10 -proposed tracker (LP: #2118882)
  * Miscellaneous Ubuntu changes
    - Update dropped.txt
  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Packaging] disable signing for s390x"

  [ Ubuntu: 6.16.0-9.9 ]

  * questing/linux: 6.16.0-9.9 -proposed tracker (LP: #2117331)

  [ Ubuntu: 6.16.0-8.8 ]

  * questing/linux: 6.16.0-8.8 -proposed tracker (LP: #2117156)
  * Miscellaneous Ubuntu changes
    - [Packaging] rename to linux
    - [Packaging] disable signing for s390x

  [ Ubuntu-unstable: 6.16.0-7.7 ]

  * questing/linux-unstable: 6.16.0-7.7 -proposed tracker (LP: #2116881)
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v6.16-rc6 rebase

  [ Ubuntu-unstable: 6.16.0-6.6 ]

  * questing/linux-unstable: 6.16.0-6.6 -proposed tracker (LP: #2116265)
  * [UBUNTU 25.04] lszcrypt output shows no cards because ap module has to be
    loaded manually (LP: #2116061)
    - [Config] s390: Build ap driver into the kernel
  * Miscellaneous Ubuntu changes
    - [Packaging] debian.master/control.stub.in: fix dpkg-checkbuilddeps
    - [Config] RUSTC_VERSION = 108501

  [ Ubuntu-unstable: 6.16.0-5.5 ]

  * questing/linux-unstable: 6.16.0-5.5 -proposed tracker (LP: #2115966)
  * Miscellaneous Ubuntu changes
    - [Packaging] debian.master/control.stub.in: prepare for cross-compiling
    - [Packaging] debian/rules.d/0-common-vars.mk: avoid infinite loop
    - [Packaging] debian/rules.d/0-common-vars.mk: use native GCC
    - [Packaging] debian/rules.d/0-common-vars.mk: enable linux-tools cross-
      compilation
    - [Packaging] debian/rules.d/0-common-vars.mk: fix linux-tools cross-build
    - [Config] updateconfigs following v6.16-rc5 rebase

  [ Ubuntu-unstable: 6.16.0-4.4 ]

  * questing/linux-unstable: 6.16.0-4.4 -proposed tracker (LP: #2115628)

  [ Ubuntu-unstable: 6.16.0-3.3 ]

  * questing/linux-unstable: 6.16.0-3.3 -proposed tracker (LP: #2115254)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.06.03)
  * arm64: kernel image cannot be booted in UEFI despite EFI stub and ZBOOT
    (LP: #2098111)
    - [Packaging] Install compressed vmlinuz.efi on arm64
  * Creating a VXLAN interface with a Fan mapping causes a NULL pointer
    dereference caught by ubuntu_fan_smoke_test:sut-scan (LP: #2113992)
    - SAUCE: fan: vxlan: parse fan-map from IFLA_VXLAN_FAN_MAP attribute ID
  * Dell AIO backlight is not working, dell_uart_backlight module is missing
    (LP: #2083800)
    - [Config] enable CONFIG_DELL_UART_BACKLIGHT
  * Miscellaneous Ubuntu changes
    - [Packaging] Update debian/signature-inclusion

  [ Ubuntu-unstable: 6.16.0-2.2 ]

  * questing/linux-unstable: 6.16.0-2.2 -proposed tracker (LP: #2114841)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.06.03)
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v6.16-rc2

  [ Ubuntu-unstable: 6.16.0-1.1 ]

  * questing/linux-unstable: 6.16.0-1.1 -proposed tracker (LP: #2114165)
  * Support Sony IMX471 camera sensor for Intel IPU7 platforms (LP: #2107320)
    - SAUCE: media: ipu-bridge: Support imx471 sensor
  * Rotate the Canonical Livepatch key (LP: #2111244)
    - [config] prepare for Canonical Livepatch key rotation
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.05.26)
  * Miscellaneous Ubuntu changes
    - Update dropped.txt
    - Update dropped.txt wrt v6.16-rc1 rebase
    - [Config] updateconfigs following v6.16-rc1
    - [Config] FTBFS: disable INTEL_SKL_INT3472
    - SAUCE: binder: turn into module - lock_vma_under_rcu()
    - [Packaging] debian.master/dkms-versions -- temporarily remove zfs FTBFS
    - [Packaging] debian.master/dkms-versions -- temporarily remove
      v4l2loopback FTBFS

  [ Ubuntu-unstable: 6.15.0-2.2 ]

  * questing/linux-unstable: 6.15.0-2.2 -proposed tracker (LP: #2111721)
  * Miscellaneous Ubuntu changes
    - [Config] Updateconfigs for v6.15-rc7 rebase

  [ Ubuntu-unstable: 6.15.0-1.1 ]

  * questing/linux-unstable: 6.15.0-1.1 -proposed tracker (LP: #2110148)
  * Drop support for modules-extra (LP: #2042831)
    - [Packaging] Drop support for modules-extra
  * Miscellaneous Ubuntu changes
    - [Packaging] Rename to linux-unstable, bump version
    - [Packaging] Re-enable tools build on cross-builds
    - [Packaging] debian.master/dkms-versions -- temporarily remove all dkms
    - [Packaging] Introduce do_sources_list build flag
    - [Config] Updateconfigs for v6.15-rc5 rebase
    - SAUCE: Revert "gcc-15: acpi: sprinkle random '__nonstring' crumbles around"

  [ Ubuntu-unstable: 6.15.0-0.0 ]

  * Dummy entry

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 20 Aug 2025 12:07:49 +0200

linux-oracle (6.16.0-1000.0) questing; urgency=medium

  * Empty entry

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 20 Aug 2025 11:36:16 +0200

linux-oracle (6.14.0-1007.7) plucky; urgency=medium

  * plucky/linux-oracle: 6.14.0-1007.7 -proposed tracker (LP: #2110644)

  [ Ubuntu: 6.14.0-22.22 ]

  * plucky/linux: 6.14.0-22.22 -proposed tracker (LP: #2111404)
  * snapd has high CPU usage for exactly 150 seconds every 5, 7.5 or 10 minutes
    (LP: #2110289)
    - fs/eventpoll: fix endless busy loop after timeout has expired

  [ Ubuntu: 6.14.0-20.20 ]

  * plucky/linux: 6.14.0-20.20 -proposed tracker (LP: #2110652)
  * Rotate the Canonical Livepatch key (LP: #2111244)
    - [Config] Prepare for Canonical Livepatch key rotation
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268)
    - soc: qcom: ice: introduce devm_of_qcom_ice_get
    - mmc: sdhci-msm: fix dev reference leaked through of_qcom_ice_get
    - PM: EM: use kfree_rcu() to simplify the code
    - PM: EM: Address RCU-related sparse warnings
    - media: i2c: imx214: Use subdev active state
    - media: i2c: imx214: Simplify with dev_err_probe()
    - media: i2c: imx214: Convert to CCI register access helpers
    - media: i2c: imx214: Replace register addresses with macros
    - media: i2c: imx214: Check number of lanes from device tree
    - media: i2c: imx214: Fix link frequency validation
    - media: ov08x40: Move ov08x40_identify_module() function up
    - media: ov08x40: Add missing ov08x40_identify_module() call on stream-start
    - iio: adc: ad7768-1: Move setting of val a bit later to avoid unnecessary
      return value check
    - iio: adc: ad7768-1: Fix conversion result sign
    - of: resolver: Simplify of_resolve_phandles() using __free()
    - of: resolver: Fix device node refcount leakage in of_resolve_phandles()
    - scsi: ufs: qcom: fix dev reference leaked through of_qcom_ice_get
    - PCI/MSI: Convert pci_msi_ignore_mask to per MSI domain flag
    - PCI/MSI: Handle the NOMASK flag correctly for all PCI/MSI backends
    - PCI/MSI: Add an option to write MSIX ENTRY_DATA before any reads
    - irqchip/renesas-rzv2h: Simplify rzv2h_icu_init()
    - irqchip/renesas-rzv2h: Add struct rzv2h_hw_info with t_offs variable
    - irqchip/renesas-rzv2h: Prevent TINT spurious interrupt
    - drm/xe/ptl: Apply Wa_14023061436
    - drm/xe/xe3lpg: Add Wa_13012615864
    - drm/xe: Add performance tunings to debugfs
    - drm/xe/rtp: Drop sentinels from arg to xe_rtp_process_to_sr()
    - drm/xe: Ensure fixed_slice_mode gets set after ccs_mode change
    - lib/Kconfig.ubsan: Remove 'default UBSAN' from UBSAN_INTEGER_WRAP
    - ceph: Fix incorrect flush end position calculation
    - dma/contiguous: avoid warning about unused size_bytes
    - virtio_pci: Use self group type for cap commands
    - cpufreq: cppc: Fix invalid return value in .get() callback
    - cpufreq: Do not enable by default during compile testing
    - cpufreq: fix compile-test defaults
    - btrfs: avoid page_lockend underflow in btrfs_punch_hole_lock_range()
    - cgroup/cpuset-v1: Add missing support for cpuset_v2_mode
    - vhost-scsi: Add better resource allocation failure handling
    - vhost-scsi: Fix vhost_scsi_send_bad_target()
    - vhost-scsi: Fix vhost_scsi_send_status()
    - net/mlx5: Move ttc allocation after switch case to prevent leaks
    - scsi: core: Clear flags for scsi_cmnd that did not complete
    - net: enetc: register XDP RX queues with frag_size
    - net: enetc: refactor bulk flipping of RX buffers to separate function
    - net: enetc: fix frame corruption on bpf_xdp_adjust_head/tail() and XDP_PASS
    - net: lwtunnel: disable BHs when required
    - net: phylink: force link down on major_config failure
    - net: phylink: fix suspend/resume with WoL enabled and link down
    - net: phy: leds: fix memory leak
    - virtio-net: Refactor napi_enable paths
    - virtio-net: Refactor napi_disable paths
    - virtio-net: disable delayed refill when pausing rx
    - net: ethernet: mtk_eth_soc: net: revise NETSYSv3 hardware configuration
    - fix a couple of races in MNT_TREE_BENEATH handling by do_move_mount()
    - net: dsa: mt7530: sync driver-specific behavior of MT7531 variants
    - pds_core: Prevent possible adminq overflow/stuck condition
    - pds_core: Remove unnecessary check in pds_client_adminq_cmd()
    - net: phy: Add helper for getting tx amplitude gain
    - net: phy: dp83822: Add support for changing the transmit amplitude voltage
    - net: dp83822: Fix OF_MDIO config check
    - net: stmmac: fix dwmac1000 ptp timestamp status offset
    - net: stmmac: fix multiplication overflow when reading timestamp
    - block: never reduce ra_pages in blk_apply_bdi_limits
    - bdev: use bdev_io_min() for statx block size
    - block: move blkdev_{get,put} _no_open prototypes out of blkdev.h
    - block: remove the backing_inode variable in bdev_statx
    - block: don't autoload drivers on stat
    - iommu/amd: Return an error if vCPU affinity is set for non-vCPU IRTE
    - riscv: Replace function-like macro by static inline function
    - ublk: remove io_cmds list in ublk_queue
    - ublk: comment on ubq->canceling handling in ublk_queue_rq()
    - ublk: implement ->queue_rqs()
    - ublk: remove unused cmd argument to ublk_dispatch_req()
    - ublk: call ublk_dispatch_req() for handling UBLK_U_IO_NEED_GET_DATA
    - splice: remove duplicate noinline from pipe_clear_nowait
    - fs/xattr: Fix handling of AT_FDCWD in setxattrat(2) and getxattrat(2)
    - bpf: Add namespace to BPF internal symbols
    - Revert "drm/meson: vclk: fix calculation of 59.94 fractional rates"
    - drm/meson: use unsigned long long / Hz for frequency types
    - perf/x86: Fix non-sampling (counting) events on certain x86 platforms
    - LoongArch: Select ARCH_USE_MEMTEST
    - LoongArch: Make regs_irqs_disabled() more clear
    - LoongArch: Make do_xyz() exception handlers more robust
    - net: stmmac: simplify phylink_suspend() and phylink_resume() calls
    - net: phylink: add phylink_prepare_resume()
    - net: stmmac: address non-LPI resume failures properly
    - net: stmmac: socfpga: remove phy_resume() call
    - net: phylink: add functions to block/unblock rx clock stop
    - net: stmmac: block PHY RXC clock-stop
    - netfilter: fib: avoid lookup if socket is available
    - virtio_console: fix missing byte order handling for cols and rows
    - sched_ext: Use kvzalloc for large exit_dump allocation
    - crypto: atmel-sha204a - Set hwrng quality to lowest possible
    - net: selftests: initialize TCP header and skb payload with zero
    - net: phy: microchip: force IRQ polling mode for lan88xx
    - mptcp: pm: Defer freeing of MPTCP userspace path manager entries
    - scsi: mpi3mr: Fix pending I/O counter
    - rust: firmware: Use `ffi::c_char` type in `FwFunc`
    - drm: panel: jd9365da: fix reset signal polarity in unprepare
    - drm/amd/display: Fix gpu reset in multidisplay config
    - drm/amd/display: Force full update in gpu reset
    - drm/amd/display: Fix ACPI edid parsing on some Lenovo systems
    - x86/insn: Fix CTEST instruction decoding
    - x86/mm: Fix _pgd_alloc() for Xen PV mode
    - selftests/pcie_bwctrl: Fix test progs list
    - binder: fix offset calculation in debug log
    - LoongArch: Handle fp, lsx, lasx and lbt assembly symbols
    - LoongArch: Remove a bogus reference to ZONE_DMA
    - LoongArch: KVM: Fix multiple typos of KVM code
    - LoongArch: KVM: Fully clear some CSRs when VM reboot
    - LoongArch: KVM: Fix PMU pass-through issue if VM exits to host finally
    - io_uring: fix 'sync' handling of io_fallback_tw()
    - KVM: SVM: Allocate IR data using atomic allocation
    - cxl/core/regs.c: Skip Memory Space Enable check for RCD and RCH Ports
    - ata: libata-scsi: Improve CDL control
    - ata: libata-scsi: Fix ata_mselect_control_ata_feature() return type
    - ata: libata-scsi: Fix ata_msense_control_ata_feature()
    - USB: storage: quirk for ADATA Portable HDD CH94
    - scsi: Improve CDL control
    - mei: me: add panther lake H DID
    - KVM: x86: Explicitly treat routing entry type changes as changes
    - KVM: x86: Take irqfds.lock when adding/deleting IRQ bypass producer
    - char: misc: register chrdev region with all possible minors
    - misc: microchip: pci1xxxx: Fix incorrect IRQ status handling during ack
    - firmware: stratix10-svc: Add of_platform_default_populate()
    - serial: msm: Configure correct working mode before starting earlycon
    - serial: sifive: lock port in startup()/shutdown() callbacks
    - USB: serial: ftdi_sio: add support for Abacus Electrics Optical Probe
    - USB: serial: option: add Sierra Wireless EM9291
    - USB: serial: simple: add OWON HDS200 series oscilloscope support
    - xhci: Limit time spent with xHC interrupts disabled during bus resume
    - usb: chipidea: ci_hdrc_imx: fix call balance of regulator routines
    - usb: chipidea: ci_hdrc_imx: implement usb_phy_init() error handling
    - USB: OHCI: Add quirk for LS7A OHCI controller (rev 0x02)
    - usb: dwc3: xilinx: Prevent spike in reset signal
    - usb: quirks: add DELAY_INIT quirk for Silicon Motion Flash Drive
    - usb: quirks: Add delay init quirk for SanDisk 3.2Gen1 Flash Drive
    - USB: VLI disk crashes if LPM is used
    - usb: typec: class: Invalidate USB device pointers on partner unregistration
    - usb: typec: class: Unlocked on error in typec_register_partner()
    - USB: wdm: handle IO errors in wdm_wwan_port_start
    - USB: wdm: close race between wdm_open and wdm_wwan_port_stop
    - USB: wdm: wdm_wwan_port_tx_complete mutex in atomic context
    - USB: wdm: add annotation
    - crypto: ecdsa - Harden against integer overflows in DIV_ROUND_UP()
    - selftests/bpf: Fix stdout race condition in traffic monitor
    - pinctrl: renesas: rza2: Fix potential NULL pointer dereference
    - pinctrl: mcp23s08: Get rid of spurious level interrupts
    - MIPS: cm: Detect CM quirks from device tree
    - crypto: ccp - Add support for PCI device 0x1134
    - crypto: lib/Kconfig - Fix lib built-in failure when arch is modular
    - clk: check for disabled clock-provider in of_clk_get_hw_from_clkspec()
    - parisc: PDT: Fix missing prototype warning
    - s390/tty: Fix a potential memory leak bug
    - clk: renesas: rzv2h: Adjust for CPG_BUS_m_MSTOP starting from m = 1
    - selftests/bpf: Fix cap_enable_effective() return code
    - bpf: bpftool: Setting error code in do_loader()
    - bpf: Only fails the busy counter check in bpf_cgrp_storage_get if it creates
      storage
    - bpf: Reject attaching fexit/fmod_ret to __noreturn functions
    - mailbox: pcc: Fix the possible race in updation of chan_in_use flag
    - mailbox: pcc: Always clear the platform ack interrupt first
    - staging: gpib: Use min for calculating transfer length
    - usb: host: max3421-hcd: Add missing spi_device_id table
    - usb: typec: ucsi: return CCI and message from sync_control callback
    - usb: typec: ucsi: ccg: move command quirks to ucsi_ccg_sync_control()
    - iio: adc: ad4695: make ad4695_exit_conversion_mode() more robust
    - fs/ntfs3: Fix WARNING in ntfs_extend_initialized_size
    - usb: dwc3: gadget: Refactor loop to avoid NULL endpoints
    - usb: dwc3: gadget: Avoid using reserved endpoints on Intel Merrifield
    - dmaengine: bcm2835-dma: fix warning when CONFIG_PM=n
    - usb: xhci: Complete 'error mid TD' transfers when handling Missed Service
    - xhci: Handle spurious events on Etron host isoc enpoints
    - i3c: master: svc: Add support for Nuvoton npcm845 i3c
    - dmaengine: dmatest: Fix dmatest waiting less when interrupted
    - usb: xhci: Avoid Stop Endpoint retry loop if the endpoint seems Running
    - phy: rockchip: usbdp: Avoid call hpd_event_trigger in dp_phy_init
    - usb: host: xhci-plat: mvebu: use ->quirks instead of ->init_quirk() func
    - thunderbolt: Scan retimers after device router has been enumerated
    - iommu/arm-smmu-v3: Set MEV bit in nested STE for DoS mitigations
    - objtool: Silence more KCOV warnings
    - objtool, panic: Disable SMAP in __stack_chk_fail()
    - objtool, ASoC: codecs: wcd934x: Remove potential undefined behavior in
      wcd934x_slim_irq_handler()
    - objtool, regulator: rk808: Remove potential undefined behavior in
      rk806_set_mode_dcdc()
    - objtool, lkdtm: Obfuscate the do_nothing() pointer
    - qibfs: fix _another_ leak
    - riscv: tracing: Fix __write_overflow_field in ftrace_partial_regs()
    - ntb: reduce stack usage in idt_scan_mws
    - ntb_hw_amd: Add NTB PCI ID for new gen CPU
    - 9p/trans_fd: mark concurrent read and writes to p9_conn->err
    - rtc: pcf85063: do a SW reset if POR failed
    - tracing: Enforce the persistent ring buffer to be page aligned
    - kbuild, rust: use -fremap-path-prefix to make paths relative
    - kbuild: add dependency from vmlinux to sorttable
    - sched/isolation: Make CONFIG_CPU_ISOLATION depend on CONFIG_SMP
    - KVM: s390: Don't use %pK through tracepoints
    - KVM: s390: Don't use %pK through debug printing
    - cgroup/cpuset: Don't allow creation of local partition over a remote one
    - selftests: ublk: fix test_stripe_04
    - xen: Change xen-acpi-processor dom0 dependency
    - pwm: Let pwm_set_waveform() succeed even if lowlevel driver rounded up
    - pwm: axi-pwmgen: Let .round_waveform_tohw() signal when request was rounded
      up
    - nvme: requeue namespace scan on missed AENs
    - ACPI: EC: Set ec_no_wakeup for Lenovo Go S
    - ACPI PPTT: Fix coding mistakes in a couple of sizeof() calls
    - drm/amdkfd: sriov doesn't support per queue reset
    - drm/amdgpu: Increase KIQ invalidate_tlbs timeout
    - drm/xe/xe3lpg: Apply Wa_14022293748, Wa_22019794406
    - nvme: re-read ANA log page after ns scan completes
    - nvme: multipath: fix return value of nvme_available_path
    - objtool: Stop UNRET validation on UD2
    - gpiolib: of: Move Atmel HSMCI quirk up out of the regulator comment
    - x86/xen: disable CPU idle and frequency drivers for PVH dom0
    - selftests/mincore: Allow read-ahead pages to reach the end of the file
    - x86/bugs: Use SBPB in write_ibpb() if applicable
    - x86/bugs: Don't fill RSB on VMEXIT with eIBRS+retpoline
    - x86/bugs: Don't fill RSB on context switch with eIBRS
    - nvmet-fc: take tgtport reference only once
    - nvmet-fc: put ref when assoc->del_work is already scheduled
    - cifs: Fix encoding of SMB1 Session Setup Kerberos Request in non-UNICODE
      mode
    - timekeeping: Add a lockdep override in tick_freeze()
    - cifs: Fix querying of WSL CHR and BLK reparse points over SMB1
    - ext4: make block validity check resistent to sb bh corruption
    - scsi: hisi_sas: Fix I/O errors caused by hardware port ID changes
    - scsi: ufs: exynos: Ensure pre_link() executes before exynos_ufs_phy_init()
    - scsi: ufs: exynos: Enable PRDT pre-fetching with UFSHCD_CAP_CRYPTO
    - scsi: ufs: exynos: Move phy calls to .exit() callback
    - scsi: ufs: exynos: gs101: Put UFS device in reset on .suspend()
    - scsi: pm80xx: Set phy_attached to zero when device is gone
    - ASoC: fsl_asrc_dma: get codec or cpu dai from backend
    - ASoC: codecs: Add of_match_table for aw888081 driver
    - x86/i8253: Call clockevent_i8253_disable() with interrupts disabled
    - platform/x86: x86-android-tablets: Add "9v" to Vexia EDU ATLA 10 tablet
      symbols
    - platform/x86: x86-android-tablets: Add Vexia Edu Atla 10 tablet 5V data
    - iomap: skip unnecessary ifs_block_is_uptodate check
    - riscv: Provide all alternative macros all the time
    - spi: tegra210-quad: use WARN_ON_ONCE instead of WARN_ON for timeouts
    - spi: tegra210-quad: add rate limiting and simplify timeout error message
    - ubsan: Fix panic from test_ubsan_out_of_bounds
    - nvmet: pci-epf: cleanup link state management
    - x86/cpu: Add CPU model number for Bartlett Lake CPUs with Raptor Cove cores
    - md/raid1: Add check for missing source disk in process_checks()
    - drm/amdgpu: use a dummy owner for sysfs triggered cleaner shaders v4
    - drm/amd: Forbid suspending into non-default suspend states
    - drm/amdgpu: Use the right function for hdp flush
    - ublk: add ublk_force_abort_dev()
    - ublk: rely on ->canceling for dealing with ublk_nosrv_dev_should_queue_io
    - Revert "drivers: core: synchronize really_probe() and dev_uevent()"
    - driver core: introduce device_set_driver() helper
    - comedi: jr3_pci: Fix synchronous deletion of timer
    - crypto: lib/Kconfig - Hide arch options from user
    - [Config] updateconfigs for crypto libs
    - media: i2c: imx214: Fix uninitialized variable in imx214_set_ctrl()
    - MIPS: cm: Fix warning if MIPS_CM is disabled
    - net: phy: dp83822: fix transmit amplitude if CONFIG_OF_MDIO not defined
    - rust: kbuild: skip `--remap-path-prefix` for `rustdoc`
    - ublk: don't fail request for recovery & reissue in case of ubq->canceling
    - nvme: fixup scan failure for non-ANA multipath controllers
    - usb: xhci: Fix Short Packet handling rework ignoring errors
    - objtool: Ignore end-of-section jumps for KCOV/GCOV
    - objtool: Silence more KCOV warnings, part 2
    - crypto: Kconfig - Select LIB generic option
    - Linux 6.14.5
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37799
    - vmxnet3: Fix malformed packet sizing in vmxnet3_process_xdp
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37800
    - driver core: fix potential NULL pointer dereference in dev_uevent()
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37801
    - spi: spi-imx: Add check for spi_imx_setupxfer()
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37802
    - ksmbd: fix WARNING "do not call blocking ops when !TASK_RUNNING"
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37876
    - netfs: Only create /proc/fs/netfs with CONFIG_PROC_FS
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37877
    - iommu: Clear iommu-dma ops on cleanup
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37878
    - perf/core: Fix WARN_ON(!ctx) in __free_event() for partial init
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37803
    - udmabuf: fix a buf size overflow issue during udmabuf creation
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37804
    - io_uring: always do atomic put from iowq
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37879
    - 9p/net: fix improper handling of bogus negative read/write replies
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37880
    - um: work around sched_yield not yielding in time-travel mode
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37881
    - usb: gadget: aspeed: Add NULL pointer check in ast_vhub_init_dev()
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37882
    - usb: xhci: Fix isochronous Ring Underrun/Overrun event handling
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37805
    - sound/virtio: Fix cancel_sync warnings on uninitialized work_structs
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37806
    - fs/ntfs3: Keep write operations atomic
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37883
    - s390/sclp: Add check for get_zeroed_page()
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37884
    - bpf: Fix deadlock between rcu_tasks_trace and event_mutex.
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37807
    - bpf: Fix kmemleak warning for percpu hashmap
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37808
    - crypto: null - Use spin lock instead of mutex
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37809
    - usb: typec: class: Fix NULL pointer access
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37810
    - usb: dwc3: gadget: check that event count does not exceed event buffer
      length
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37811
    - usb: chipidea: ci_hdrc_imx: fix usbmisc handling
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37812
    - usb: cdns3: Fix deadlock when using NCM gadget
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37813
    - usb: xhci: Fix invalid pointer dereference in Etron workaround
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37814
    - tty: Require CAP_SYS_ADMIN for all usages of TIOCL_SELMOUSEREPORT
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37815
    - misc: microchip: pci1xxxx: Fix Kernel panic during IRQ handler registration
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37885
    - KVM: x86: Reset IRTE to host control if *new* route isn't postable
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37816
    - mei: vsc: Fix fortify-panic caused by invalid counted_by() use
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37817
    - mcb: fix a double free bug in chameleon_parse_gdd()
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37818
    - LoongArch: Return NULL from huge_pte_offset() for invalid PMD
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37819
    - irqchip/gic-v2m: Prevent use after free of gicv2m_get_fwnode()
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37820
    - xen-netfront: handle NULL returned by xdp_convert_buff_to_frame()
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37821
    - sched/eevdf: Fix se->slice being set to U64_MAX and resulting crash
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37822
    - riscv: uprobes: Add missing fence.i after building the XOL buffer
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37886
    - pds_core: make wait_context part of q_info
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37887
    - pds_core: handle unsupported PDS_CORE_CMD_FW_CONTROL result
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37823
    - net_sched: hfsc: Fix a potential UAF in hfsc_dequeue() too
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37797
    - net_sched: hfsc: Fix a UAF vulnerability in class handling
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37824
    - tipc: fix NULL pointer dereference in tipc_mon_reinit_self()
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37825
    - nvmet: fix out-of-bounds access in nvmet_enable_port
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37826
    - scsi: ufs: core: Add NULL check in ufshcd_mcq_compl_pending_transfer()
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37888
    - net/mlx5: Fix null-ptr-deref in mlx5_create_{inner_,}ttc_table()
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37827
    - btrfs: zoned: return EIO on RAID1 block group write pointer mismatch
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37828
    - scsi: ufs: mcq: Add NULL check in ufshcd_mcq_abort()
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37829
    - cpufreq: scpi: Fix null-ptr-deref in scpi_cpufreq_get_rate()
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37830
    - cpufreq: scmi: Fix null-ptr-deref in scmi_cpufreq_get_rate()
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37831
    - cpufreq: apple-soc: Fix null-ptr-deref in apple_soc_cpufreq_get_rate()
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37832
    - cpufreq: sun50i: prevent out-of-bounds access
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37833
    - net/niu: Niu requires MSIX ENTRY_DATA fields touch before entry reads
  * Plucky update: v6.14.5 upstream stable release (LP: #2111268) //
    CVE-2025-37834
    - mm/vmscan: don't try to reclaim hwpoison folio
  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update annotations scripts

 -- Philip Cox <philip.cox@canonical.com>  Mon, 26 May 2025 11:57:16 -0400

linux-oracle (6.14.0-1006.6) plucky; urgency=medium

  * plucky/linux-oracle: 6.14.0-1006.6 -proposed tracker (LP: #2109735)

  * Enabling GENDWARFKSYMS breaks loading modules (LP: #2103771)
    - [Packaging] Bump pahole build-dep

  * Don't suggests fdutils package anymore (LP: #2104355)
    - [Packaging] Drop fdutils from linux-image Suggests

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

  * Miscellaneous Ubuntu changes
    - [Packaging] Add bpftool, linux-perf to linux-image Suggests

  [ Ubuntu: 6.14.0-17.17 ]

  * plucky/linux: 6.14.0-17.17 -proposed tracker (LP: #2109741)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2025.04.14)
  * Plucky update: v6.14.4 upstream stable release (LP: #2109367)
    - scsi: hisi_sas: Enable force phy when SATA disk directly connected
    - wifi: at76c50x: fix use after free access in at76_disconnect
    - wifi: mac80211: Update skb's control block key in ieee80211_tx_dequeue()
    - wifi: mac80211: Purge vif txq in ieee80211_do_stop()
    - wifi: brcmfmac: fix memory leak in brcmf_get_module_param
    - wifi: wl1251: fix memory leak in wl1251_tx_work
    - scsi: iscsi: Fix missing scsi_host_put() in error path
    - scsi: smartpqi: Use is_kdump_kernel() to check for kdump
    - md/raid10: fix missing discard IO accounting
    - md/md-bitmap: fix stats collection for external bitmaps
    - ASoC: dwc: always enable/disable i2s irqs
    - ASoC: Intel: avs: Fix null-ptr-deref in avs_component_probe()
    - crypto: tegra - Fix IV usage for AES ECB
    - ovl: remove unused forward declaration
    - RDMA/bnxt_re: Fix budget handling of notification queue
    - RDMA/usnic: Fix passing zero to PTR_ERR in usnic_ib_pci_probe()
    - RDMA/hns: Fix wrong maximum DMA segment size
    - ALSA: hda/cirrus_scodec_test: Don't select dependencies
    - ALSA: hda/realtek - Fixed ASUS platform headset Mic issue
    - ASoC: cs42l43: Reset clamp override on jack removal
    - RDMA/core: Silence oversized kvmalloc() warning
    - firmware: cs_dsp: test_bin_error: Fix uninitialized data used as fw version
    - Bluetooth: hci_event: Fix sending MGMT_EV_DEVICE_FOUND for invalid address
    - Bluetooth: btrtl: Prevent potential NULL dereference
    - Bluetooth: qca: fix NV variant for one of WCN3950 SoCs
    - Bluetooth: l2cap: Check encryption key size on incoming connection
    - RDMA/bnxt_re: Remove unusable nq variable
    - ipv6: add exception routes to GC list in rt6_insert_exception
    - xen: fix multicall debug feature
    - mlxbf-bootctl: use sysfs_emit_at() in secure_boot_fuse_state_show()
    - wifi: iwlwifi: pcie: set state to no-FW before reset handshake
    - Revert "wifi: mac80211: Update skb's control block key in
      ieee80211_tx_dequeue()"
    - igc: fix PTM cycle trigger logic
    - igc: increase wait time before retrying PTM
    - igc: move ktime snapshot into PTM retry loop
    - igc: handle the IGC_PTP_ENABLED flag correctly
    - igc: cleanup PTP module if probe fails
    - igc: add lock preventing multiple simultaneous PTM transactions
    - perf tools: Remove evsel__handle_error_quirks()
    - dt-bindings: soc: fsl: fsl,ls1028a-reset: Fix maintainer entry
    - smc: Fix lockdep false-positive for IPPROTO_SMC.
    - test suite: use %zu to print size_t
    - selftests: mincore: fix tmpfs mincore test failure
    - pds_core: fix memory leak in pdsc_debugfs_add_qcq()
    - ethtool: cmis_cdb: use correct rpl size in ethtool_cmis_module_poll()
    - net: mctp: Set SOCK_RCU_FREE
    - net: hibmcge: fix incorrect pause frame statistics issue
    - net: hibmcge: fix incorrect multicast filtering issue
    - net: hibmcge: fix wrong mtu log issue
    - net: hibmcge: fix not restore rx pause mac addr after reset issue
    - block: fix resource leak in blk_register_queue() error path
    - netlink: specs: ovs_vport: align with C codegen capabilities
    - net: openvswitch: fix nested key length validation in the set() action
    - can: rockchip_canfd: fix broken quirks checks
    - net: ngbe: fix memory leak in ngbe_probe() error path
    - octeontx2-pf: handle otx2_mbox_get_rsp errors
    - net: ethernet: ti: am65-cpsw: fix port_np reference counting
    - eth: bnxt: fix missing ring index trim on error path
    - loop: aio inherit the ioprio of original request
    - loop: stop using vfs_iter_{read,write} for buffered I/O
    - nvmet: pci-epf: always fully initialize completion entries
    - nvmet: pci-epf: clear CC and CSTS when disabling the controller
    - ata: libata-sata: Save all fields from sense data descriptor
    - cxgb4: fix memory leak in cxgb4_init_ethtool_filters() error path
    - netlink: specs: rt-link: add an attr layer around alt-ifname
    - netlink: specs: rtnetlink: attribute naming corrections
    - netlink: specs: rt-link: adjust mctp attribute naming
    - netlink: specs: rt-neigh: prefix struct nfmsg members with ndm
    - net: b53: enable BPDU reception for management port
    - net: bridge: switchdev: do not notify new brentries as changed
    - net: txgbe: fix memory leak in txgbe_probe() error path
    - net: dsa: mv88e6xxx: avoid unregistering devlink regions which were never
      registered
    - net: dsa: mv88e6xxx: fix -ENOENT when deleting VLANs and MST is unsupported
    - net: dsa: clean up FDB, MDB, VLAN entries on unbind
    - net: dsa: free routing table on probe failure
    - net: dsa: avoid refcount warnings when ds->ops->tag_8021q_vlan_del() fails
    - ptp: ocp: fix start time alignment in ptp_ocp_signal_set
    - netfilter: conntrack: fix erronous removal of offload bit
    - net: ti: icss-iep: Add pwidth configuration for perout signal
    - net: ti: icss-iep: Add phase offset configuration for perout signal
    - net: ti: icss-iep: Fix possible NULL pointer dereference for perout request
    - net: ethernet: mtk_eth_soc: reapply mdc divider on reset
    - net: ethernet: mtk_eth_soc: correct the max weight of the queue limit for
      100Mbps
    - net: ethernet: mtk_eth_soc: revise QDMA packet scheduler settings
    - riscv: Use kvmalloc_array on relocation_hashtable
    - riscv: Properly export reserved regions in /proc/iomem
    - riscv: module: Fix out-of-bounds relocation access
    - riscv: module: Allocate PLT entries for R_RISCV_PLT32
    - kunit: qemu_configs: SH: Respect kunit cmdline
    - thermal: intel: int340x: Fix Panther Lake DLVR support
    - riscv: KGDB: Do not inline arch_kgdb_breakpoint()
    - riscv: KGDB: Remove ".option norvc/.option rvc" for kgdb_compiled_break
    - cpufreq/sched: Fix the usage of CPUFREQ_NEED_UPDATE_LIMITS
    - objtool/rust: add one more `noreturn` Rust function for Rust 1.86.0
    - rust: helpers: Remove volatile qualifier from io helpers
    - rust: kasan/kbuild: fix missing flags on first build
    - rust: disable `clippy::needless_continue`
    - rust: kbuild: Don't export __pfx symbols
    - rust: kbuild: use `pound` to support GNU Make < 4.3
    - writeback: fix false warning in inode_to_wb()
    - Revert "PCI: Avoid reset when disabled via sysfs"
    - ASoC: fsl: fsl_qmc_audio: Reset audio data pointers on TRIGGER_START event
    - ASoC: codecs:lpass-wsa-macro: Fix vi feedback rate
    - ASoC: codecs:lpass-wsa-macro: Fix logic of enabling vi channels
    - ASoC: Intel: sof_sdw: Add quirk for Asus Zenbook S16
    - ASoC: qcom: Fix sc7280 lpass potential buffer overflow
    - accel/ivpu: Fix the NPU's DPU frequency calculation
    - alloc_tag: handle incomplete bulk allocations in vm_module_tags_populate
    - asus-laptop: Fix an uninitialized variable
    - block: integrity: Do not call set_page_dirty_lock()
    - drm/v3d: Fix Indirect Dispatch configuration for V3D 7.1.6 and later
    - drm/msm/dpu: Fix error pointers in dpu_plane_virtual_atomic_check
    - drm/msm/dpu: drop rogue intr_tear_rd_ptr values
    - dma-buf/sw_sync: Decrement refcount on error in sw_sync_ioctl_get_deadline()
    - nfs: add missing selections of CONFIG_CRC32
    - nfsd: decrease sc_count directly if fail to queue dl_recall
    - i2c: atr: Fix wrong include
    - eventpoll: abstract out ep_try_send_events() helper
    - eventpoll: Set epoll timeout if it's in the future
    - ftrace: fix incorrect hash size in register_ftrace_direct()
    - drm/msm/a6xx+: Don't let IB_SIZE overflow
    - Bluetooth: l2cap: Process valid commands in too long frame
    - Bluetooth: vhci: Avoid needless snprintf() calls
    - btrfs: ioctl: don't free iov when btrfs_encoded_read() returns -EAGAIN
    - btrfs: correctly escape subvol in btrfs_show_options()
    - cpufreq/sched: Explicitly synchronize limits_changed flag handling
    - crypto: caam/qi - Fix drv_ctx refcount bug
    - hfs/hfsplus: fix slab-out-of-bounds in hfs_bnode_read_key
    - i2c: cros-ec-tunnel: defer probe if parent EC is not present
    - isofs: Prevent the use of too small fid
    - lib/iov_iter: fix to increase non slab folio refcount
    - loop: properly send KOBJ_CHANGED uevent for disk device
    - loop: LOOP_SET_FD: send uevents for partitions
    - mm/compaction: fix bug in hugetlb handling pathway
    - mm/gup: fix wrongly calculated returned value in fault_in_safe_writeable()
    - mm: fix filemap_get_folios_contig returning batches of identical folios
    - mm: fix apply_to_existing_page_range()
    - ovl: don't allow datadir only
    - ksmbd: Fix dangling pointer in krb_authenticate
    - ksmbd: fix use-after-free in __smb2_lease_break_noti()
    - ksmbd: fix use-after-free in smb_break_all_levII_oplock()
    - ksmbd: Prevent integer overflow in calculation of deadtime
    - ksmbd: fix the warning from __kernel_write_iter
    - Revert "smb: client: Fix netns refcount imbalance causing leaks and use-
      after-free"
    - Revert "smb: client: fix TCP timers deadlock after rmmod"
    - riscv: Avoid fortify warning in syscall_get_arguments()
    - selftests/mm: generate a temporary mountpoint for cgroup filesystem
    - slab: ensure slab->obj_exts is clear in a newly allocated slab page
    - smb3 client: fix open hardlink on deferred close file error
    - string: Add load_unaligned_zeropad() code path to sized_strscpy()
    - tracing: Fix filter string testing
    - virtiofs: add filesystem context source name check
    - x86/microcode/AMD: Extend the SHA check to Zen5, block loading of any
      unreleased standalone Zen5 microcode patches
    - x86/cpu/amd: Fix workaround for erratum 1054
    - x86/boot/sev: Avoid shared GHCB page for early memory acceptance
    - scsi: megaraid_sas: Block zero-length ATA VPD inquiry
    - scsi: ufs: exynos: Move UFS shareability value to drvdata
    - scsi: ufs: exynos: Disable iocc if dma-coherent property isn't set
    - scsi: ufs: exynos: Ensure consistent phy reference counts
    - RDMA/cma: Fix workqueue crash in cma_netevent_work_handler
    - RAS/AMD/ATL: Include row[13] bit in row retirement
    - RAS/AMD/FMPM: Get masked address
    - platform/x86: amd: pmf: Fix STT limits
    - perf/x86/intel: Allow to update user space GPRs from PEBS records
    - perf/x86/intel/uncore: Fix the scale of IIO free running counters on SNR
    - perf/x86/intel/uncore: Fix the scale of IIO free running counters on ICX
    - perf/x86/intel/uncore: Fix the scale of IIO free running counters on SPR
    - drm/repaper: fix integer overflows in repeat functions
    - drm/ast: Fix ast_dp connection status
    - drm/msm/dsi: Add check for devm_kstrdup()
    - drm/msm/a6xx: Fix stale rpmh votes from GPU
    - drm/amdgpu: Prefer shadow rom when available
    - drm/amd/display: prevent hang on link training fail
    - drm/amd: Handle being compiled without SI or CIK support better
    - drm/amd/display: Actually do immediate vblank disable
    - drm/amd/display: Increase vblank offdelay for PSR panels
    - drm/amd/pm: Prevent division by zero
    - drm/amd/pm/powerplay: Prevent division by zero
    - drm/amd/pm: Add zero RPM enabled OD setting support for SMU14.0.2
    - drm/amd/pm/smu11: Prevent division by zero
    - drm/amd/pm/powerplay/hwmgr/smu7_thermal: Prevent division by zero
    - drm/amd/pm/swsmu/smu13/smu_v13_0: Prevent division by zero
    - drm/amd/pm/powerplay/hwmgr/vega20_thermal: Prevent division by zero
    - drm/amdgpu/mes12: optimize MES pipe FW version fetching
    - drm/i915/vrr: Add vrr.vsync_{start, end} in vrr_params_changed
    - drm/xe: Use local fence in error path of xe_migrate_clear
    - drm/virtio: Don't attach GEM to a non-created context in gem_object_open()
    - drm/amd/display: Add HP Elitebook 645 to the quirk list for eDP on DP1
    - drm/amd/display: Protect FPU in dml2_validate()/dml21_validate()
    - drm/amd/display: Protect FPU in dml21_copy()
    - drm/amdgpu/mes11: optimize MES pipe FW version fetching
    - drm/amdgpu/dma_buf: fix page_link check
    - drm/nouveau: prime: fix ttm_bo_delayed_delete oops
    - drm/imagination: fix firmware memory leaks
    - drm/imagination: take paired job reference
    - drm/virtio: Fix missed dmabuf unpinning in error path of prepare_fb()
    - drm/sti: remove duplicate object names
    - drm/i915: Fix scanline_offset for LNL+ and BMG+
    - drm/xe: Fix an out-of-bounds shift when invalidating TLB
    - Revert "UBUNTU: SAUCE: drm/xe/bmg: Add one additional PCI ID"
    - drm/xe/bmg: Add one additional PCI ID
    - drm/i915/gvt: fix unterminated-string-initialization warning
    - drm/i915/xe2hpd: Identify the memory type for SKUs with GDDR + ECC
    - drm/i915/dp: Reject HBR3 when sink doesn't support TPS4
    - drm/amdgpu: immediately use GTT for new allocations
    - drm/amd/display: Do not enable Replay and PSR while VRR is on in
      amdgpu_dm_commit_planes()
    - drm/amd/display: Protect FPU in dml2_init()/dml21_init()
    - drm/amd/display: Add HP Probook 445 and 465 to the quirk list for eDP on DP1
    - drm/xe/dma_buf: stop relying on placement in unmap
    - drm/xe/userptr: fix notifier vs folio deadlock
    - drm/xe: Set LRC addresses before guc load
    - drm/i915/display: Add macro for checking 3 DSC engines
    - drm/i915/dp: Check for HAS_DSC_3ENGINES while configuring DSC slices
    - drm/amd/display/dml2: use vzalloc rather than kzalloc
    - drm/amdgpu: fix warning of drm_mm_clean
    - drm/mgag200: Fix value in <VBLKSTR> register
    - io_uring: don't post tag CQEs on file/buffer registration failure
    - arm64/sysreg: Update register fields for ID_AA64MMFR0_EL1
    - arm64/sysreg: Add register fields for HDFGRTR2_EL2
    - arm64/sysreg: Add register fields for HDFGWTR2_EL2
    - arm64/sysreg: Add register fields for HFGITR2_EL2
    - arm64/sysreg: Add register fields for HFGRTR2_EL2
    - arm64/sysreg: Add register fields for HFGWTR2_EL2
    - arm64/boot: Enable EL2 requirements for FEAT_PMUv3p9
    - cpufreq: Reference count policy in cpufreq_update_limits()
    - scripts: generate_rust_analyzer: Add ffi crate
    - platform/x86: alienware-wmi-wmax: Add G-Mode support to Alienware m16 R1
    - platform/x86: alienware-wmi-wmax: Extend support to more laptops
    - platform/x86: msi-wmi-platform: Rename "data" variable
    - platform/x86: msi-wmi-platform: Workaround a ACPI firmware bug
    - drm/amd/display: Temporarily disable hostvm on DCN31
    - nvmet-fc: Remove unused functions
    - mm/vma: add give_up_on_oom option on modify/merge, use in uffd release
    - Revert "wifi: ath12k: Fix invalid entry fetch in ath12k_dp_mon_srng_process"
    - MIPS: dec: Declare which_prom() as static
    - MIPS: cevt-ds1287: Add missing ds1287.h include
    - MIPS: ds1287: Match ds1287_set_base_clock() function types
    - wifi: ath12k: Fix invalid entry fetch in ath12k_dp_mon_srng_process
    - Linux 6.14.4
  * Plucky update: v6.14.3 upstream stable release (LP: #2108854)
    - ASoC: Intel: adl: add 2xrt1316 audio configuration
    - cgroup/cpuset: Fix incorrect isolated_cpus update in
      update_parent_effective_cpumask()
    - cgroup/cpuset: Fix error handling in remote_partition_disable()
    - cgroup/cpuset: Fix race between newly created partition and dying one
    - tracing: fprobe: Cleanup fprobe hash when module unloading
    - gpiolib: of: Fix the choice for Ingenic NAND quirk
    - selftests/futex: futex_waitv wouldblock test should fail
    - ublk: fix handling recovery & reissue in ublk_abort_queue()
    - drm/virtio: Fix flickering issue seen with imported dmabufs
    - drm/i915: Disable RPG during live selftest
    - x86/acpi: Don't limit CPUs to 1 for Xen PV guests due to disabled ACPI
    - net: ethtool: fix ethtool_ringparam_get_cfg() returns a hds_thresh value
      always as 0.
    - drm/xe/hw_engine: define sysfs_ops on all directories
    - drm/xe: Restore EIO errno return when GuC PC start fails
    - ata: pata_pxa: Fix potential NULL pointer dereference in pxa_ata_probe()
    - objtool: Fix INSN_CONTEXT_SWITCH handling in validate_unret()
    - tipc: fix memory leak in tipc_link_xmit
    - codel: remove sch->q.qlen check before qdisc_tree_reduce_backlog()
    - net: tls: explicitly disallow disconnect
    - octeontx2-pf: qos: fix VF root node parent queue index
    - tc: Ensure we have enough buffer space when sending filter netlink
      notifications
    - net: ethtool: Don't call .cleanup_data when prepare_data fails
    - drm/tests: modeset: Fix drm_display_mode memory leak
    - drm/tests: helpers: Create kunit helper to destroy a drm_display_mode
    - drm/tests: cmdline: Fix drm_display_mode memory leak
    - drm/tests: modes: Fix drm_display_mode memory leak
    - drm/tests: probe-helper: Fix drm_display_mode memory leak
    - net: libwx: handle page_pool_dev_alloc_pages error
    - cifs: Fix support for WSL-style symlinks
    - ata: sata_sx4: Add error handling in pdc20621_i2c_read()
    - drm/i915/huc: Fix fence not released on early probe errors
    - s390/cpumf: Fix double free on error in cpumf_pmu_event_init()
    - nvmet-fcloop: swap list_add_tail arguments
    - net_sched: sch_sfq: use a temporary work area for validating configuration
    - net_sched: sch_sfq: move the limit validation
    - x86/cpu: Avoid running off the end of an AMD erratum table
    - smb: client: fix UAF in decryption with multichannel
    - net: phy: move phy_link_change() prior to mdio_bus_phy_may_suspend()
    - net: phy: allow MDIO bus PM ops to start/stop state machine for phylink-
      controlled PHY
    - ipv6: Align behavior across nexthops during path selection
    - net: ppp: Add bound checking for skb data on ppp_sync_txmung
    - nft_set_pipapo: fix incorrect avx2 match of 5th field octet
    - ethtool: cmis_cdb: Fix incorrect read / write length extension
    - iommu/exynos: Fix suspend/resume with IDENTITY domain
    - iommu/mediatek: Fix NULL pointer deference in mtk_iommu_device_group
    - net: libwx: Fix the wrong Rx descriptor field
    - perf/core: Simplify the perf_event_alloc() error path
    - perf: Fix hang while freeing sigtrap event
    - fs: consistently deref the files table with rcu_dereference_raw()
    - umount: Allow superblock owners to force umount
    - srcu: Force synchronization for srcu_get_delay()
    - pm: cpupower: bench: Prevent NULL dereference on malloc failure
    - irqchip/gic-v3: Add Rockchip 3568002 erratum workaround
    - [Config] updateconfigs for ROCKCHIP_ERRATUM_3568002
    - x86/mm: Clear _PAGE_DIRTY for kernel mappings when we clear _PAGE_RW
    - x86/percpu: Disable named address spaces for UBSAN_BOOL with KASAN for GCC <
      14.2
    - x86/ia32: Leave NULL selector values 0~3 unchanged
    - x86/cpu: Don't clear X86_FEATURE_LAHF_LM flag in init_amd_k8() on AMD when
      running in a virtual machine
    - perf: arm_pmu: Don't disable counter in armpmu_add()
    - perf/dwc_pcie: fix some unreleased resources
    - perf/dwc_pcie: fix duplicate pci_dev devices
    - PM: hibernate: Avoid deadlock in hibernate_compressor_param_set()
    - Flush console log from kernel_power_off()
    - cpufreq/amd-pstate: Invalidate cppc_req_cached during suspend
    - arm64: cputype: Add QCOM_CPU_PART_KRYO_3XX_GOLD
    - xen/mcelog: Add __nonstring annotations for unterminated strings
    - zstd: Increase DYNAMIC_BMI2 GCC version cutoff from 4.8 to 11.0 to work
      around compiler segfault
    - tracing: Disable branch profiling in noinstr code
    - platform/chrome: cros_ec_lpc: Match on Framework ACPI device
    - ASoC: SOF: topology: Use krealloc_array() to replace krealloc()
    - HID: pidff: Convert infinite length from Linux API to PID standard
    - HID: pidff: Do not send effect envelope if it's empty
    - HID: pidff: Add MISSING_DELAY quirk and its detection
    - HID: pidff: Add MISSING_PBO quirk and its detection
    - HID: pidff: Add PERMISSIVE_CONTROL quirk
    - HID: pidff: Add hid_pidff_init_with_quirks and export as GPL symbol
    - HID: pidff: Add FIX_WHEEL_DIRECTION quirk
    - HID: Add hid-universal-pidff driver and supported device ids
    - [Config] enable new hid-universal-pidff driver module
    - HID: pidff: Add PERIODIC_SINE_ONLY quirk
    - HID: pidff: Fix null pointer dereference in pidff_find_fields
    - ASoC: amd: ps: use macro for ACP6.3 pci revision id
    - ASoC: amd: amd_sdw: Add quirks for Dell SKU's
    - ALSA: hda: intel: Fix Optimus when GPU has no sound
    - ALSA: hda: intel: Add Lenovo IdeaPad Z570 to probe denylist
    - ASoC: fsl_audmix: register card device depends on 'dais' property
    - media: uvcvideo: Add quirk for Actions UVC05
    - HID: lenovo: Fix to ensure the data as __le32 instead of u32
    - media: s5p-mfc: Corrected NV12M/NV21M plane-sizes
    - mmc: dw_mmc: add a quirk for accessing 64-bit FIFOs in two halves
    - ALSA: usb-audio: Fix CME quirk for UF series keyboards
    - ASoC: amd: Add DMI quirk for ACP6X mic support
    - ALSA: hda/realtek: fix micmute LEDs on HP Laptops with ALC3315
    - ALSA: hda/realtek: fix micmute LEDs on HP Laptops with ALC3247
    - ASoC: amd: yc: update quirk data for new Lenovo model
    - platform/x86: x86-android-tablets: Add select POWER_SUPPLY to Kconfig
    - wifi: ath9k: use unsigned long for activity check timestamp
    - wifi: ath11k: Fix DMA buffer allocation to resolve SWIOTLB issues
    - wifi: ath11k: fix memory leak in ath11k_xxx_remove()
    - wifi: ath12k: fix memory leak in ath12k_pci_remove()
    - wifi: ath12k: Fix invalid entry fetch in ath12k_dp_mon_srng_process
    - wifi: ath12k: Avoid memory leak while enabling statistics
    - ata: libata-core: Add 'external' to the libata.force kernel parameter
    - scsi: mpi3mr: Avoid reply queue full condition
    - scsi: mpi3mr: Synchronous access b/w reset and tm thread for reply queue
    - net: page_pool: don't cast mp param to devmem
    - f2fs: don't retry IO for corrupted data scenario
    - wifi: mac80211: add strict mode disabling workarounds
    - wifi: mac80211: ensure sdata->work is canceled before initialized.
    - scsi: target: spc: Fix RSOC parameter data header size
    - net: usb: asix_devices: add FiberGecko DeviceID
    - page_pool: avoid infinite loop to schedule delayed worker
    - can: flexcan: Add quirk to handle separate interrupt lines for mailboxes
    - can: flexcan: add NXP S32G2/S32G3 SoC support
    - jfs: Fix uninit-value access of imap allocated in the diMount() function
    - fs/jfs: cast inactags to s64 to prevent potential overflow
    - fs/jfs: Prevent integer overflow in AG size calculation
    - jfs: Prevent copying of nlink with value 0 from disk inode
    - jfs: add sanity check for agwidth in dbMount
    - wifi: rtw88: Add support for Mercusys MA30N and D-Link DWA-T185 rev. A1
    - ata: libata-eh: Do not use ATAPI DMA for a device limited to PIO mode
    - net: sfp: add quirk for 2.5G OEM BX SFP
    - wifi: ath12k: Fix invalid data access in ath12k_dp_rx_h_undecap_nwifi
    - f2fs: fix to avoid out-of-bounds access in f2fs_truncate_inode_blocks()
    - net: sfp: add quirk for FS SFP-10GM-T copper SFP+ module
    - ahci: add PCI ID for Marvell 88SE9215 SATA Controller
    - ext4: protect ext4_release_dquot against freezing
    - Revert "f2fs: rebuild nat_bits during umount"
    - wifi: mac80211: fix userspace_selectors corruption
    - ext4: ignore xattrs past end
    - cdc_ether|r8152: ThinkPad Hybrid USB-C/A Dock quirk
    - scsi: st: Fix array overflow in st_setup()
    - ahci: Marvell 88SE9215 controllers prefer DMA for ATAPI
    - btrfs: harden block_group::bg_list against list_del() races
    - wifi: mt76: mt76x2u: add TP-Link TL-WDN6200 ID to device table
    - net: vlan: don't propagate flags on open
    - tracing: fix return value in __ftrace_event_enable_disable for
      TRACE_REG_UNREGISTER
    - Bluetooth: btusb: Add new VID/PID for WCN785x
    - Bluetooth: btintel_pcie: Add device id of Whale Peak
    - Bluetooth: btusb: Add 13 USB device IDs for Qualcomm WCN785x
    - Bluetooth: hci_uart: fix race during initialization
    - Bluetooth: btusb: Add 2 HWIDs for MT7922
    - Bluetooth: hci_qca: use the power sequencer for wcn6750
    - Bluetooth: qca: simplify WCN399x NVM loading
    - Bluetooth: qca: add WCN3950 support
    - drm: allow encoder mode_set even when connectors change for crtc
    - drm/virtio: Set missing bo->attached flag
    - drm/rockchip: Don't change hdmi reference clock rate
    - drm/xe/ptl: Update the PTL pci id table
    - drm/xe/pf: Don't send BEGIN_ID if VF has no context/doorbells
    - drm/xe/vf: Don't try to trigger a full GT reset if VF
    - drm/amd/display: Update Cursor request mode to the beginning prefetch always
    - drm/amd/display: Guard Possible Null Pointer Dereference
    - drm/amd/display: add workaround flag to link to force FFE preset
    - drm/amdgpu: Unlocked unmap only clear page table leaves
    - drm: panel-orientation-quirks: Add support for AYANEO 2S
    - drm: panel-orientation-quirks: Add quirks for AYA NEO Flip DS and KB
    - drm: panel-orientation-quirks: Add quirk for AYA NEO Slide
    - drm: panel-orientation-quirks: Add new quirk for GPD Win 2
    - drm: panel-orientation-quirks: Add quirk for OneXPlayer Mini (Intel)
    - drm/debugfs: fix printk format for bridge index
    - drm/bridge: panel: forbid initializing a panel with unknown connector type
    - drm/amd/display: Update FIXED_VS Link Rate Toggle Workaround Usage
    - drm/amd/display: stop DML2 from removing pipes based on planes
    - drivers: base: devres: Allow to release group on device release
    - drm/amdkfd: clamp queue size to minimum
    - drm/amdkfd: Fix mode1 reset crash issue
    - drm/amdkfd: Fix pqm_destroy_queue race with GPU reset
    - drm/amdkfd: debugfs hang_hws skip GPU with MES
    - drm/xe/xelp: Move Wa_16011163337 from tunings to workarounds
    - drm/mediatek: mtk_dpi: Move the input_2p_en bit to platform data
    - drm/mediatek: mtk_dpi: Explicitly manage TVD clock in power on/off
    - drm/rockchip: stop passing non struct drm_device to drm_err() and friends
    - PCI: Add Rockchip Vendor ID
    - drm/amdgpu: handle amdgpu_cgs_create_device() errors in
      amd_powerplay_create()
    - drm/amd/display: Prevent VStartup Overflow
    - PCI: Enable Configuration RRS SV early
    - drm/amdgpu: Fix the race condition for draining retry fault
    - PCI: Check BAR index for validity
    - PCI: vmd: Make vmd_dev::cfg_lock a raw_spinlock_t type
    - drm/amdgpu: grab an additional reference on the gang fence v2
    - fbdev: omapfb: Add 'plane' value check
    - tracing: probe-events: Log error for exceeding the number of arguments
    - tracing: probe-events: Add comments about entry data storing code
    - ktest: Fix Test Failures Due to Missing LOG_FILE Directories
    - tpm, tpm_tis: Workaround failed command reception on Infineon devices
    - tpm: End any active auth session before shutdown
    - pwm: mediatek: Prevent divide-by-zero in pwm_mediatek_config()
    - pwm: rcar: Improve register calculation
    - pwm: fsl-ftm: Handle clk_get_rate() returning 0
    - pwm: stm32: Search an appropriate duty_cycle if period cannot be modified
    - erofs: set error to bio if file-backed IO fails
    - bpf: support SKF_NET_OFF and SKF_LL_OFF on skb frags
    - ext4: don't treat fhandle lookup of ea_inode as FS corruption
    - s390/pci: Fix s390_mmio_read/write syscall page fault handling
    - HID: pidff: Clamp PERIODIC effect period to device's logical range
    - HID: pidff: Stop all effects before enabling actuators
    - HID: pidff: Completely rework and fix pidff_reset function
    - HID: pidff: Simplify pidff_upload_effect function
    - HID: pidff: Define values used in pidff_find_special_fields
    - HID: pidff: Rescale time values to match field units
    - HID: pidff: Factor out code for setting gain
    - HID: pidff: Move all hid-pidff definitions to a dedicated header
    - HID: pidff: Simplify pidff_rescale_signed
    - HID: pidff: Use macros instead of hardcoded min/max values for shorts
    - HID: pidff: Factor out pool report fetch and remove excess declaration
    - HID: pidff: Make sure to fetch pool before checking SIMULTANEOUS_MAX
    - HID: hid-universal-pidff: Add Asetek wheelbases support
    - HID: pidff: Comment and code style update
    - HID: pidff: Support device error response from PID_BLOCK_LOAD
    - HID: pidff: Remove redundant call to pidff_find_special_keys
    - HID: pidff: Rename two functions to align them with naming convention
    - HID: pidff: Clamp effect playback LOOP_COUNT value
    - HID: pidff: Compute INFINITE value instead of using hardcoded 0xffff
    - HID: pidff: Fix 90 degrees direction name North -> East
    - HID: pidff: Fix set_device_control()
    - auxdisplay: hd44780: Fix an API misuse in hd44780.c
    - dt-bindings: media: st,stmipid02: correct lane-polarities maxItems
    - media: mediatek: vcodec: Fix a resource leak related to the scp device in FW
      initialization
    - media: mtk-vcodec: venc: avoid -Wenum-compare-conditional warning
    - media: uapi: rkisp1-config: Fix typo in extensible params example
    - media: mgb4: Fix CMT registers update logic
    - media: i2c: adv748x: Fix test pattern selection mask
    - media: mgb4: Fix switched CMT frequency range "magic values" sets
    - media: intel/ipu6: set the dev_parent of video device to pdev
    - media: venus: hfi: add a check to handle OOB in sfr region
    - media: venus: hfi: add check to handle incorrect queue size
    - media: vim2m: print device name after registering device
    - media: siano: Fix error handling in smsdvb_module_init()
    - media: rockchip: rga: fix rga offset lookup
    - xenfs/xensyms: respect hypervisor's "next" indication
    - KVM: arm64: PMU: Set raw values from user to PM{C,I}NTEN{SET,CLR},
      PMOVS{SET,CLR}
    - arm64: cputype: Add MIDR_CORTEX_A76AE
    - arm64: errata: Add QCOM_KRYO_4XX_GOLD to the spectre_bhb_k24_list
    - arm64: errata: Assume that unknown CPUs _are_ vulnerable to Spectre BHB
    - arm64: errata: Add KRYO 2XX/3XX/4XX silver cores to Spectre BHB safe list
    - KVM: arm64: Tear down vGIC on failed vCPU creation
    - KVM: arm64: Set HCR_EL2.TID1 unconditionally
    - spi: cadence-qspi: Fix probe on AM62A LP SK
    - mtd: rawnand: brcmnand: fix PM resume warning
    - tpm, tpm_tis: Fix timeout handling when waiting for TPM status
    - accel/ivpu: Fix PM related deadlocks in MS IOCTLs
    - media: ov08x40: Properly turn sensor on/off when runtime-suspended
    - media: streamzap: prevent processing IR data on URB failure
    - media: hi556: Fix memory leak (on error) in hi556_check_hwcfg()
    - media: visl: Fix ERANGE error when setting enum controls
    - media: platform: stm32: Add check for clk_enable()
    - media: xilinx-tpg: fix double put in xtpg_parse_of()
    - media: imx219: Adjust PLL settings based on the number of MIPI lanes
    - media: v4l2-dv-timings: prevent possible overflow in v4l2_detect_gtf()
    - Revert "media: imx214: Fix the error handling in imx214_probe()"
    - media: i2c: ccs: Set the device's runtime PM status correctly in remove
    - media: i2c: ccs: Set the device's runtime PM status correctly in probe
    - media: i2c: ov7251: Set enable GPIO low in probe
    - media: i2c: ov7251: Introduce 1 ms delay between regulators and en GPIO
    - media: nuvoton: Fix reference handling of ece_node
    - media: nuvoton: Fix reference handling of ece_pdev
    - media: venus: hfi_parser: add check to avoid out of bound access
    - media: venus: hfi_parser: refactor hfi packet parsing logic
    - media: i2c: imx319: Rectify runtime PM handling probe and remove
    - media: i2c: imx219: Rectify runtime PM handling in probe and remove
    - media: i2c: imx214: Rectify probe error handling related to runtime PM
    - media: chips-media: wave5: Fix gray color on screen
    - media: chips-media: wave5: Avoid race condition in the interrupt handler
    - media: chips-media: wave5: Fix a hang after seeking
    - media: chips-media: wave5: Fix timeout while testing 10bit hevc fluster
    - irqchip/renesas-rzv2h: Fix wrong variable usage in rzv2h_tint_set_type()
    - mptcp: sockopt: fix getting IPV6_V6ONLY
    - mptcp: sockopt: fix getting freebind & transparent
    - block: make sure ->nr_integrity_segments is cloned in blk_rq_prep_clone
    - mtd: Add check for devm_kcalloc()
    - net: dsa: mv88e6xxx: workaround RGMII transmit delay erratum for 6320 family
    - net: dsa: mv88e6xxx: fix internal PHYs for 6320 family
    - mtd: Replace kcalloc() with devm_kcalloc()
    - clocksource/drivers/stm32-lptimer: Use wakeup capable instead of init wakeup
    - Revert "wifi: mt76: mt7925: Update mt7925_mcu_uni_[tx,rx]_ba for MLO"
    - wifi: mt76: Add check for devm_kstrdup()
    - wifi: mt76: mt792x: re-register CHANCTX_STA_CSA only for the mt7921 series
    - wifi: mac80211: fix integer overflow in hwmp_route_info_get()
    - wifi: mt76: mt7925: ensure wow pattern command align fw format
    - wifi: mt76: mt7925: fix country count limitation for CLC
    - wifi: mt76: mt7925: fix the wrong link_idx when a p2p_device is present
    - wifi: mt76: mt7925: fix the wrong simultaneous cap for MLO
    - wifi: mt76: mt7925: adjust rm BSS flow to prevent next connection failure
    - wifi: mt76: mt7925: integrate *mlo_sta_cmd and *sta_cmd
    - wifi: mt76: mt7925: update the power-saving flow
    - scsi: lpfc: Restore clearing of NLP_UNREG_INP in ndlp->nlp_flag
    - net: stmmac: Fix accessing freed irq affinity_hint
    - io_uring/net: fix accept multishot handling
    - io_uring/net: fix io_req_post_cqe abuse by send bundle
    - io_uring/kbuf: reject zero sized provided buffers
    - ASoC: codecs: wcd937x: fix a potential memory leak in
      wcd937x_soc_codec_probe()
    - ASoC: q6apm: add q6apm_get_hw_pointer helper
    - ASoC: q6apm-dai: schedule all available frames to avoid dsp under-runs
    - ASoC: q6apm-dai: make use of q6apm_get_hw_pointer
    - ASoC: qdsp6: q6apm-dai: set 10 ms period and buffer alignment.
    - ASoC: qdsp6: q6apm-dai: fix capture pipeline overruns.
    - ASoC: qdsp6: q6asm-dai: fix q6asm_dai_compr_set_params error path
    - ALSA: hda/realtek: Enable Mute LED on HP OMEN 16 Laptop xd000xx
    - accel/ivpu: Fix warning in ivpu_ipc_send_receive_internal()
    - accel/ivpu: Fix deadlock in ivpu_ms_cleanup()
    - arm/crc-t10dif: fix use of out-of-scope array in crc_t10dif_arch()
    - arm64/crc-t10dif: fix use of out-of-scope array in crc_t10dif_arch()
    - bus: mhi: host: Fix race between unprepare and queue_buf
    - ext4: fix off-by-one error in do_split
    - f2fs: fix the missing write pointer correction
    - f2fs: fix to avoid atomicity corruption of atomic file
    - vdpa/mlx5: Fix oversized null mkey longer than 32bit
    - udf: Fix inode_getblk() return value
    - tpm: do not start chip while suspended
    - svcrdma: do not unregister device for listeners
    - soc: samsung: exynos-chipid: Add NULL pointer check in exynos_chipid_probe()
    - smb311 client: fix missing tcon check when mounting with linux/posix
      extensions
    - ima: limit the number of open-writers integrity violations
    - ima: limit the number of ToMToU integrity violations
    - igc: Fix XSK queue NAPI ID mapping
    - i3c: master: svc: Use readsb helper for reading MDB
    - i3c: Add NULL pointer check in i3c_master_queue_ibi()
    - jbd2: remove wrong sb->s_sequence check
    - kbuild: exclude .rodata.(cst|str)* when building ranges
    - kbuild: Add '-fno-builtin-wcslen'
    - leds: rgb: leds-qcom-lpg: Fix pwm resolution max for Hi-Res PWMs
    - leds: rgb: leds-qcom-lpg: Fix calculation of best period Hi-Res PWMs
    - mfd: ene-kb3930: Fix a potential NULL pointer dereference
    - mailbox: tegra-hsp: Define dimensioning masks in SoC data
    - locking/lockdep: Decrease nr_unused_locks if lock unused in zap_class()
    - lib: scatterlist: fix sg_split_phys to preserve original scatterlist offsets
    - mptcp: fix NULL pointer in can_accept_new_subflow
    - mptcp: only inc MPJoinAckHMacFailure for HMAC failures
    - mtd: inftlcore: Add error check for inftl_read_oob()
    - mtd: rawnand: Add status chack in r852_ready()
    - mtd: spinand: Fix build with gcc < 7.5
    - arm64: mops: Do not dereference src reg for a set operation
    - arm64: tegra: Remove the Orin NX/Nano suspend key
    - arm64: mm: Correct the update of max_pfn
    - arm64: dts: ti: k3-j784s4-j742s2-main-common: Correct the GICD size
    - arm64: dts: ti: k3-j784s4-j742s2-main-common: Fix serdes_ln_ctrl reg-masks
    - arm64: dts: mediatek: mt8188: Assign apll1 clock as parent to avoid hang
    - arm64: dts: mediatek: mt8173: Fix disp-pwm compatible string
    - arm64: dts: exynos: gs101: disable pinctrl_gsacore node
    - backlight: led_bl: Hold led_access lock when calling led_sysfs_disable()
    - btrfs: fix non-empty delayed iputs list on unmount due to compressed write
      workers
    - btrfs: tests: fix chunk map leak after failure to add it to the tree
    - btrfs: zoned: fix zone activation with missing devices
    - btrfs: zoned: fix zone finishing with missing devices
    - iommufd: Fix uninitialized rc in iommufd_access_rw()
    - iommu/tegra241-cmdqv: Fix warnings due to dmam_free_coherent()
    - iommu/vt-d: Put IRTE back into posted MSI mode if vCPU posting is disabled
    - iommu/vt-d: Don't clobber posted vCPU IRTE when host IRQ affinity changes
    - iommu/vt-d: Fix possible circular locking dependency
    - iommu/vt-d: Wire up irq_ack() to irq_move_irq() for posted MSIs
    - sparc/mm: disable preemption in lazy mmu mode
    - sparc/mm: avoid calling arch_enter/leave_lazy_mmu() in set_ptes
    - net: Fix null-ptr-deref by sock_lock_init_class_and_name() and rmmod.
    - mm/damon/ops: have damon_get_folio return folio even for tail pages
    - mm/damon: avoid applying DAMOS action to same entity multiple times
    - mm/rmap: reject hugetlb folios in folio_make_device_exclusive()
    - mm: make page_mapped_in_vma() hugetlb walk aware
    - mm: fix lazy mmu docs and usage
    - mm/mremap: correctly handle partial mremap() of VMA starting at 0
    - mm: add missing release barrier on PGDAT_RECLAIM_LOCKED unlock
    - mm/userfaultfd: fix release hang over concurrent GUP
    - mm/hwpoison: do not send SIGBUS to processes with recovered clean pages
    - mm/hugetlb: move hugetlb_sysctl_init() to the __init section
    - mm/hwpoison: introduce folio_contain_hwpoisoned_page() helper
    - sctp: detect and prevent references to a freed transport in sendmsg
    - x86/xen: fix balloon target initialization for PVH dom0
    - uprobes: Avoid false-positive lockdep splat on CONFIG_PREEMPT_RT=y in the
      ri_timer() uprobe timer callback, use raw_write_seqcount_*()
    - tracing: fprobe: Fix to lock module while registering fprobe
    - tracing: fprobe events: Fix possible UAF on modules
    - tracing: Do not add length to print format in synthetic events
    - thermal/drivers/rockchip: Add missing rk3328 mapping entry
    - CIFS: Propagate min offload along with other parameters from primary to
      secondary channels.
    - cifs: avoid NULL pointer dereference in dbg call
    - cifs: fix integer overflow in match_server()
    - cifs: Ensure that all non-client-specific reparse points are processed by
      the server
    - clk: renesas: r9a07g043: Fix HP clock source for RZ/Five
    - clk: qcom: clk-branch: Fix invert halt status bit check for votable clocks
    - clk: qcom: gdsc: Release pm subdomains in reverse add order
    - clk: qcom: gdsc: Capture pm_genpd_add_subdomain result code
    - clk: qcom: gdsc: Set retain_ff before moving to HW CTRL
    - crypto: ccp - Fix check for the primary ASP device
    - crypto: ccp - Fix uAPI definitions of PSP errors
    - dlm: fix error if inactive rsb is not hashed
    - dlm: fix error if active rsb is not hashed
    - dm-ebs: fix prefetch-vs-suspend race
    - dm-integrity: set ti->error on memory allocation failure
    - dm-integrity: fix non-constant-time tag verification
    - dm-verity: fix prefetch-vs-suspend race
    - dt-bindings: coresight: qcom,coresight-tpda: Fix too many 'reg'
    - dt-bindings: coresight: qcom,coresight-tpdm: Fix too many 'reg'
    - firmware: cs_dsp: test_control_parse: null-terminate test strings
    - ftrace: Add cond_resched() to ftrace_graph_set_hash()
    - ftrace: Properly merge notrace hashes
    - fuse: {io-uring} Fix a possible req cancellation race
    - gpio: mpc8xxx: Fix wakeup source leaks on device unbind
    - gpio: tegra186: fix resource handling in ACPI probe path
    - gpio: zynq: Fix wakeup source leaks on device unbind
    - gve: handle overflow when reporting TX consumed descriptors
    - KVM: Allow building irqbypass.ko as as module when kvm.ko is a module
    - [Config] updateconfigs for HAVE_KVM_IRQ_BYPASS
    - KVM: x86: Explicitly zero-initialize on-stack CPUID unions
    - KVM: x86: Acquire SRCU in KVM_GET_MP_STATE to protect guest memory accesses
    - landlock: Move code to ease future backports
    - landlock: Add the errata interface
    - landlock: Add erratum for TCP fix
    - landlock: Always allow signals between threads of the same process
    - landlock: Prepare to add second errata
    - selftests/landlock: Split signal_scoping_threads tests
    - selftests/landlock: Add a new test for setuid()
    - misc: pci_endpoint_test: Avoid issue of interrupts remaining after
      request_irq error
    - misc: pci_endpoint_test: Fix displaying 'irq_type' after 'request_irq' error
    - misc: pci_endpoint_test: Fix 'irq_type' to convey the correct type
    - net: mana: Switch to page pool for jumbo frames
    - ntb: use 64-bit arithmetic for the MSI doorbell mask
    - of/irq: Fix device node refcount leakage in API of_irq_parse_one()
    - of/irq: Fix device node refcount leakage in API of_irq_parse_raw()
    - of/irq: Fix device node refcount leakages in of_irq_count()
    - of/irq: Fix device node refcount leakage in API irq_of_parse_and_map()
    - of/irq: Fix device node refcount leakages in of_irq_init()
    - PCI: brcmstb: Fix missing of_node_put() in brcm_pcie_probe()
    - PCI: j721e: Fix the value of .linkdown_irq_regfield for J784S4
    - PCI: layerscape: Fix arg_count to syscon_regmap_lookup_by_phandle_args()
    - PCI: pciehp: Avoid unnecessary device replacement check
    - PCI: Fix reference leak in pci_alloc_child_bus()
    - PCI: Fix reference leak in pci_register_host_bridge()
    - PCI: Fix wrong length of devres array
    - phy: freescale: imx8m-pcie: assert phy reset and perst in power off
    - pinctrl: qcom: Clear latched interrupt status when changing IRQ type
    - pinctrl: samsung: add support for eint_fltcon_offset
    - ring-buffer: Use flush_kernel_vmap_range() over flush_dcache_folio()
    - s390/pci: Fix zpci_bus_is_isolated_vf() for non-VFs
    - s390/virtio_ccw: Don't allocate/assign airqs for non-existing queues
    - s390: Fix linker error when -no-pie option is unavailable
    - sched_ext: create_dsq: Return -EEXIST on duplicate request
    - selftests: mptcp: close fd_in before returning in main_loop
    - selftests: mptcp: fix incorrect fd checks in main_loop
    - spi: fsl-qspi: use devm function instead of driver remove
    - spi: fsl-qspi: Fix double cleanup in probe error path
    - thermal/drivers/mediatek/lvts: Disable monitor mode during suspend
    - thermal/drivers/mediatek/lvts: Disable Stage 3 thermal threshold
    - wifi: ath11k: update channel list in worker when wait flag is set
    - arm64: errata: Add newer ARM cores to the spectre_bhb_loop_affected() lists
    - iommufd: Make attach_handle generic than fault specific
    - iommufd: Fail replace if device has not been attached
    - x86/e820: Fix handling of subpage regions when calculating nosave ranges in
      e820__register_nosave_regions()
    - Bluetooth: hci_uart: Fix another race during initialization
    - Linux 6.14.3
  * Plucky update: v6.14.3 upstream stable release (LP: #2108854) //
    CVE-2025-37838
    - HSI: ssi_protocol: Fix use after free vulnerability in ssi_protocol Driver
      Due to Race Condition
  * Introduce configfs-based interface for gpio-aggregator (LP: #2103496)
    - SAUCE: gpio: aggregator: fix "_sysfs" prefix check in
      gpio_aggregator_make_group()
    - SAUCE: gpio: aggregator: Fix gpio_aggregator_line_alloc() checking
    - SAUCE: gpio: aggregator: Return an error if there are no GPIOs in
      gpio_aggregator_parse()
    - SAUCE: gpio: aggregator: Fix error code in gpio_aggregator_activate()
    - SAUCE: gpio: aggregator: Fix leak in gpio_aggregator_parse()
    - SAUCE: selftests: gpio: gpio-aggregator: add a test case for _sysfs prefix
      reservation
  * [SRU] Fix screen flickering in inverted display mode (LP: #2103617)
    - drm/xe/display: Fix fbdev GGTT mapping handling.
  * System could not hit hardware sleep state with specific panel with AMD
    KRK/STX under DC mode (LP: #2103480)
    - drm/amd/display: Add and use new dm_prepare_suspend() callback
  * WARNING: CPU: 18 PID: 3683 at arch/powerpc/kvm/../../../virt/kvm/vfio.c Call
    Traces seen when pci device is detached from the kvm guest (LP: #2104893)
    - KVM: PPC: Enable CAP_SPAPR_TCE_VFIO on pSeries KVM guests
  * [SRU] Enable speaker/mic mute LEDs on Lenovo ideapad and thinkbook
    (LP: #2106449)
    - platform/x86:lenovo-wmi-hotkey-utilities.c: Support for mic and audio mute
      LEDs
    - [Config] Enable Lenovo wmi hotkey driver
  * OLED panel screen backlight brightness does not change with brightness
    hotkey(F6&F7 Key) (LP: #2097818)
    - drm/dp: Add eDP 1.5 bit definition
    - drm/dp: Increase eDP display control capability size
    - drm/i915/backlight: Use proper interface based on eDP version
    - drm/i915/backlight: Check Luminance based brightness control for VESA
    - drm/i915/backlight: Modify function to get VESA brightness in Nits
    - drm/i915/backlight: Add function to change brightness in nits for VESA
    - drm/i915/backlight: Setup nits based luminance via VESA
    - drm/i915/backlight: Enable nits based luminance
  * Plucky update: v6.14.2 upstream stable release (LP: #2107212)
    - fs: support O_PATH fds with FSCONFIG_SET_FD
    - watch_queue: fix pipe accounting mismatch
    - x86/mm/pat: cpa-test: fix length for CPA_ARRAY test
    - m68k: sun3: Use str_read_write() helper in mmu_emu_handle_fault()
    - m68k: sun3: Fix DEBUG_MMU_EMU build
    - cpufreq: scpi: compare kHz instead of Hz
    - seccomp: fix the __secure_computing() stub for !HAVE_ARCH_SECCOMP_FILTER
    - smack: dont compile ipv6 code unless ipv6 is configured
    - smack: ipv4/ipv6: tcp/dccp/sctp: fix incorrect child socket label
    - sched: Cancel the slice protection of the idle entity
    - sched/eevdf: Force propagating min_slice of cfs_rq when {en,de}queue tasks
    - cpufreq: governor: Fix negative 'idle_time' handling in dbs_update()
    - EDAC/igen6: Fix the flood of invalid error reports
    - EDAC/{skx_common,i10nm}: Fix some missing error reports on Emerald Rapids
    - x86/vdso: Fix latent bug in vclock_pages calculation
    - x86/fpu: Fix guest FPU state buffer allocation size
    - cpufreq/amd-pstate: Modify the min_perf calculation in adjust_perf callback
    - cpufreq/amd-pstate: Pass min/max_limit_perf as min/max_perf to
      amd_pstate_update
    - cpufreq/amd-pstate: Convert all perf values to u8
    - cpufreq/amd-pstate: Add missing NULL ptr check in amd_pstate_update
    - x86/fpu: Avoid copying dynamic FP state from init_task in
      arch_dup_task_struct()
    - rseq: Update kernel fields in lockstep with CONFIG_DEBUG_RSEQ=y
    - x86/platform: Only allow CONFIG_EISA for 32-bit
    - [Config] updateconfigs for HAVE_EISA
    - x86/sev: Add missing RIP_REL_REF() invocations during sme_enable()
    - lockdep/mm: Fix might_fault() lockdep check of current->mm->mmap_lock
    - PM: sleep: Adjust check before setting power.must_resume
    - cpufreq: tegra194: Allow building for Tegra234
    - RISC-V: KVM: Disable the kernel perf counter during configure
    - kunit/stackinit: Use fill byte different from Clang i386 pattern
    - watchdog/hardlockup/perf: Fix perf_event memory leak
    - x86/split_lock: Fix the delayed detection logic
    - selinux: Chain up tool resolving errors in install_policy.sh
    - EDAC/ie31200: Fix the size of EDAC_MC_LAYER_CHIP_SELECT layer
    - EDAC/ie31200: Fix the DIMM size mask for several SoCs
    - EDAC/ie31200: Fix the error path order of ie31200_init()
    - dma: Fix encryption bit clearing for dma_to_phys
    - dma: Introduce generic dma_addr_*crypted helpers
    - arm64: realm: Use aliased addresses for device DMA to shared buffers
    - x86/resctrl: Fix allocation of cleanest CLOSID on platforms with no monitors
    - cpuidle: Init cpuidle only for present CPUs
    - thermal: int340x: Add NULL check for adev
    - PM: sleep: Fix handling devices with direct_complete set on errors
    - lockdep: Don't disable interrupts on RT in disable_irq_nosync_lockdep.*()
    - cpufreq: Init cpufreq only for present CPUs
    - perf/ring_buffer: Allow the EPOLLRDNORM flag for poll
    - perf: Save PMU specific data in task_struct
    - perf: Supply task information to sched_task()
    - perf/x86/lbr: Fix shorter LBRs call stacks for the system-wide mode
    - sched/deadline: Ignore special tasks when rebuilding domains
    - sched/topology: Wrappers for sched_domains_mutex
    - sched/deadline: Generalize unique visiting of root domains
    - sched/deadline: Rebuild root domain accounting after every update
    - x86/traps: Make exc_double_fault() consistently noreturn
    - x86/fpu/xstate: Fix inconsistencies in guest FPU xfeatures
    - x86/entry: Add __init to ia32_emulation_override_cmdline()
    - RISC-V: KVM: Teardown riscv specific bits after kvm_exit
    - regulator: pca9450: Fix enable register for LDO5
    - auxdisplay: MAX6959 should select BITREVERSE
    - media: verisilicon: HEVC: Initialize start_bit field
    - media: platform: allgro-dvt: unregister v4l2_device on the error path
    - auxdisplay: panel: Fix an API misuse in panel.c
    - platform/x86: lenovo-yoga-tab2-pro-1380-fastcharger: Make symbol static
    - platform/x86: dell-uart-backlight: Make dell_uart_bl_serdev_driver static
    - platform/x86: dell-ddv: Fix temperature calculation
    - ASoC: cs35l41: check the return value from spi_setup()
    - ASoC: amd: acp: Fix for enabling DMIC on acp platforms via _DSD entry
    - HID: remove superfluous (and wrong) Makefile entry for
      CONFIG_INTEL_ISH_FIRMWARE_DOWNLOADER
    - ASoC: simple-card-utils: Don't use __free(device_node) at
      graph_util_parse_dai()
    - dt-bindings: vendor-prefixes: add GOcontroll
    - ALSA: hda/realtek: Always honor no_shutup_pins
    - ASoC: tegra: Use non-atomic timeout for ADX status register
    - ASoC: ti: j721e-evm: Fix clock configuration for ti,j7200-cpb-audio
      compatible
    - ALSA: usb-audio: separate DJM-A9 cap lvl options
    - ALSA: timer: Don't take register_mutex with copy_from/to_user()
    - ALSA: hda/realtek: Fix built-in mic assignment on ASUS VivoBook X515UA
    - wifi: rtw89: Correct immediate cfg_len calculation for scan_offload_be
    - wifi: ath12k: fix skb_ext_desc leak in ath12k_dp_tx() error path
    - wifi: ath12k: encode max Tx power in scan channel list command
    - wifi: ath12k: Fix pdev lookup in WBM error processing
    - wifi: ath9k: do not submit zero bytes to the entropy pool
    - wifi: ath11k: fix wrong overriding for VHT Beamformee STS Capability
    - arm64: dts: mediatek: mt8173-elm: Drop pmic's #address-cells and #size-cells
    - arm64: dts: mediatek: mt8173: Fix some node names
    - wifi: ath11k: update channel list in reg notifier instead reg worker
    - ARM: dts: omap4-panda-a4: Add missing model and compatible properties
    - f2fs: quota: fix to avoid warning in dquot_writeback_dquots()
    - dlm: prevent NPD when writing a positive value to event_done
    - wifi: ath11k: fix RCU stall while reaping monitor destination ring
    - wifi: ath11k: add srng->lock for ath11k_hal_srng_* in monitor mode
    - wifi: ath12k: Fix locking in "QMI firmware ready" error paths
    - f2fs: fix to avoid panic once fallocation fails for pinfile
    - scsi: mpt3sas: Reduce log level of ignore_delay_remove message to KERN_INFO
    - md: ensure resync is prioritized over recovery
    - md/raid1: fix memory leak in raid1_run() if no active rdev
    - coredump: Fixes core_pipe_limit sysctl proc_handler
    - io_uring/io-wq: eliminate redundant io_work_get_acct() calls
    - io_uring/io-wq: cache work->flags in variable
    - io_uring/io-wq: do not use bogus hash value
    - io_uring: check for iowq alloc_workqueue failure
    - io_uring/net: improve recv bundles
    - firmware: arm_ffa: Refactor addition of partition information into XArray
    - firmware: arm_ffa: Unregister the FF-A devices when cleaning up the
      partitions
    - arm64: dts: mediatek: mt6359: fix dtbs_check error for audio-codec
    - scsi: mpi3mr: Fix locking in an error path
    - scsi: mpt3sas: Fix a locking bug in an error path
    - can: rockchip_canfd: rkcanfd_chip_fifo_setup(): remove duplicated setup of
      RX FIFO
    - jfs: reject on-disk inodes of an unsupported type
    - jfs: add check read-only before txBeginAnon() call
    - jfs: add check read-only before truncation in jfs_truncate_nolock()
    - wifi: ath12k: Add missing htt_metadata flag in ath12k_dp_tx()
    - wifi: rtw89: rtw8852b{t}: fix TSSI debug timestamps
    - xfrm: delay initialization of offload path till its actually requested
    - iommu/io-pgtable-dart: Only set subpage protection disable for DART 1
    - firmware: arm_ffa: Explicitly cast return value from FFA_VERSION before
      comparison
    - firmware: arm_ffa: Explicitly cast return value from NOTIFICATION_INFO_GET
    - arm64: dts: renesas: r8a774c0: Re-add voltages to OPP table
    - arm64: dts: renesas: r8a77990: Re-add voltages to OPP table
    - firmware: arm_ffa: Skip the first/partition ID when parsing vCPU list
    - arm64: dts: ti: k3-j722s-evm: Fix USB2.0_MUX_SEL to select Type-C
    - wifi: ath12k: use link specific bss_conf as well in
      ath12k_mac_vif_cache_flush()
    - arm64: dts: imx8mp-skov: correct PMIC board limits
    - arm64: dts: imx8mp-skov: operate CPU at 850 mV by default
    - arm64: dts: mediatek: mt8390-genio-700-evk: Move common parts to dtsi
    - arm64: dts: mediatek: mt8390-genio-common: Fix duplicated regulator name
    - wifi: ath11k: Clear affinity hint before calling ath11k_pcic_free_irq() in
      error path
    - wifi: ath12k: Clear affinity hint before calling ath12k_pci_free_irq() in
      error path
    - f2fs: fix to set .discard_granularity correctly
    - f2fs: add check for deleted inode
    - arm64: dts: ti: k3-am62-verdin-dahlia: add Microphone Jack to sound card
    - f2fs: fix potential deadloop in prepare_compress_overwrite()
    - f2fs: fix to call f2fs_recover_quota_end() correctly
    - md: fix mddev uaf while iterating all_mddevs list
    - md/raid1,raid10: don't ignore IO flags
    - md/md-bitmap: fix wrong bitmap_limit for clustermd when write sb
    - tracing: Fix DECLARE_TRACE_CONDITION
    - tools/rv: Keep user LDFLAGS in build
    - arm64: dts: ti: k3-am62p: Enable AUDIO_REFCLKx
    - arm64: dts: ti: k3-am62p: fix pinctrl settings
    - arm64: dts: ti: k3-j722s: fix pinctrl settings
    - wifi: rtw89: fw: correct debug message format in
      rtw89_build_txpwr_trk_tbl_from_elm()
    - wifi: rtw89: pci: correct ISR RDU bit for 8922AE
    - blk-throttle: fix lower bps rate by throtl_trim_slice()
    - soc: mediatek: mtk-mmsys: Fix MT8188 VDO1 DPI1 output selection
    - soc: mediatek: mt8167-mmsys: Fix missing regval in all entries
    - soc: mediatek: mt8365-mmsys: Fix routing table masks and values
    - md/raid10: wait barrier before returning discard request with REQ_NOWAIT
    - block: ensure correct integrity capability propagation in stacked devices
    - block: Correctly initialize BLK_INTEGRITY_NOGENERATE and
      BLK_INTEGRITY_NOVERIFY
    - badblocks: Fix error shitf ops
    - badblocks: factor out a helper try_adjacent_combine
    - badblocks: attempt to merge adjacent badblocks during ack_all_badblocks
    - badblocks: return error directly when setting badblocks exceeds 512
    - badblocks: return error if any badblock set fails
    - badblocks: fix the using of MAX_BADBLOCKS
    - badblocks: fix merge issue when new badblocks align with pre+1
    - badblocks: fix missing bad blocks on retry in _badblocks_check()
    - badblocks: return boolean from badblocks_set() and badblocks_clear()
    - badblocks: use sector_t instead of int to avoid truncation of badblocks
      length
    - firmware: arm_scmi: use ioread64() instead of ioread64_hi_lo()
    - net: airoha: Fix lan4 support in airoha_qdma_get_gdm_port()
    - iommu/amd: Fix header file
    - iommu/vt-d: Fix system hang on reboot -f
    - memory: mtk-smi: Add ostd setting for mt8192
    - gfs2: minor evict fix
    - gfs2: skip if we cannot defer delete
    - ARM: dts: imx6ul-tqma6ul1: Change include order to disable fec2 node
    - arm64: dts: imx8mp: add AUDIO_AXI_CLK_ROOT to AUDIOMIX block
    - arm64: dts: imx8mp: change AUDIO_AXI_CLK_ROOT freq. to 800MHz
    - f2fs: fix to avoid accessing uninitialized curseg
    - iommu: Handle race with default domain setup
    - wifi: mac80211: remove SSID from ML reconf
    - f2fs: fix to avoid running out of free segments
    - block: fix adding folio to bio
    - ext4: fix potential null dereference in ext4 kunit test
    - ext4: convert EXT4_FLAGS_* defines to enum
    - ext4: add EXT4_FLAGS_EMERGENCY_RO bit
    - ext4: correct behavior under errors=remount-ro mode
    - ext4: show 'emergency_ro' when EXT4_FLAGS_EMERGENCY_RO is set
    - arm64: dts: rockchip: Move rk356x scmi SHMEM to reserved memory
    - arm64: dts: rockchip: Remove bluetooth node from rock-3a
    - bus: qcom-ssc-block-bus: Remove some duplicated iounmap() calls
    - bus: qcom-ssc-block-bus: Fix the error handling path of
      qcom_ssc_block_bus_probe()
    - arm64: dts: rockchip: Fix pcie reset gpio on Orange Pi 5 Max
    - arm64: dts: rockchip: Fix PWM pinctrl names
    - arm64: dts: rockchip: remove ethm0_clk0_25m_out from Sige5 gmac0
    - erofs: allow 16-byte volume name again
    - ext4: add missing brelse() for bh2 in ext4_dx_add_entry()
    - ext4: verify fast symlink length
    - f2fs: fix missing discard for active segments
    - scsi: hisi_sas: Fixed failure to issue vendor specific commands
    - scsi: target: tcm_loop: Fix wrong abort tag
    - ext4: introduce ITAIL helper
    - ext4: fix out-of-bound read in ext4_xattr_inode_dec_ref_all()
    - ext4: goto right label 'out_mmap_sem' in ext4_setattr()
    - jbd2: fix off-by-one while erasing journal
    - ata: libata: Fix NCQ Non-Data log not supported print
    - wifi: nl80211: store chandef on the correct link when starting CAC
    - wifi: mac80211: check basic rates validity in sta_link_apply_parameters
    - wifi: cfg80211: init wiphy_work before allocating rfkill fails
    - wifi: mwifiex: Fix premature release of RF calibration data.
    - wifi: mwifiex: Fix RF calibration data download from file
    - ice: health.c: fix compilation on gcc 7.5
    - ice: ensure periodic output start time is in the future
    - ice: fix reservation of resources for RDMA when disabled
    - virtchnl: make proto and filter action count unsigned
    - ice: stop truncating queue ids when checking
    - ice: validate queue quanta parameters to prevent OOB access
    - ice: fix input validation for virtchnl BW
    - ice: fix using untrusted value of pkt_len in ice_vc_fdir_parse_raw()
    - idpf: check error for register_netdev() on init
    - btrfs: get used bytes while holding lock at btrfs_reclaim_bgs_work()
    - btrfs: fix reclaimed bytes accounting after automatic block group reclaim
    - btrfs: fix block group refcount race in btrfs_create_pending_block_groups()
    - btrfs: don't clobber ret in btrfs_validate_super()
    - wifi: mt76: mt7915: fix possible integer overflows in
      mt7915_muru_stats_show()
    - igb: reject invalid external timestamp requests for 82580-based HW
    - renesas: reject PTP_STRICT_FLAGS as unsupported
    - net: lan743x: reject unsupported external timestamp requests
    - broadcom: fix supported flag check in periodic output function
    - ptp: ocp: reject unsupported periodic output flags
    - nvmet: pci-epf: Always configure BAR0 as 64-bit
    - jbd2: add a missing data flush during file and fs synchronization
    - ext4: define ext4_journal_destroy wrapper
    - ext4: avoid journaling sb update on error if journal is destroying
    - eth: bnxt: fix out-of-range access of vnic_info array
    - net: Remove RTNL dance for SIOCBRADDIF and SIOCBRDELIF.
    - netfilter: nfnetlink_queue: Initialize ctx to avoid memory allocation error
    - netfilter: nf_tables: Only use nf_skip_indirect_calls() when
      MITIGATION_RETPOLINE
    - ax25: Remove broken autobind
    - net/mlx5e: Fix ethtool -N flow-type ip4 to RSS context
    - bnxt_en: Mask the bd_cnt field in the TX BD properly
    - bnxt_en: Linearize TX SKB if the fragments exceed the max
    - net: dsa: mv88e6xxx: fix atu_move_port_mask for 6341 family
    - net: dsa: mv88e6xxx: enable PVT for 6321 switch
    - net: dsa: mv88e6xxx: enable .port_set_policy() for 6320 family
    - net: dsa: mv88e6xxx: fix VTU methods for 6320 family
    - net: dsa: mv88e6xxx: enable STU methods for 6320 family
    - mlxsw: spectrum_acl_bloom_filter: Workaround for some LLVM versions
    - net: dsa: sja1105: fix displaced ethtool statistics counters
    - net: dsa: sja1105: reject other RX filters than
      HWTSTAMP_FILTER_PTP_V2_L2_EVENT
    - net: dsa: sja1105: fix kasan out-of-bounds warning in
      sja1105_table_delete_entry()
    - net/mlx5: LAG, reload representors on LAG creation failure
    - net/mlx5: Start health poll after enable hca
    - vmxnet3: unregister xdp rxq info in the reset path
    - bonding: check xdp prog when set bond mode
    - ibmvnic: Use kernel helpers for hex dumps
    - net: fix NULL pointer dereference in l3mdev_l3_rcv
    - virtio_net: Fix endian with virtio_net_ctrl_rss
    - Bluetooth: Add quirk for broken READ_VOICE_SETTING
    - Bluetooth: Add quirk for broken READ_PAGE_SCAN_TYPE
    - Bluetooth: btusb: Fix regression in the initialization of fake Bluetooth
      controllers
    - Bluetooth: hci_core: Enable buffer flow control for SCO/eSCO
    - Bluetooth: HCI: Add definition of hci_rp_remote_name_req_cancel
    - rwonce: handle KCSAN like KASAN in read_word_at_a_time()
    - net: dsa: microchip: fix DCB apptrust configuration on KSZ88x3
    - Bluetooth: btnxpuart: Fix kernel panic during FW release
    - Bluetooth: hci_event: Fix handling of HCI_EV_LE_DIRECT_ADV_REPORT
    - net: Fix the devmem sock opts and msgs for parisc
    - net: libwx: fix Tx descriptor content for some tunnel packets
    - net: libwx: fix Tx L4 checksum
    - rwonce: fix crash by removing READ_ONCE() for unaligned read
    - drm/bridge: ti-sn65dsi86: Fix multiple instances
    - drm/ssd130x: Set SPI .id_table to prevent an SPI core warning
    - accel/amdxdna: Return error when setting clock failed for npu1
    - drm/panthor: Fix a race between the reset and suspend path
    - drm/ssd130x: fix ssd132x encoding
    - drm/ssd130x: ensure ssd132x pitch is correct
    - drm/dp_mst: Fix drm RAD print
    - drm/bridge: it6505: fix HDCP V match check is not performed correctly
    - drm/panthor: Fix race condition when gathering fdinfo group samples
    - drm: xlnx: zynqmp: Fix max dma segment size
    - drm: xlnx: zynqmp_dpsub: Add NULL check in zynqmp_audio_init
    - drm: zynqmp_dp: Fix a deadlock in zynqmp_dp_ignore_hpd_set()
    - drm/vkms: Fix use after free and double free on init error
    - gpu: cdns-mhdp8546: fix call balance of mhdp->clk handling routines
    - drm/amdgpu: refine smu send msg debug log format
    - drm/amdgpu/umsch: remove vpe test from umsch
    - drm/amdgpu/umsch: declare umsch firmware
    - drm/amdgpu/umsch: fix ucode check
    - drm/amdgpu/vcn5.0.1: use correct dpm helper
    - PCI: Use downstream bridges for distributing resources
    - PCI: Remove add_align overwrite unrelated to size0
    - PCI: Simplify size1 assignment logic
    - PCI: Allow relaxed bridge window tail sizing for optional resources
    - drm/mediatek: mtk_hdmi: Unregister audio platform device on failure
    - drm/mediatek: mtk_hdmi: Fix typo for aud_sampe_size member
    - drm/amdgpu: Replace Mutex with Spinlock for RLCG register access to avoid
      Priority Inversion in SRIOV
    - PCI/ASPM: Fix link state exit during switch upstream function removal
    - drm/panel: ilitek-ili9882t: fix GPIO name in error message
    - PCI/ACS: Fix 'pci=config_acs=' parameter
    - drm/amd/display: fix an indent issue in DML21
    - drm/msm/dpu: don't use active in atomic_check()
    - drm/msm/dsi/phy: Program clock inverters in correct register
    - drm/msm/dsi: Use existing per-interface slice count in DSC timing
    - drm/msm/dsi: Set PHY usescase (and mode) before registering DSI host
    - drm/msm/dpu: Fall back to a single DSC encoder (1:1:1) on small SoCs
    - drm/msm/dpu: Remove arbitrary limit of 1 interface in DSC topology
    - drm/msm/gem: Fix error code msm_parse_deps()
    - drm/amdkfd: Fix Circular Locking Dependency in
      'svm_range_cpu_invalidate_pagetables'
    - PCI: mediatek-gen3: Configure PBUS_CSR registers for EN7581 SoC
    - PCI: cadence-ep: Fix the driver to send MSG TLP for INTx without data
      payload
    - PCI: brcmstb: Set generation limit before PCIe link up
    - PCI: brcmstb: Use internal register to change link capability
    - PCI: brcmstb: Fix error path after a call to regulator_bulk_get()
    - PCI: brcmstb: Fix potential premature regulator disabling
    - selftests/pcie_bwctrl: Add 'set_pcie_speed.sh' to TEST_PROGS
    - PCI/portdrv: Only disable pciehp interrupts early when needed
    - PCI: Avoid reset when disabled via sysfs
    - drm/msm/dpu: move needs_cdm setting to dpu_encoder_get_topology()
    - drm/msm/dpu: simplify dpu_encoder_get_topology() interface
    - drm/msm/dpu: don't set crtc_state->mode_changed from atomic_check()
    - drm/panthor: Update CS_STATUS_ defines to correct values
    - drm/file: Add fdinfo helper for printing regions with prefix
    - drm/panthor: Expose size of driver internal BO's over fdinfo
    - drm/panthor: Replace sleep locks with spinlocks in fdinfo path
    - drm/panthor: Avoid sleep locking in the internal BO size path
    - drm/panthor: Clean up FW version information display
    - drm/amd/display: fix type mismatch in CalculateDynamicMetadataParameters()
    - drm/msm/a6xx: Fix a6xx indexed-regs in devcoreduump
    - powerpc/perf: Fix ref-counting on the PMU 'vpa_pmu'
    - misc: pci_endpoint_test: Fix pci_endpoint_test_bars_read_bar() error
      handling
    - misc: pci_endpoint_test: Handle BAR sizes larger than INT_MAX
    - PCI: endpoint: pci-epf-test: Handle endianness properly
    - crypto: powerpc: Mark ghashp8-ppc.o as an OBJECT_FILES_NON_STANDARD
    - powerpc/kexec: fix physical address calculation in clear_utlb_entry()
    - PCI: Remove stray put_device() in pci_register_host_bridge()
    - PCI: xilinx-cpm: Fix IRQ domain leak in error path of probe
    - drm/mediatek: Fix config_updating flag never false when no mbox channel
    - drm/mediatek: dp: drm_err => dev_err in HPD path to avoid NULL ptr
    - drm/mediatek: dsi: fix error codes in mtk_dsi_host_transfer()
    - drm/amd/display: avoid NPD when ASIC does not support DMUB
    - PCI: dwc: ep: Return -ENOMEM for allocation failures
    - PCI: histb: Fix an error handling path in histb_pcie_probe()
    - PCI: Fix BAR resizing when VF BARs are assigned
    - drm/amdgpu/mes: optimize compute loop handling
    - drm/amdgpu/mes: enable compute pipes across all MEC
    - PCI: pciehp: Don't enable HPIE when resuming in poll mode
    - PCI/bwctrl: Fix pcie_bwctrl_select_speed() return type
    - io_uring/net: only import send_zc buffer once
    - PCI: Fix NULL dereference in SR-IOV VF creation error path
    - io_uring: use lockless_cq flag in io_req_complete_post()
    - io_uring: fix retry handling off iowq
    - fbdev: au1100fb: Move a variable assignment behind a null pointer check
    - dummycon: fix default rows/cols
    - mdacon: rework dependency list
    - fbdev: sm501fb: Add some geometry checks.
    - crypto: iaa - Test the correct request flag
    - crypto: qat - set parity error mask for qat_420xx
    - crypto: tegra - Use separate buffer for setkey
    - crypto: tegra - Do not use fixed size buffers
    - crypto: tegra - check return value for hash do_one_req
    - crypto: tegra - Transfer HASH init function to crypto engine
    - crypto: tegra - Fix HASH intermediate result handling
    - crypto: bpf - Add MODULE_DESCRIPTION for skcipher
    - crypto: tegra - Use HMAC fallback when keyslots are full
    - clk: amlogic: gxbb: drop incorrect flag on 32k clock
    - crypto: hisilicon/sec2 - fix for aead authsize alignment
    - crypto: hisilicon/sec2 - fix for sec spec check
    - RDMA/mlx5: Fix page_size variable overflow
    - remoteproc: core: Clear table_sz when rproc_shutdown
    - of: property: Increase NR_FWNODE_REFERENCE_ARGS
    - pinctrl: renesas: rzg2l: Suppress binding attributes
    - remoteproc: qcom_q6v5_pas: Make single-PD handling more robust
    - libbpf: Fix hypothetical STT_SECTION extern NULL deref case
    - drivers: clk: qcom: ipq5424: fix the freq table of sdcc1_apps clock
    - selftests/bpf: Fix string read in strncmp benchmark
    - x86/mm/pat: Fix VM_PAT handling when fork() fails in copy_page_range()
    - clk: renesas: r8a08g045: Check the source of the CPU PLL settings
    - remoteproc: qcom: pas: add minidump_id to SC7280 WPSS
    - clk: samsung: Fix UBSAN panic in samsung_clk_init()
    - pinctrl: nuvoton: npcm8xx: Fix error handling in npcm8xx_gpio_fw()
    - crypto: tegra - Fix CMAC intermediate result handling
    - clk: qcom: gcc-msm8953: fix stuck venus0_core0 clock
    - selftests/bpf: Fix runqslower cross-endian build
    - s390: Remove ioremap_wt() and pgprot_writethrough()
    - RDMA/mana_ib: Ensure variable err is initialized
    - crypto: tegra - Set IV to NULL explicitly for AES ECB
    - remoteproc: qcom_q6v5_pas: Use resource with CX PD for MSM8226
    - crypto: tegra - finalize crypto req on error
    - crypto: tegra - Reserve keyslots to allocate dynamically
    - bpf: Use preempt_count() directly in bpf_send_signal_common()
    - lib: 842: Improve error handling in sw842_compress()
    - pinctrl: renesas: rza2: Fix missing of_node_put() call
    - pinctrl: renesas: rzg2l: Fix missing of_node_put() call
    - RDMA/mlx5: Fix MR cache initialization error flow
    - selftests/bpf: Fix freplace_link segfault in tailcalls prog test
    - clk: rockchip: rk3328: fix wrong clk_ref_usb3otg parent
    - RDMA/core: Don't expose hw_counters outside of init net namespace
    - RDMA/mlx5: Fix calculation of total invalidated pages
    - RDMA/erdma: Prevent use-after-free in erdma_accept_newconn()
    - remoteproc: qcom_q6v5_mss: Handle platforms with one power domain
    - power: supply: bq27xxx_battery: do not update cached flags prematurely
    - leds: st1202: Check for error code from devm_mutex_init() call
    - crypto: api - Fix larval relookup type and mask
    - IB/mad: Check available slots before posting receive WRs
    - pinctrl: tegra: Set SFIO mode to Mux Register
    - clk: amlogic: g12b: fix cluster A parent data
    - clk: amlogic: gxbb: drop non existing 32k clock parent
    - selftests/bpf: Select NUMA_NO_NODE to create map
    - rust: fix signature of rust_fmt_argument
    - crypto: tegra - Fix format specifier in tegra_sha_prep_cmd()
    - libbpf: Add namespace for errstr making it libbpf_errstr
    - clk: mmp: Fix NULL vs IS_ERR() check
    - pinctrl: npcm8xx: Fix incorrect struct npcm8xx_pincfg assignment
    - samples/bpf: Fix broken vmlinux path for VMLINUX_BTF
    - crypto: qat - remove access to parity register for QAT GEN4
    - clk: clk-imx8mp-audiomix: fix dsp/ocram_a clock parents
    - clk: amlogic: g12a: fix mmc A peripheral clock
    - pinctrl: bcm2835: don't -EINVAL on alternate funcs from get_direction()
    - x86/entry: Fix ORC unwinder for PUSH_REGS with save_ret=1
    - power: supply: max77693: Fix wrong conversion of charge input threshold
      value
    - crypto: api - Call crypto_alg_put in crypto_unregister_alg
    - clk: stm32f4: fix an uninitialized variable
    - crypto: nx - Fix uninitialised hv_nxc on error
    - clk: qcom: gcc-sm8650: Do not turn off USB GDSCs during gdsc_disable()
    - bpf: Fix array bounds error with may_goto
    - RDMA/mlx5: Fix mlx5_poll_one() cur_qp update flow
    - pinctrl: renesas: rzv2m: Fix missing of_node_put() call
    - clk: qcom: ipq5424: fix software and hardware flow control error of UART
    - mfd: sm501: Switch to BIT() to mitigate integer overflows
    - leds: Fix LED_OFF brightness race
    - x86/dumpstack: Fix inaccurate unwinding from exception stacks due to
      misplaced assignment
    - RDMA/core: Fix use-after-free when rename device name
    - crypto: hisilicon/sec2 - fix for aead auth key length
    - pinctrl: intel: Fix wrong bypass assignment in intel_pinctrl_probe_pwm()
    - clk: qcom: mmcc-sdm660: fix stuck video_subcore0 clock
    - libbpf: Fix accessing BTF.ext core_relo header
    - perf stat: Fix find_stat for mixed legacy/non-legacy events
    - perf: Always feature test reallocarray
    - w1: fix NULL pointer dereference in probe
    - staging: gpib: Add missing interface entry point
    - staging: gpib: Fix pr_err format warning
    - usb: typec: thunderbolt: Fix loops that iterate TYPEC_PLUG_SOP_P and
      TYPEC_PLUG_SOP_PP
    - usb: typec: thunderbolt: Remove IS_ERR check for plug
    - iio: dac: adi-axi-dac: modify stream enable
    - perf test: Fix Hwmon PMU test endianess issue
    - perf stat: Don't merge counters purely on name
    - fs/ntfs3: Factor out ntfs_{create/remove}_procdir()
    - fs/ntfs3: Factor out ntfs_{create/remove}_proc_root()
    - fs/ntfs3: Fix 'proc_info_root' leak when init ntfs failed
    - fs/ntfs3: Update inode->i_mapping->a_ops on compression state
    - iio: light: veml6030: extend regmap to support regfields
    - iio: gts-helper: export iio_gts_get_total_gain()
    - iio: light: veml6030: fix scale to conform to ABI
    - iio: adc: ad7124: Micro-optimize channel disabling
    - iio: adc: ad7124: Really disable all channels at probe time
    - phy: phy-rockchip-samsung-hdptx: Don't use dt aliases to determine phy-id
    - perf tools: Add skip check in tool_pmu__event_to_str()
    - isofs: fix KMSAN uninit-value bug in do_isofs_readdir()
    - perf tests: Fix Tool PMU test segfault
    - soundwire: slave: fix an OF node reference leak in soundwire slave device
    - staging: gpib: Fix cb7210 pcmcia Oops
    - perf report: Switch data file correctly in TUI
    - perf report: Fix input reload/switch with symbol sort key
    - greybus: gb-beagleplay: Add error handling for gb_greybus_init
    - coresight: catu: Fix number of pages while using 64k pages
    - vhost-scsi: Fix handling of multiple calls to vhost_scsi_set_endpoint
    - coresight-etm4x: add isb() before reading the TRCSTATR
    - perf pmus: Restructure pmu_read_sysfs to scan fewer PMUs
    - perf pmu: Dynamically allocate tool PMU
    - perf pmu: Don't double count common sysfs and json events
    - tools/x86: Fix linux/unaligned.h include path in lib/insn.c
    - perf build: Fix in-tree build due to symbolic link
    - ucsi_ccg: Don't show failed to get FW build information error
    - iio: accel: mma8452: Ensure error return on failure to matching oversampling
      ratio
    - iio: accel: msa311: Fix failure to release runtime pm if direct mode claim
      fails.
    - iio: backend: make sure to NULL terminate stack buffer
    - iio: core: Rework claim and release of direct mode to work with sparse.
    - iio: adc: ad7173: Grab direct mode for calibration
    - iio: adc: ad7192: Grab direct mode for calibration
    - perf arm-spe: Fix load-store operation checking
    - perf bench: Fix perf bench syscall loop count
    - perf machine: Fixup kernel maps ends after adding extra maps
    - usb: xhci: correct debug message page size calculation
    - fs/ntfs3: Fix a couple integer overflows on 32bit systems
    - fs/ntfs3: Prevent integer overflow in hdr_first_de()
    - perf test: Add timeout to datasym workload
    - perf tests: Fix data symbol test with LTO builds
    - NFSD: Fix callback decoder status codes
    - soundwire: take in count the bandwidth of a prepared stream
    - dmaengine: fsl-edma: cleanup chan after dma_async_device_unregister
    - dmaengine: fsl-edma: free irq correctly in remove path
    - dmaengine: ae4dma: Use the MSI count and its corresponding IRQ number
    - dmaengine: ptdma: Utilize the AE4DMA engine's multi-queue functionality
    - iio: adc: ad_sigma_delta: Disable channel after calibration
    - iio: adc: ad4130: Fix comparison of channel setups
    - iio: adc: ad7124: Fix comparison of channel configs
    - iio: adc: ad7173: Fix comparison of channel configs
    - iio: adc: ad7768-1: set MOSI idle state to prevent accidental reset
    - iio: light: Add check for array bounds in veml6075_read_int_time_ms
    - perf debug: Avoid stack overflow in recursive error message
    - perf evlist: Add success path to evlist__create_syswide_maps
    - perf evsel: tp_format accessing improvements
    - perf x86/topdown: Fix topdown leader sampling test error on hybrid
    - perf units: Fix insufficient array space
    - perf test stat_all_pmu.sh: Correctly check 'perf stat' result
    - kernel/events/uprobes: handle device-exclusive entries correctly in
      __replace_page()
    - kexec: initialize ELF lowest address to ULONG_MAX
    - ocfs2: validate l_tree_depth to avoid out-of-bounds access
    - reboot: replace __hw_protection_shutdown bool action parameter with an enum
    - reboot: reboot, not shutdown, on hw_protection_reboot timeout
    - arch/powerpc: drop GENERIC_PTDUMP from mpc885_ads_defconfig
    - writeback: let trace_balance_dirty_pages() take struct dtc as parameter
    - writeback: fix calculations in trace_balance_dirty_pages() for cgwb
    - scripts/gdb/linux/symbols.py: address changes to module_sect_attrs
    - NFSv4: Don't trigger uneccessary scans for return-on-close delegations
    - NFSv4: Avoid unnecessary scans of filesystems for returning delegations
    - NFSv4: Avoid unnecessary scans of filesystems for expired delegations
    - NFSv4: Avoid unnecessary scans of filesystems for delayed delegations
    - NFS: fix open_owner_id_maxsz and related fields.
    - fuse: fix dax truncate/punch_hole fault path
    - selftests/mm/cow: fix the incorrect error handling
    - um: Pass the correct Rust target and options with gcc
    - um: remove copy_from_kernel_nofault_allowed
    - um: hostfs: avoid issues on inode number reuse by host
    - i3c: master: svc: Fix missing the IBI rules
    - perf python: Fixup description of sample.id event member
    - perf python: Decrement the refcount of just created event on failure
    - perf python: Don't keep a raw_data pointer to consumed ring buffer space
    - perf python: Check if there is space to copy all the event
    - perf dso: fix dso__is_kallsyms() check
    - perf: intel-tpebs: Fix incorrect usage of zfree()
    - perf pmu: Handle memory failure in tool_pmu__new()
    - staging: rtl8723bs: select CONFIG_CRYPTO_LIB_AES
    - staging: vchiq_arm: Register debugfs after cdev
    - staging: vchiq_arm: Fix possible NPR of keep-alive thread
    - staging: vchiq_arm: Stop kthreads if vchiq cdev register fails
    - tty: n_tty: use uint for space returned by tty_write_room()
    - perf vendor events arm64 AmpereOneX: Fix frontend_bound calculation
    - fs/procfs: fix the comment above proc_pid_wchan()
    - perf tools: Fix is_compat_mode build break in ppc64
    - perf tools: annotate asm_pure_loop.S
    - perf bpf-filter: Fix a parsing error with comma
    - objtool: Handle various symbol types of rodata
    - objtool: Handle different entry size of rodata
    - objtool: Handle PC relative relocation type
    - objtool: Fix detection of consecutive jump tables on Clang 20
    - thermal: core: Remove duplicate struct declaration
    - objtool, spi: amd: Fix out-of-bounds stack access in amd_set_spi_freq()
    - objtool, nvmet: Fix out-of-bounds stack access in nvmet_ctrl_state_show()
    - objtool, media: dib8000: Prevent divide-by-zero in dib8000_set_dds()
    - NFS: Shut down the nfs_client only after all the superblocks
    - smb: client: Fix netns refcount imbalance causing leaks and use-after-free
    - exfat: fix the infinite loop in exfat_find_last_cluster()
    - exfat: fix missing shutdown check
    - rtnetlink: Allocate vfinfo size for VF GUIDs when supported
    - rndis_host: Flag RNDIS modems as WWAN devices
    - ksmbd: use aead_request_free to match aead_request_alloc
    - ksmbd: fix multichannel connection failure
    - ksmbd: fix r_count dec/increment mismatch
    - net/mlx5e: SHAMPO, Make reserved size independent of page size
    - ring-buffer: Fix bytes_dropped calculation issue
    - objtool: Fix segfault in ignore_unreachable_insn()
    - LoongArch: Fix help text of CMDLINE_EXTEND in Kconfig
    - LoongArch: Fix device node refcount leak in fdt_cpu_clk_init()
    - LoongArch: Rework the arch_kgdb_breakpoint() implementation
    - ACPI: processor: idle: Return an error if both P_LVL{2,3} idle states are
      invalid
    - net: phy: broadcom: Correct BCM5221 PHY model detection
    - octeontx2-af: Fix mbox INTR handler when num VFs > 64
    - octeontx2-af: Free NIX_AF_INT_VEC_GEN irq
    - objtool: Fix verbose disassembly if CROSS_COMPILE isn't set
    - sched/smt: Always inline sched_smt_active()
    - context_tracking: Always inline ct_{nmi,irq}_{enter,exit}()
    - rcu-tasks: Always inline rcu_irq_work_resched()
    - objtool/loongarch: Add unwind hints in prepare_frametrace()
    - nfs: Add missing release on error in nfs_lock_and_join_requests()
    - rtc: renesas-rtca3: Disable interrupts only if the RTC is enabled
    - spufs: fix a leak on spufs_new_file() failure
    - spufs: fix gang directory lifetimes
    - spufs: fix a leak in spufs_create_context()
    - fs/9p: fix NULL pointer dereference on mkdir
    - riscv: ftrace: Add parentheses in macro definitions of make_call_t0 and
      make_call_ra
    - riscv: Fix the __riscv_copy_vec_words_unaligned implementation
    - riscv: Fix missing __free_pages() in check_vector_unaligned_access()
    - riscv: fgraph: Select HAVE_FUNCTION_GRAPH_TRACER depends on
      HAVE_DYNAMIC_FTRACE_WITH_ARGS
    - ntb_hw_switchtec: Fix shift-out-of-bounds in switchtec_ntb_mw_set_trans
    - ntb: intel: Fix using link status DB's
    - riscv: fgraph: Fix stack layout to match __arch_ftrace_regs argument of
      ftrace_return_to_handler
    - riscv: Annotate unaligned access init functions
    - riscv: Fix riscv_online_cpu_vec
    - riscv: Fix check_unaligned_access_all_cpus
    - riscv: Change check_unaligned_access_speed_all_cpus to void
    - riscv: Fix set up of cpu hotplug callbacks
    - riscv: Fix set up of vector cpu hotplug callback
    - firmware: cs_dsp: Ensure cs_dsp_load[_coeff]() returns 0 on success
    - ALSA: hda/realtek: Fix built-in mic breakage on ASUS VivoBook X515JA
    - RISC-V: errata: Use medany for relocatable builds
    - x86/uaccess: Improve performance by aligning writes to 8 bytes in
      copy_user_generic(), on non-FSRM/ERMS CPUs
    - ublk: make sure ubq->canceling is set when queue is frozen
    - s390/entry: Fix setting _CIF_MCCK_GUEST with lowcore relocation
    - ASoC: codecs: rt5665: Fix some error handling paths in rt5665_probe()
    - spi: cadence: Fix out-of-bounds array access in cdns_mrvl_xspi_setup_clock()
    - riscv: Fix hugetlb retrieval of number of ptes in case of !present pte
    - riscv/kexec_file: Handle R_RISCV_64 in purgatory relocator
    - riscv/purgatory: 4B align purgatory_start
    - nvme/ioctl: don't warn on vectorized uring_cmd with fixed buffer
    - nvme-pci: skip nvme_write_sq_db on empty rqlist
    - ASoC: imx-card: Add NULL check in imx_card_probe()
    - spi: bcm2835: Do not call gpiod_put() on invalid descriptor
    - ALSA: hda/realtek: Fix built-in mic on another ASUS VivoBook model
    - spi: bcm2835: Restore native CS probing when pinctrl-bcm2835 is absent
    - xsk: Add launch time hardware offload support to XDP Tx metadata
    - igc: Refactor empty frame insertion for launch time support
    - igc: Add launch time support to XDP ZC
    - igc: Fix TX drops in XDP ZC
    - e1000e: change k1 configuration on MTP and later platforms
    - ixgbe: fix media type detection for E610 device
    - idpf: fix adapter NULL pointer dereference on reboot
    - netfilter: nft_set_hash: GC reaps elements with conncount for dynamic sets
      only
    - netfilter: nf_tables: don't unregister hook when table is dormant
    - netlabel: Fix NULL pointer exception caused by CALIPSO on IPv4 sockets
    - net_sched: skbprio: Remove overly strict queue assertions
    - sctp: add mutual exclusion in proc_sctp_do_udp_port()
    - net: airoha: Fix qid report in airoha_tc_get_htb_get_leaf_queue()
    - net: airoha: Fix ETS priomap validation
    - net: mvpp2: Prevent parser TCAM memory corruption
    - rtnetlink: Use register_pernet_subsys() in rtnl_net_debug_init().
    - udp: Fix multiple wraparounds of sk->sk_rmem_alloc.
    - udp: Fix memory accounting leak.
    - vsock: avoid timeout during connect() if the socket is closing
    - tunnels: Accept PACKET_HOST in skb_tunnel_check_pmtu().
    - xsk: Fix __xsk_generic_xmit() error code when cq is full
    - net: decrease cached dst counters in dst_release
    - netfilter: nft_tunnel: fix geneve_opt type confusion addition
    - sfc: rip out MDIO support
    - sfc: fix NULL dereferences in ef100_process_design_param()
    - ipv6: fix omitted netlink attributes when using RTEXT_FILTER_SKIP_STATS
    - net: dsa: mv88e6xxx: propperly shutdown PPU re-enable timer on destroy
    - net: fix geneve_opt length integer overflow
    - ipv6: Start path selection from the first nexthop
    - ipv6: Do not consider link down nexthops in path selection
    - arcnet: Add NULL check in com20020pci_probe()
    - net: ibmveth: make veth_pool_store stop hanging
    - netlink: specs: rt_route: pull the ifa- prefix out of the names
    - tools/power turbostat: Allow Zero return value for some RAPL registers
    - kbuild: deb-pkg: don't set KBUILD_BUILD_VERSION unconditionally
    - drm/xe: Fix unmet direct dependencies warning
    - drm/amdgpu/gfx11: fix num_mec
    - drm/amdgpu/gfx12: fix num_mec
    - perf/core: Fix child_total_time_enabled accounting bug at task exit
    - tools/power turbostat: report CoreThr per measurement interval
    - tools/power turbostat: Restore GFX sysfs fflush() call
    - staging: gpib: ni_usb console messaging cleanup
    - staging: gpib: Fix Oops after disconnect in ni_usb
    - staging: gpib: agilent usb console messaging cleanup
    - staging: gpib: Fix Oops after disconnect in agilent usb
    - tty: serial: fsl_lpuart: Use u32 and u8 for register variables
    - tty: serial: fsl_lpuart: use port struct directly to simply code
    - tty: serial: fsl_lpuart: Fix unused variable 'sport' build warning
    - tty: serial: lpuart: only disable CTS instead of overwriting the whole
      UARTMODIR register
    - usbnet:fix NPE during rx_complete
    - rust: Fix enabling Rust and building with GCC for LoongArch
    - LoongArch: Increase ARCH_DMA_MINALIGN up to 16
    - LoongArch: Increase MAX_IO_PICS up to 8
    - LoongArch: BPF: Fix off-by-one error in build_prologue()
    - LoongArch: BPF: Don't override subprog's return value
    - LoongArch: BPF: Use move_addr() for BPF_PSEUDO_FUNC
    - x86/hyperv: Fix check of return value from snp_set_vmsa()
    - KVM: x86: block KVM_CAP_SYNC_REGS if guest state is protected
    - x86/microcode/AMD: Fix __apply_microcode_amd()'s return value
    - x86/mce: use is_copy_from_user() to determine copy-from-user context
    - x86/paravirt: Move halt paravirt calls under CONFIG_PARAVIRT
    - x86/tdx: Fix arch_safe_halt() execution for TDX VMs
    - ACPI: x86: Extend Lenovo Yoga Tab 3 quirk with skip GPIO event-handlers
    - platform/x86: thinkpad_acpi: disable ACPI fan access for T495* and E560
    - platform/x86: ISST: Correct command storage data length
    - ntb_perf: Delete duplicate dmaengine_unmap_put() call in perf_copy_chunk()
    - perf/x86/intel: Apply static call for drain_pebs
    - perf/x86/intel: Avoid disable PMU if !cpuc->enabled in sample read
    - uprobes/x86: Harden uretprobe syscall trampoline check
    - bcachefs: bch2_ioctl_subvolume_destroy() fixes
    - x86/Kconfig: Add cmpxchg8b support back to Geode CPUs
    - x86/tsc: Always save/restore TSC sched_clock() on suspend/resume
    - x86/mm: Fix flush_tlb_range() when used for zapping normal PMDs
    - ACPI: platform-profile: Fix CFI violation when accessing sysfs files
    - wifi: mt76: mt7925: remove unused acpi function for clc
    - acpi: nfit: fix narrowing conversion in acpi_nfit_ctl
    - ACPI: resource: Skip IRQ override on ASUS Vivobook 14 X1404VAP
    - ACPI: video: Handle fetching EDID as ACPI_TYPE_PACKAGE
    - ARM: 9443/1: Require linker to support KEEP within OVERLAY for DCE
    - [Config] updateconfigs for LD_CAN_USE_KEEP_IN_OVERLAY
    - ARM: 9444/1: add KEEP() keyword to ARM_VECTORS
    - media: omap3isp: Handle ARM dma_iommu_mapping
    - Remove unnecessary firmware version check for gc v9_4_2
    - mmc: omap: Fix memory leak in mmc_omap_new_slot
    - mmc: sdhci-pxav3: set NEED_RSP_BUSY capability
    - mmc: sdhci-omap: Disable MMC_CAP_AGGRESSIVE_PM for eMMC/SD
    - KVM: SVM: Don't change target vCPU state on AP Creation VMGEXIT error
    - ksmbd: add bounds check for durable handle context
    - ksmbd: add bounds check for create lease context
    - ksmbd: fix use-after-free in ksmbd_sessions_deregister()
    - ksmbd: fix session use-after-free in multichannel connection
    - ksmbd: fix overflow in dacloffset bounds check
    - ksmbd: validate zero num_subauth before sub_auth is accessed
    - ksmbd: fix null pointer dereference in alloc_preauth_hash()
    - exfat: fix random stack corruption after get_block
    - exfat: fix potential wrong error return from get_block
    - tracing: Fix use-after-free in print_graph_function_flags during tracer
      switching
    - tracing: Ensure module defining synth event cannot be unloaded while tracing
    - tracing: Fix synth event printk format for str fields
    - tracing/osnoise: Fix possible recursive locking for cpus_read_lock()
    - tracing: Verify event formats that have "%*p.."
    - mm/gup: reject FOLL_SPLIT_PMD with hugetlb VMAs
    - arm64: Don't call NULL in do_compat_alignment_fixup()
    - wifi: mt76: mt7921: fix kernel panic due to null pointer dereference
    - ext4: don't over-report free space or inodes in statvfs
    - ext4: fix OOB read when checking dotdot dir
    - PCI/bwctrl: Fix NULL pointer dereference on bus number exhaustion
    - jfs: fix slab-out-of-bounds read in ea_get()
    - jfs: add index corruption check to DT_GETPAGE()
    - mm: zswap: fix crypto_free_acomp() deadlock in zswap_cpu_comp_dead()
    - exec: fix the racy usage of fs_struct->in_exec
    - media: vimc: skip .s_stream() for stopped entities
    - media: streamzap: fix race between device disconnection and urb callback
    - nfsd: don't ignore the return code of svc_proc_register()
    - nfsd: allow SC_STATUS_FREEABLE when searching via nfs4_lookup_stateid()
    - nfsd: put dl_stid if fail to queue dl_recall
    - NFSD: Add a Kconfig setting to enable delegated timestamps
    - [Config] disable new feature NFSD_V4_DELEG_TIMESTAMPS
    - nfsd: fix management of listener transports
    - NFSD: nfsd_unlink() clobbers non-zero status returned from
      fh_fill_pre_attrs()
    - NFSD: Never return NFS4ERR_FILE_OPEN when removing a directory
    - NFSD: Skip sending CB_RECALL_ANY when the backchannel isn't up
    - perf pmu: Rename name matching for no suffix or wildcard variants
    - include/{topology,cpuset}: Move dl_rebuild_rd_accounting to cpuset.h
    - tracing: Do not use PERF enums when perf is not defined
    - ASoC: mediatek: mt6359: Fix DT parse error due to wrong child node name
    - Linux 6.14.2
  * Plucky update: v6.14.1 upstream stable release (LP: #2106661)
    - ALSA: usb-audio: Add quirk for Plantronics headsets to fix control names
    - HID: hid-plantronics: Add mic mute mapping and generalize quirks
    - atm: Fix NULL pointer dereference
    - cgroup/rstat: Fix forceidle time in cpu.stat
    - netfilter: socket: Lookup orig tuple for IPv6 SNAT
    - ALSA: hda/realtek: Support mute LED on HP Laptop 15s-du3xxx
    - ALSA: hda/realtek: Bass speaker fixup for ASUS UM5606KA
    - counter: stm32-lptimer-cnt: fix error handling when enabling
    - counter: microchip-tcb-capture: Fix undefined counter channel state on probe
    - tty: serial: 8250: Add some more device IDs
    - tty: serial: 8250: Add Brainboxes XC devices
    - tty: serial: fsl_lpuart: disable transmitter before changing RS485 related
      registers
    - net: usb: qmi_wwan: add Telit Cinterion FN990B composition
    - net: usb: qmi_wwan: add Telit Cinterion FE990B composition
    - net: usb: usbnet: restore usb%d name exception for local mac addresses
    - usb: xhci: Don't skip on Stopped - Length Invalid
    - usb: xhci: Apply the link chain quirk on NEC isoc endpoints
    - memstick: rtsx_usb_ms: Fix slab-use-after-free in rtsx_usb_ms_drv_remove
    - perf tools: Fix up some comments and code to properly use the event_source
      bus
    - serial: stm32: do not deassert RS485 RTS GPIO prematurely
    - serial: 8250_dma: terminate correct DMA in tx_dma_flush()
    - Linux 6.14.1
  * Null pointer dereference in gVNIC driver (LP: #2106281)
    - gve: unlink old napi only if page pool exists
  * Miscellaneous upstream changes
    - Revert "net: stmmac: dwmac-socfpga: Set RX watchdog interrupt as broken"
    - Revert "drm: fsl-dcu: enable PIXCLK on LS1021A"
    - Revert "m68k: mvme147: Reinstate early console"
    - Revert "MAINTAINERS: appoint myself the XFS maintainer for 6.12 LTS"

  [ Ubuntu: 6.14.0-15.15 ]

  * plucky/linux: 6.14.0-15.15 -proposed tracker (LP: #2106239)
  * Enabling GENDWARFKSYMS breaks loading modules (LP: #2103771)
    - [Packaging] Bump pahole build-dep
  * BMG: support additional PCI ID (LP: #2105768)
    - SAUCE: drm/xe/bmg: Add one additional PCI ID
  * Missing bpftool binary on riscv64 (LP: #2106091)
    - [Packaging] Build bpftool and linux-perf on riscv64
    - [Packaging] Allow binary-debs target without enabling
      do_flavour_image_package
    - [Packaging] Fix bpftool, linux-perf packaging in binary-perarch

  [ Ubuntu: 6.14.0-14.14 ]

  * plucky/linux: 6.14.0-14.14 -proposed tracker (LP: #2106234)
  * Expose IFLA_VXLAN_FAN_MAP version via sysctl/proc (LP: #2106115)
    - SAUCE: fan: expose IFLA_VXLAN_FAN_MAP version via sysctl/proc
  * not able to install a Power9 bare metal with Ubuntu 25.04 Plucky
    (LP: #2104297)
    - SAUCE: powerpc64/ftrace: fix module loading without patchable function
      entries
  * bluetooth/detect-output failed due to the lack of USB device id in btusb.c
    (LP: #2094969)
    - SAUCE: Bluetooth: btusb: Add new VID/PID 0489/e14e for MT7925
  * Don't suggests fdutils package anymore (LP: #2104355)
    - [Packaging] Drop fdutils from linux-image Suggests
  * Miscellaneous Ubuntu changes
    - [Packaging] Add bpftool, linux-perf to linux-image Suggests

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Fri, 09 May 2025 21:21:33 +0300

linux-oracle (6.14.0-1005.5) plucky; urgency=medium

  * plucky/linux-oracle: 6.14.0-1005.5 -proposed tracker (LP: #2104345)

  [ Ubuntu: 6.14.0-13.13 ]

  * plucky/linux: 6.14.0-13.13 -proposed tracker (LP: #2104293)
  * Miscellaneous Ubuntu changes
    - [Packaging] Fix invoking of control-create

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 27 Mar 2025 09:56:29 +0100

linux-oracle (6.14.0-1004.4) plucky; urgency=medium

  * plucky/linux-oracle: 6.14.0-1004.4 -proposed tracker (LP: #2104026)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.oracle/dkms-versions -- update from kernel-versions
      (main/d2025.03.24)

  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following Ubuntu-6.14.0-12.12 rebase

  [ Ubuntu: 6.14.0-12.12 ]

  * plucky/linux: 6.14.0-12.12 -proposed tracker (LP: #2104021)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.03.24)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.03.24)
  * Disconnected paths for mqueues show a TODO in the kernel logs (LP: #2102237)
    - SAUCE: apparmor4.0.0 [58/53]: apparmor: add mediation of disconnected paths
      in mqueues
  * Installation of AppArmor on a 6.14 kernel produces error message "Illegal
    number: yes" (LP: #2102680)
    - SAUCE: apparmor4.0.0 [56/53]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor4.0.0 [57/53]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT for
      userns and io_uring sysctls
  * QRT AppArmorUnixDomainConnect test failures on Plucky 6.14 kernel
    (LP: #2103460)
    - SAUCE: apparmor4.0.0 [54/53]: AppArmor: Fix af_unix backwards compat
    - SAUCE: apparmor4.0.0 [55/53]: apparmor: Fix inet mediation
  * Mouse cursor flashes using the 'xe' DRM driver (LP: #2103981)
    - drm/xe/display: Re-use display vmas when possible
  *  Snapdragon X Elite: Sync concept kernel changes  (LP: #2100858)
    - SAUCE: drm/msm/dp: Fix support of LTTPR handling
    - SAUCE: drm/msm/dp: Introduce link training per-segment for LTTPRs
    - SAUCE: wifi: ath12k: fix ring-buffer corruption
    - SAUCE: wifi: ath11k: fix ring-buffer corruption
    - SAUCE: arm64: dts: qcom: x1e80100-hp-omnibook-x14: Enable SMB2360 0 and 1
    - SAUCE: Revert "usb: typec: ps883x: fix missing accessibility check"
  * drm/xe: improve behavior under memory pressure (LP: #2102659)
    - drm/xe: Reject BO eviction if BO is bound to current VM
  * Introduce configfs-based interface for gpio-aggregator (LP: #2103496)
    - gpio: introduce utilities for synchronous fake device creation
    - gpio: sim: convert to use dev-sync-probe utilities
    - gpio: virtuser: convert to use dev-sync-probe utilities
    - [Config] updateconfigs for DEV_SYNC_PROBE
    - SAUCE: gpio: aggregator: reorder functions to prepare for configfs
      introduction
    - SAUCE: gpio: aggregator: add aggr_alloc()/aggr_free()
    - SAUCE: gpio: aggregator: introduce basic configfs interface
    - SAUCE: gpio: aggregator: rename 'name' to 'key' in aggr_parse()
    - SAUCE: gpio: aggregator: expose aggregator created via legacy sysfs to
      configfs
    - SAUCE: gpio: aggregator: cancel deferred probe for devices created via
      configfs
    - SAUCE: Documentation: gpio: document configfs interface for gpio-aggregator
    - SAUCE: selftests: gpio: add test cases for gpio-aggregator
  * python perf module missing in plucky's kernel (LP: #2103653)
    - [Packaging] linux-perf: Fix python perf library location
  * Miscellaneous Ubuntu changes
    - [packaging] mv debian.master/copyright debian
    - [Config] Disable CONFIG_MODULE_COMPRESS_ALL
    - Revert "SAUCE: Support but do not require compressed modules"
  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Config] Revert back to GENKSYMS on amd64/arm64 too, drop
      rust support"

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 26 Mar 2025 15:17:37 +0100

linux-oracle (6.14.0-1003.3) plucky; urgency=medium

  * plucky/linux-oracle: 6.14.0-1003.3 -proposed tracker (LP: #2103511)

  [ Ubuntu: 6.14.0-11.11 ]

  * plucky/linux: 6.14.0-11.11 -proposed tracker (LP: #2103404)
  *  Snapdragon X Elite: Sync concept kernel changes  (LP: #2100858)
    - firmware: qcom: uefisecapp: fix efivars registration race
    - soc: qcom: pdr: Fix the potential deadlock
    - clk: qcom: gcc-x1e80100: Unregister GCC_GPU_CFG_AHB_CLK/GCC_DISP_XO_CLK
    - arm64: dts: qcom: x1e80100: Set CPU interconnect paths as ACTIVE_ONLY
    - dt-bindings: usb: Add Parade PS8830 Type-C retimer bindings
    - usb: typec: Add support for Parade PS8830 Type-C Retimer
    - usb: typec: ps883x: fix probe error handling
    - usb: typec: ps883x: fix registration race
    - usb: typec: ps883x: fix missing accessibility check
    - usb: typec: ps883x: fix configuration error handling
    - drm/dp: Add helper to set LTTPRs in transparent mode
    - drm/msm/dp: Add support for LTTPR handling
    - arm64: dts: qcom: x1e80100: Add the watchdog device
    - arm64: dts: qcom: x1e80100: Mark usb_2 as dma-coherent
    - arm64: dts: qcom: x1e80100: Wire up PCIe PHY NOCSR resets
    - arm64: dts: qcom: Commonize X1 CRD DTSI
    - arm64: dts: qcom: Add X1P42100 SoC and CRD
    - arm64: dts: qcom: x1e80100: Fix video thermal zone
    - arm64: dts: qcom: x1e80100: Apply consistent critical thermal shutdown
    - arm64: dts: qcom: x1e80100: Add GPU cooling
    - arm64: dts: qcom: x1e80100: Drop unused passive thermal trip points for CPU
    - arm64: dts: qcom: x1e80100-dell-xps13-9345: Enable external DP support
    - arm64: dts: qcom: x1e001de-devkit: Enable HBR3 on external DPs
    - arm64: dts: qcom: x1e80100-hp-x14: Enable HBR3 on external DPs
    - arm64: dts: qcom: x1e80100-qcp: Enable HBR3 on external DPs
    - drm/edp-panel: Add panel used by T14s Gen6 Snapdragon
    - arm64: dts: qcom: x1e80100-slim7x: Drop incorrect qcom,ath12k-calibration-
      variant
    - SAUCE: arm64: dts: qcom: x1e80100-crd: mark l12b and l15b always-on
    - SAUCE: arm64: dts: qcom: x1e78100-t14s: mark l12b and l15b always-on
    - SAUCE: arm64: dts: qcom: x1e001de-devkit: mark l12b and l15b always-on
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: mark l12b and l15b
      always-on
    - SAUCE: arm64: dts: qcom: x1e80100-hp-x14: mark l12b and l15b always-on
    - SAUCE: arm64: dts: qcom: x1e80100-yoga-slim7x: mark l12b and l15b always-on
    - SAUCE: arm64: dts: qcom: x1e80100-qcp: mark l12b and l15b always-on
    - SAUCE: arm64: dts: qcom: x1e78100-t14s: fix missing HID supplies
    - SAUCE: arm64: dts: qcom: x1e80100: Add cpucp mailbox and sram nodes
    - SAUCE: arm64: dts: qcom: x1e80100: Enable cpufreq
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Describe the Parade PS8830 retimers
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Enable external DisplayPort support
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Enable HBR3 on external DPs
    - SAUCE: arm64: dts: qcom: x1e78100-t14s: enable bluetooth
    - SAUCE: Add Bluetooth support for the Lenovo Yoga Slim 7x
    - SAUCE: dt-bindings: platform: Add bindings for Lenovo Yoga Slim 7x EC
    - SAUCE: platform: arm64: Add driver for Lenovo Yoga Slim 7x's EC
    - SAUCE: arm64: dts: qcom: Add EC to Lenovo Yoga Slim 7x
    - SAUCE: arm64: dts: qcom: x1e80100-vivobook-s15: Add bluetooth
    - SAUCE: arm64: dts: qcom: x1e80100-vivobook-s15: Enable USB-A ports
    - SAUCE: arm64: dts: qcom: x1e80100-vivobook-s15: Enable micro-sd card reader
    - SAUCE: arm64: dts: qcom: x1p64100-acer-swift-sf14-11 dt for Acer Swift 14
      SF14-11 (touchpad fix)
    - SAUCE: dt-bindings: arm: qcom: Add Acer Swift 14 AI
    - SAUCE: arm64: dts: qcom: x1e80100-acer-swift-sf14-11: Enable HBR3 on
      external DPs
    - SAUCE: firmware: qcom: scm: Allow QSEECOM on Acer Swift 14 models
    - SAUCE: arm64: dts: qcom: x1e001de-devkit: Set ps8830 reset-gpios active low
    - SAUCE: Change: cracking sound fix
    - SAUCE: rtc: pm8xxx: add support for uefi offset
    - SAUCE: rtc: pm8xxx: mitigate flash wear
    - SAUCE: arm64: dts: qcom: sc8280xp-x13s: switch to uefi rtc offset
    - SAUCE: dt-bindings: rtc: qcom-pm8xxx: document qcom,no-alarm flag
    - SAUCE: rtc: pm8xxx: implement qcom,no-alarm flag for non-HLOS owned alarm
    - SAUCE: arm64: dts: qcom: x1e80100: enable rtc
    - SAUCE: arm64: dts: qcom: x1e80100-microsoft-romulus: Enable external DP
      support
    - SAUCE: arm64: dts: qcom: x1e80100-asus-vivobook: Introduce retimers,
      external DP
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps-9345: Add WiFi/BT pwrseq
    - SAUCE: arm64: dts: qcom: x1e78100-t14s: Add display brightness control
      support
    - SAUCE: hack: efi/libstub: mitigate t14s exit_boot_services() failure
    - [Config] Enable X Elite modules on arm64
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v6.14-rc7 rebase

  [ Ubuntu: 6.14.0-10.10 ]

  * plucky/linux: 6.14.0-10.10 -proposed tracker (LP: #2102106)
  * Miscellaneous Ubuntu changes
    - [Config] Revert back to GENKSYMS on amd64/arm64 too, drop rust support

  [ Ubuntu: 6.14.0-9.9 ]

  * plucky/linux: 6.14.0-9.9 -proposed tracker (LP: #2101943)
  * Miscellaneous Ubuntu changes
    - [Config] Revert back to GENKSYMS on non-rust-enabled archs

  [ Ubuntu: 6.14.0-8.8 ]

  * plucky/linux: 6.14.0-8.8 -proposed tracker (LP: #2101833)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.02.26)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.03.10)
  * wdat_wdt.ko should be pulled in by linux-image-virtual (LP: #2098554)
    - [Packaging]: wdat_wdt.ko is moved from "linux-modules-extra-*-generic" to
      "linux-modules-*-generic"
  * Add additional PCI ids for BMG support (LP: #2098969)
    - drm/xe/bmg: Add new PCI IDs
  * Provide linux-perf package (LP: #1613393)
    - [Packaging] Split linux-perf from linux-tools-common
  * linux-tools-common: bpftool wrapper causes build failure for xdp-tools
    (LP: #2007308)
    - [Packaging] bpftool: move to separate unversioned and unflavored binary
      package
  * Miscellaneous Ubuntu changes
    - [Packaging] templates/image.postrm.in: Add modules.weakdep to the remove-
      list
    - [Config] Re-enable rust support, switch from genksyms to gendwarfksyms
    - [packaging] check-in copyright directly in debian/
    - [Packaging] remove intermediate $(DEBIAN)/control.stub
    - [Config] updateconfigs following v6.14-rc6 rebase

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 18 Mar 2025 16:34:14 +0100

linux-oracle (6.14.0-1002.2) plucky; urgency=medium

  * plucky/linux-oracle: 6.14.0-1002.2 -proposed tracker (LP: #2100258)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.oracle/dkms-versions -- update from kernel-versions
      (main/d2025.02.26)

  * Miscellaneous Ubuntu changes
    - [packaging] move to 6.14
    - [Config] updateconfigs following Ubuntu-6.14.0-7.7 rebase
    - [packaging] split flavour-control.stub

  [ Ubuntu: 6.14.0-7.7 ]

  * plucky/linux: 6.14.0-7.7 -proposed tracker (LP: #2100581)
  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Packaging] Sync riscv64.mk with linux-riscv tree"

  [ Ubuntu: 6.14.0-6.6 ]

  * plucky/linux: 6.14.0-6.6 -proposed tracker (LP: #2100481)
  * Miscellaneous Ubuntu changes
    - [Packaging] riscv64.mk: fix a typo
    - [Packaging] enable signing for s390x
    - [Packaging] riscv64.mk: disable building as part of linux-generic

  [ Ubuntu: 6.14.0-5.5 ]

  * plucky/linux: 6.14.0-5.5 -proposed tracker (LP: #2100254)
  * Miscellaneous Ubuntu changes
    - [Packaging] Sync riscv64.mk with linux-riscv tree
    - [Packaging] clean up the distclean rule
    - [Config] updateconfigs following v6.14-rc4 rebase

  [ Ubuntu: 6.14.0-4.4 ]

  * plucky/linux: 6.14.0-4.4 -proposed tracker (LP: #2098875)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.02.11)
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor4.0.0 [1/53]: Stacking: Audit: Create audit_stamp structure
    - SAUCE: apparmor4.0.0 [2/53]: Stacking: Audit: Allow multiple records in an
      audit_buffer
    - SAUCE: apparmor4.0.0 [3/53]: Stacking: LSM: security_lsmblob_to_secctx
      module selection
    - SAUCE: apparmor4.0.0 [4/53]: Stacking: Audit: Add record for multiple task
      security contexts
    - SAUCE: apparmor4.0.0 [5/53]: Stacking: Audit: multiple subject lsm values
      for netlabel
    - SAUCE: apparmor4.0.0 [6/53]: Stacking: Audit: Add record for multiple object
      contexts
    - SAUCE: apparmor4.0.0 [7/53]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor4.0.0 [8/53]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor4.0.0 [9/53]: Stacking: Audit: Call only the first of the
      audit rule hooks
    - SAUCE: apparmor4.0.0 [10/53]: Stacking: AppArmor: Remove the exclusive flag
    - SAUCE: apparmor4.0.0 [11/53]: 6.15 apparmor-next: apparmor: Use str_yes_no()
      helper function
    - SAUCE: apparmor4.0.0 [12/53]: 6.15 apparmor-next: apparmor: Improve debug
      print infrastructure
    - SAUCE: apparmor4.0.0 [13/53]: 6.15 apparmor-next: apparmor: cleanup:
      attachment perm lookup to use lookup_perms()
    - SAUCE: apparmor4.0.0 [14/53]: 6.15 apparmor-next: apparmor: remove redundant
      unconfined check.
    - SAUCE: apparmor4.0.0 [15/53]: 6.15 apparmor-next: apparmor: switch signal
      mediation to use RULE_MEDIATES
    - SAUCE: apparmor4.0.0 [16/53]: 6.15 apparmor-next: apparmor: ensure labels
      with more than one entry have correct flags
    - SAUCE: apparmor4.0.0 [17/53]: 6.15 apparmor-next: apparmor: remove explicit
      restriction that unconfined cannot use change_hat
    - SAUCE: apparmor4.0.0 [18/53]: 6.15 apparmor-next: apparmor: cleanup:
      refactor file_perm() to doc semantics of some checks
    - SAUCE: apparmor4.0.0 [19/53]: 6.15 apparmor-next: apparmor: carry mediation
      check on label
    - SAUCE: apparmor4.0.0 [20/53]: 6.15 apparmor-next: apparmor: add additional
      flags to extended permission.
    - SAUCE: apparmor4.0.0 [21/53]: 6.15 apparmor-next: apparmor: add support for
      profiles to define the kill signal
    - SAUCE: apparmor4.0.0 [22/53]: 6.15 apparmor-next: apparmor: fix
      x_table_lookup when stacking is not the first entry
    - SAUCE: apparmor4.0.0 [23/53]: 6.15 apparmor-next: apparmor: add ability to
      mediate caps with policy state machine
    - SAUCE: apparmor4.0.0 [24/53]: 6.15 apparmor-next: apparmor: remove af_select
      macro
    - SAUCE: apparmor4.0.0 [25/53]: 6.15 apparmor-next: apparmor: lift kernel
      socket check out of critical section
    - SAUCE: apparmor4.0.0 [26/53]: 6.15 apparmor-next: apparmor: in preparation
      for finer networking rules rework match_prot
    - SAUCE: apparmor4.0.0 [27/53]: 6.15 apparmor-next: apparmor: add fine grained
      af_unix mediation
    - SAUCE: apparmor4.0.0 [28/53]: 6.15 apparmor-next: apparmor: gate make fine
      grained unix mediation behind v9 abi
    - SAUCE: apparmor4.0.0 [29/53]: 6.15 apparmor-next: apparmor: fix dbus
      permission queries to v9 ABI
    - SAUCE: apparmor4.0.0 [30/53]: 6.15 apparmor-next: apparmor: Fix checking
      address of an array in accum_label_info()
    - SAUCE: apparmor4.0.0 [31/53]: 6.15 apparmor-next: apparmor: Modify
      mismatched function name
    - SAUCE: apparmor4.0.0 [32/53]: 6.15 apparmor-next: apparmor: Modify
      mismatched function name
    - SAUCE: apparmor4.0.0 [33/53]: 6.15 apparmor-next: apparmor: fix typos and
      spelling errors
    - SAUCE: apparmor4.0.0 [34/53]: 6.15 apparmor-next: apparmor: use the
      condition in AA_BUG_FMT even with debug disabled
    - SAUCE: apparmor4.0.0 [35/53]: 6.15 apparmor-next: apparmor: Remove unused
      variable 'sock' in __file_sock_perm()
    - SAUCE: apparmor4.0.0 [36/53]: Revert "6.15 apparmor-next: apparmor: fix dbus
      permission queries to v9 ABI"
    - SAUCE: apparmor4.0.0 [37/53]: Revert "6.15 apparmor-next: apparmor: gate
      make fine grained unix mediation behind v9 abi"
    - SAUCE: apparmor4.0.0 [38/53]: patch to provide compatibility with v2.x net
      rules
    - SAUCE: apparmor4.0.0 [39/53]: apparmor: make debug_values_table static
    - SAUCE: apparmor4.0.0 [40/53]: apparmor: Document that label must be last
      member in struct aa_profile
    - SAUCE: apparmor4.0.0 [41/53]: apparmor: transition from a list of rules to a
      vector of rules
    - SAUCE: apparmor4.0.0 [42/53]: setup slab cache for audit data
    - SAUCE: apparmor4.0.0 [43/53]: add the ability for profiles to have a
      learning cache
    - SAUCE: apparmor4.0.0 [44/53]: add unprivileged user ns mediation
    - SAUCE: apparmor4.0.0 [45/53]: Add sysctls for additional controls of unpriv
      userns restrictions
    - SAUCE: apparmor4.0.0 [47/53]: apparmor: open userns related sysctl so lxc
      can check if restriction are in place
    - SAUCE: apparmor4.0.0 [48/53]: apparmor: allow profile to be transitioned
      when a userns is created
    - SAUCE: apparmor4.0.0 [49/53]: Add fine grained mediation of posix mqueues
    - SAUCE: apparmor4.0.0 [51/53]: apparmor: add fine grained ipv4/ipv6 mediation
    - SAUCE: apparmor4.0.0 [52/53]: add io_uring mediation
    - SAUCE: apparmor4.0.0 [53/53]: enable userspace upcall for mediation
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in mantic
    (LP: #2032602)
    - SAUCE: apparmor4.0.0 [46/53]: userns - make it so special unconfined
      profiles can mediate user namespaces
  * Miscellaneous Ubuntu changes
    - [Packaging] disable signing for ppc64el
    - [Packaging] disable signing for s390x
    - [packaging] rename to linux
    - [Config] update RUSTC version
    - [packaging] remove $(wildcard $(DEBIAN)/control.d/*) dependency
    - [packaging] avoid piping control-create for error detection
    - [packaging] split flavour-control.stub
    - [packaging] generate debian/control with correct signed/unsigned
    - [packaging] remove DESC and =HUMAN= substitution
    - [Packaging] remove unnecessary dependency on control.stub
    - [Packaging] add .gitignore and clean more files
    - SAUCE: apparmor4.0.0 [50/53]: apparmor: audit mqueue-via-path access as
      getattr instead of unlink
    - [Packaging] debian.master/dkms-versions -- remove ipu6-drivers,
      ipu7-drivers, backport-iwlwifi-dkms and mofed-modules-24.10 FTBFS

  [ Ubuntu: 6.14.0-3.3 ]

